Scriptname _R_QuestScript extends Quest  

Actor Property PlayerRef Auto

GlobalVariable Property GameDaysPassed Auto
GlobalVariable Property GameMonth Auto
GlobalVariable Property GameDay Auto
GlobalVariable Property GameHour Auto

Idle Property IdleBowHeadAtGrave_01 Auto
Idle Property IdlePray Auto
Idle Property IdleStop_Loose Auto

;[Pantheon -  Index]
int PantheonMeditation = 0
int PantheonDivines = 1
int PantheonDaedra = 2
int PantheonSpirit = 3

;[Deity - Index]
;{Meditation}
int SignWarrior = 0
int SignLady = 1
int SignSteed = 2
int SignLord = 3
int SignThief = 4
int SignLover = 5
int SignShadow = 6
int SignTower = 7 
int SignMage = 8
int SignApprentice = 9
int SignAtronach = 10
int SignRitual = 11
int SignSerpent = 12

;{Divines}
int DivineAkatosh = 0
int DivineArkay = 1
int DivineDibella = 2
int DivineJulianos = 3
int DivineKynareth = 4
int DivineMara = 5
int DivineStendarr = 6
int DivineTalos = 7
int DivineZenithar = 8

;{Daedra}
int DaedraAzura = 0
int DaedraBoethiah = 1
int DaedraClavicus = 2
int DaedraHermaeus = 3
int DaedraHircine = 4
int DaedraMalacath = 5
int DaedraMehrunes = 6
int DaedraMephala = 7
int DaedraMeridia = 8
int DaedraMolagBal = 9
int DaedraNamira = 10
int DaedraNocturnal = 11
int DaedraPeryite = 12
int DaedraSanguine = 13
int DaedraSheogorath = 14
int DaedraVaermina = 15

;{Spirits}
int SpiritAllMaker = 0
int SpiritAncestors = 1
int SpiritEbonarm = 2
int SpiritMagnus = 3
int SpiritSithis = 4
int SpiritYffre = 5

GlobalVariable Property _R_Global_UseAnimations Auto
FormList Property _R_ListRaces Auto

Spell Property _R_SpellPietyMeditation Auto

Message Property _R_MessageMeditationStartCombat Auto

Message Property _R_MessageMeditationChoice Auto
Message Property _R_MessageMeditationChoiceConfirm Auto
Message Property _R_MessageMeditationChoiceWarrior Auto
Message Property _R_MessageMeditationChoiceThief Auto
Message Property _R_MessageMeditationChoiceMage Auto
Message Property _R_MessageMeditationChoiceSerpent Auto

Message Property _R_MessageMeditationEndWarrior Auto
Message Property _R_MessageMeditationEndThief Auto
Message Property _R_MessageMeditationEndMage Auto
Message Property _R_MessageMeditationEndSerpent Auto

Message Property _R_MessageMeditationStopPrompt Auto
Message Property _R_MessageMeditationStopCombat Auto

Message Property _R_MessageMeditationSuccess Auto

GlobalVariable Property _R_GlobalDivine_BaseWorth Auto
GlobalVariable Property _R_GlobalDivineAskWait Auto
GlobalVariable Property _R_GlobalDivineCurseMin Auto
GlobalVariable Property _R_GlobalDivineGuidanceBase Auto

Keyword Property _R_KeywordEffectPietyDivine Auto
Keyword Property _R_KeywordEffectDivineCurse Auto

Message Property _R_MessageDivinePietyStart Auto
Message Property _R_MessageDivinePietyStartCombat Auto
Message Property _R_MessageDivinePietyStartCursed Auto
Message Property _R_MessageDivinePietyStartRepentCurse Auto
Message Property _R_MessageDivinePietyStartRepentPower Auto
Message Property _R_MessageDivinePietyStartRepentShrine Auto

Message Property _R_MessageDivinePietyStopCombat Auto
Message Property _R_MessageDivinePietyStopPrompt Auto
Message Property _R_MessageDivinePietyStopPromptShrine Auto

Sound Property _R_SoundDivineStrong Auto
Sound Property _R_SoundDivineWeak Auto

GlobalVariable Property _R_GlobalDaedraAskWait Auto
GlobalVariable Property _R_GlobalDaedraGuidanceBase Auto
GlobalVariable Property _R_GlobalDaedraInterestLimit Auto

Keyword Property _R_KeywordEffectPietyDaedra Auto

FormList Property _R_ListKeywordEffectDaedraEnemy Auto

Message Property _R_MessageDaedraPietyStart Auto
Message Property _R_MessageDaedraPietyStartCombat Auto
Message Property _R_MessageDaedraPietyStartEnemy Auto

Message Property _R_MessageDaedraPietyStopCombat Auto
Message Property _R_MessageDaedraPietyStopPrompt Auto
Message Property _R_MessageDaedraPietyStopPromptShrine Auto

Sound Property _R_SoundDaedraStrong Auto
Sound Property _R_SoundDaedraWeak Auto

GlobalVariable Property _R_GlobalSpiritAskWait Auto
GlobalVariable Property _R_GlobalSpiritGuidanceBase Auto

Keyword Property _R_KeywordEffectPietySpirit Auto

Message Property _R_MessageSpiritPietyStart Auto
Message Property _R_MessageSpiritPietyStartAncestors Auto
Message Property _R_MessageSpiritPietyStartCombat Auto

Message Property _R_MessageSpiritPietyStopCombat Auto
Message Property _R_MessageSpiritPietyStopPrompt Auto
Message Property _R_MessageSpiritPietyStopPromptShrine Auto

Sound Property _R_SoundSpiritStrong Auto
Sound Property _R_SoundSpiritWeak Auto

bool IsPlayerAnimating = false
int MeditationPantheon = -1

float AskTimeLastDivineAkatosh = -100.0
float AskTimeLastDivineArkay = -100.0
float AskTimeLastDivineDibella = -100.0
float AskTimeLastDivineJulianos = -100.0
float AskTimeLastDivineKynareth = -100.0
float AskTimeLastDivineMara = -100.0
float AskTimeLastDivineStendarr = -100.0
float AskTimeLastDivineTalos = -100.0
float AskTimeLastDivineZenithar = -100.0

float PrayerStartDivineAkatosh = -1.0
float PrayerStartDivineArkay = -1.0
float PrayerStartDivineDibella = -1.0
float PrayerStartDivineJulianos = -1.0
float PrayerStartDivineKynareth = -1.0
float PrayerStartDivineMara = -1.0
float PrayerStartDivineStendarr = -1.0
float PrayerStartDivineTalos = -1.0
float PrayerStartDivineZenithar = -1.0

float AskTimeLastDaedraAzura = -100.0
float AskTimeLastDaedraBoethiah = -100.0
float AskTimeLastDaedraClavicus = -100.0
float AskTimeLastDaedraHermaeus = -100.0
float AskTimeLastDaedraHircine = -100.0
float AskTimeLastDaedraMalacath = -100.0
float AskTimeLastDaedraMehrunes = -100.0
float AskTimeLastDaedraMephala = -100.0
float AskTimeLastDaedraMeridia = -100.0
float AskTimeLastDaedraMolagBal = -100.0
float AskTimeLastDaedraNamira = -100.0
float AskTimeLastDaedraNocturnal = -100.0
float AskTimeLastDaedraPeryite = -100.0
float AskTimeLastDaedraSanguine = -100.0
float AskTimeLastDaedraSheogorath = -100.0
float AskTimeLastDaedraVaermina = -100.0

int GuidanceAskCountDaedraAzura = 0
int GuidanceAskCountDaedraBoethiah = 0
int GuidanceAskCountDaedraClavicus = 0
int GuidanceAskCountDaedraHermaeus = 0
int GuidanceAskCountDaedraHircine = 0
int GuidanceAskCountDaedraMalacath = 0
int GuidanceAskCountDaedraMehrunes = 0
int GuidanceAskCountDaedraMephala = 0
int GuidanceAskCountDaedraMeridia = 0
int GuidanceAskCountDaedraMolagBal = 0
int GuidanceAskCountDaedraNamira = 0
int GuidanceAskCountDaedraNocturnal = 0
int GuidanceAskCountDaedraPeryite = 0
int GuidanceAskCountDaedraSanguine = 0
int GuidanceAskCountDaedraSheogorath = 0
int GuidanceAskCountDaedraVaermina = 0

int GiftAskCountDaedraAzura = 0
int GiftAskCountDaedraBoethiah = 0
int GiftAskCountDaedraClavicus = 0
int GiftAskCountDaedraHermaeus = 0
int GiftAskCountDaedraHircine = 0
int GiftAskCountDaedraMalacath = 0
int GiftAskCountDaedraMehrunes = 0
int GiftAskCountDaedraMephala = 0
int GiftAskCountDaedraMeridia = 0
int GiftAskCountDaedraMolagBal = 0
int GiftAskCountDaedraNamira = 0
int GiftAskCountDaedraNocturnal = 0
int GiftAskCountDaedraPeryite = 0
int GiftAskCountDaedraSanguine = 0
int GiftAskCountDaedraSheogorath = 0
int GiftAskCountDaedraVaermina = 0

float WorshipLastDaedraAzura = 0.0
float WorshipStartDaedraAzura = -1.0
float WorshipStartDaedraBoethiah = -1.0
float WorshipStartDaedraClavicus = -1.0
float WorshipStartDaedraHermaeus = -1.0
float WorshipStartDaedraHircine = -1.0
float WorshipStartDaedraMalacath = -1.0
float WorshipStartDaedraMehrunes = -1.0
float WorshipStartDaedraMephala = -1.0
float WorshipStartDaedraMeridia = -1.0
float WorshipStartDaedraMolagBal = -1.0
float WorshipStartDaedraNamira = -1.0
float WorshipStartDaedraNocturnal = -1.0
float WorshipStartDaedraPeryite = -1.0
float WorshipStartDaedraSanguine = -1.0
float WorshipStartDaedraSheogorath = -1.0
float WorshipStartDaedraVaermina = -1.0

int RaceBreton = 0
int RaceImperial = 1
int RaceNord = 2
int RaceRedguard = 3

int RaceDarkElf = 4
int RaceHighElf = 5
int RaceWoodElf = 6

int RaceArgonian = 7
int RaceKhajiit = 8
int RaceOrc = 9

int AncestorsRace = -1

float AskTimeLastSpiritAllMaker = -100.0
float AskTimeLastSpiritAncestors = -100.0
float AskTimeLastSpiritEbonarm = -100.0
float AskTimeLastSpiritMagnus = -100.0
float AskTimeLastSpiritSithis = -100.0
float AskTimeLastSpiritYffre = -100.0

float InvokeStartSpiritAllMaker = -1.0
float InvokeStartSpiritAncestors = -1.0
float InvokeStartSpiritEbonarm = -1.0
float InvokeStartSpiritMagnus = -1.0
float InvokeStartSpiritSithis = -1.0
float InvokeStartSpiritYffre = -1.0

;Attempts to start praying/worshipping/meditating using a shrine or a lesser power
Function StartPiety(int Pantheon, int Deity, bool UsingShrine)
	Log("[Religion]Function Call StartPiety: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity))
	if(Pantheon == PantheonMeditation)
		if(MeditationPantheon < 0)
			if(PlayerRef.HasSpell(doomWarriorAbility) || PlayerRef.HasSpell(doomLadyAbility) || PlayerRef.HasSpell(doomLordAbility) || PlayerRef.HasSpell(doomSteedAbility))
				MeditationPantheon = 0
			elseif(PlayerRef.HasSpell(doomThiefAbility) || PlayerRef.HasSpell(doomLoverAbility) || PlayerRef.HasSpell(doomShadowAbility) || PlayerRef.HasSpell(doomTowerAbility))
				MeditationPantheon = 1
			elseif(PlayerRef.HasSpell(doomMageAbility) || PlayerRef.HasSpell(doomApprenticeAbility) || PlayerRef.HasSpell(doomAtronachAbility) || PlayerRef.HasSpell(doomRitualAbility))
				MeditationPantheon = 2
			elseif(PlayerRef.HasSpell(doomSerpentAbility))
				MeditationPantheon = 3
			endIf
		endIf
	
		if(PlayerRef.HasSpell(_R_SpellPietyMeditation));If the player has this effect keyword, then they are currently meditating
			PlayerRef.RemoveSpell(_R_SpellPietyMeditation)
		else ;Else, they are trying to start meditating
			if(PlayerRef.IsInCombat())
				_R_MessageMeditationStartCombat.Show()
			else
				PlayerRef.AddSpell(_R_SpellPietyMeditation, false)
			endIf
		endIf
	elseif(Pantheon == PantheonDivines)
		if(PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectPietyDivine)) ;If the player has this keyword, they are currently praying
			if(UsingShrine)
				PlayerRef.RemoveSpell(GetPietyConstantShrine(Pantheon, Deity))
			else
				PlayerRef.RemoveSpell(GetPietyConstant(Pantheon, Deity))
			endIf
		else ;They don't have the effect keyword, they are trying to start praying
			float[] VirtuesArray = GetDivinesVirtuesArray(Deity)
			float[] SinsArray = GetDivinesSinsArray(Deity)
			float Sins = SumArray(SinsArray)
			float DivineWorth = GetDivinesWorth(Deity, VirtuesArray, SinsArray)
			float DivineRepentance = GetDivinesRepentance(Deity)
			float DivineForgiveness = GetDivinesForgiveness(Deity)
			bool IsBlasphemous = (Sins - DivineForgiveness > _R_GlobalDivineCurseMin.GetValue())
			
			int Option = _R_MessageDivinePietyStart.Show()
			if(Option == 0) ;The player starts worshipping the Divine
				if(PlayerRef.IsInCombat()) ;The player is in combat, and can't pray right now
					_R_MessageDivinePietyStartCombat.Show()
				elseif(UsingShrine)
					PlayerRef.AddSpell(GetPietyConstantShrine(Pantheon, Deity), false)
				else
					PlayerRef.AddSpell(GetPietyConstant(Pantheon, Deity), false)
				endIf
			elseif(Option == 1) ;Asking the Divine for guidance
				if(GameDaysPassed.GetValue() > GetAskTimeLast(Pantheon, Deity) + _R_GlobalDivineAskWait.GetValue())
					IncrementGuidance(Pantheon, Deity, UsingShrine)
					SetAskTimeLast(Pantheon, Deity)
					DivineGlimpse = TryGetGlimpse(Pantheon, Deity, SinsArray, VirtuesArray)
					if(DivineGlimpse)
						_R_SoundDivineWeak.Play(PlayerRef)
					endIf
				endIf
			elseif(Option == 2) ;Asking the Divine for a Blessing
				if(PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectDivineCurse)) ;The player has been cursed by some Divine, so asking for blessings are futile
					_R_SoundDivineWeak.Play(PlayerRef)
				elseif(IsBlasphemous || DivineWorth < 0) ;The player is blasphemous, so asking for blessings are futile
					_R_SoundDivineWeak.Play(PlayerRef)
				else
					if(GameDaysPassed.GetValue() > GetAskTimeLast(Pantheon, Deity) + _R_GlobalDivineAskWait.GetValue())
						BlessingDivine(Deity, UsingShrine, DivineWorth)
						SetAskTimeLast(Pantheon, Deity)
					endIf
				endIf
			elseif(Option == 3) ;The player is repenting
				if(IsBlasphemous || GameDaysPassed.GetValue() > GetAskTimeLast(Pantheon, Deity) + _R_GlobalDivineAskWait.GetValue())
					if(IsBlasphemous)
						if(_R_MessageDivinePietyStartRepentCurse.Show() == 0)
							CurseDivine(Deity, Sins)
							UpdateDivinesForgiveness(Deity, SinsArray)
							_R_SoundDivineStrong.Play(PlayerRef)
						endIf
					else
						UpdateDivinesRepentance(Deity, SinsArray)
						_R_SoundDivineWeak.Play(PlayerRef)
					endIf
					SetAskTimeLast(Pantheon, Deity)
				endIf
			endIf
		endIf
	elseif(Pantheon == PantheonDaedra)
		if(PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectPietyDaedra)) ;The player has the effect keyword, they are currently worshipping
			if(UsingShrine)
				PlayerRef.RemoveSpell(GetPietyConstantShrine(Pantheon, Deity))
			else
				PlayerRef.RemoveSpell(GetPietyConstant(Pantheon, Deity))
			endIf
		else ;The player doesn't have the effect keyword, they are trying to start worshipping
			int Option = _R_MessageDaedraPietyStart.Show()
			
			float[] AmusementArray = GetDaedraAmusementArray(Deity)
			float[] DisapprovalArray = GetDaedraDisapprovalArray(Deity)
			
			float Amusement = GetDaedraAmusement(Deity, AmusementArray)
			float Disapproval = GetDaedraDisapproval(Deity, DisapprovalArray)
			float Interest = GetDaedraInterest(Deity, Amusement, Disapproval)
					
			;The player is doing something
			if(Option < 4 && GetWorshipStart(Pantheon, Deity) < 0)
				SetWorshipStart(Pantheon, Deity)
			endIf
			
			if(Option == 0) ;The player starts worshipping the Daedra
				if(PlayerRef.IsInCombat())
					_R_MessageDaedraPietyStartCombat.Show()
				elseif(UsingShrine)
					if(Deity == DaedraAzura)
						WorshipLastDaedraAzura = GameDaysPassed.GetValue()
					endIf
					PlayerRef.AddSpell(GetPietyConstantShrine(Pantheon, Deity), false)
				else
					if(Deity == DaedraAzura)
						WorshipLastDaedraAzura = GameDaysPassed.GetValue()
					endIf
					PlayerRef.AddSpell(GetPietyConstant(Pantheon, Deity), false)
				endIf
			elseif(Option == 1) ;The player asks for guidance
				if(GameDaysPassed.GetValue() > GetAskTimeLast(Pantheon, Deity) + _R_GlobalDaedraAskWait.GetValue())
					IncrementGuidance(Pantheon, Deity, UsingShrine)
					SetAskTimeLast(Pantheon, Deity)
					DaedraGlimpse = TryGetGlimpse(Pantheon, Deity, DisapprovalArray, AmusementArray)
					if(DaedraGlimpse)
						_R_SoundDaedraWeak.Play(PlayerRef)
					endIf
				endIf
			elseif(Option == 2) ;The player asks for a gift
				if(PlayerRef.HasMagicEffectWithKeyword(GetKeywordFromList(_R_ListKeywordEffectDaedraEnemy, Deity)))
					_R_SoundDaedraWeak.Play(PlayerRef)
				elseif(GameDaysPassed.GetValue() > GetAskTimeLast(Pantheon, Deity) + _R_GlobalDaedraAskWait.GetValue())
					IncrementGiftAskCountDaedra(Deity)
					GiftDaedra(Deity, Amusement, Disapproval, Interest)
					SetAskTimeLast(Pantheon, Deity)
				endIf
			elseif(Option == 3) ;The player asks to remove a gift
				if(PlayerRef.HasMagicEffectWithKeyword(GetKeywordFromList(_R_ListKeywordEffectDaedraEnemy, Deity)))
					_R_SoundDaedraWeak.Play(PlayerRef)
				elseif(GameDaysPassed.GetValue() > GetAskTimeLast(Pantheon, Deity) + _R_GlobalDaedraAskWait.GetValue())
					IncrementGiftAskCountDaedra(Deity)
					GiftRemoveDaedra(Deity, Amusement, Disapproval, Interest)
					SetAskTimeLast(Pantheon, Deity)
				endIf
			endIf
		endIf
		;endIf
	elseif(Pantheon == PantheonSpirit)
		if(Deity == SpiritAncestors && AncestorsRace < 0)
			if(GetListFromList(_R_ListRaces, RaceBreton).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceBreton
			elseif(GetListFromList(_R_ListRaces, RaceNord).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceNord
			elseif(GetListFromList(_R_ListRaces, RaceNord).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceNord
			elseif(GetListFromList(_R_ListRaces, RaceRedguard).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceRedguard
			elseif(GetListFromList(_R_ListRaces, RaceDarkElf).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceDarkElf
			elseif(GetListFromList(_R_ListRaces, RaceHighElf).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceHighElf
			elseif(GetListFromList(_R_ListRaces, RaceWoodElf).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceWoodElf
			elseif(GetListFromList(_R_ListRaces, RaceArgonian).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceArgonian
			elseif(GetListFromList(_R_ListRaces, RaceKhajiit).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceKhajiit
			elseif(GetListFromList(_R_ListRaces, RaceOrc).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceOrc
			else
				AncestorsRace = _R_MessageSpiritPietyStartAncestors.Show()
			endIf
		endIf
		
		if(PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectPietySpirit))
			if(UsingShrine)
				PlayerRef.RemoveSpell(GetPietyConstantShrine(Pantheon, Deity))
			else
				PlayerRef.RemoveSpell(GetPietyConstant(Pantheon, Deity))
			endIf
		else
			int Option = _R_MessageSpiritPietyStart.Show()
			
			if(Option == 0);Start Invocation
				if(PlayerRef.IsInCombat())
					_R_MessageSpiritPietyStartCombat.Show()
				elseif(UsingShrine)
					PlayerRef.AddSpell(GetPietyConstantShrine(Pantheon, Deity), false)
				else
					PlayerRef.AddSpell(GetPietyConstant(Pantheon, Deity), false)
				endIf
			elseif(Option == 1);Invoke Guidance
				if(GameDaysPassed.GetValue() > GetAskTimeLast(Pantheon, Deity) + _R_GlobalSpiritAskWait.GetValue())
					IncrementGuidance(Pantheon, Deity, UsingShrine)
					SetAskTimeLast(Pantheon, Deity)
					TryPrepareGlimpse(Pantheon, Deity)
				endIf
			elseif(Option == 2);Invoke Shroud
				ShroudSpirit(Deity)
			endIf
		endIf
		;endIf
	endIf
endFunction

;If prayer/worship was successful start recording time spent praying/worshipping, as well as other choices
int Function BeginPiety(int Pantheon, int Deity, bool UsingShrine)
	Log("[Religion]Function Call BeginPiety: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity))
	if(Pantheon == PantheonMeditation)
		;While the meditation Sign is not chosen, keep prompting
		while(Deity < 0)
			;If the player has not designated a meditation pantheon (Warior, Mage, Thief, Serpent), ask them which to align to
			if(MeditationPantheon < 0)
				MeditationPantheon = _R_MessageMeditationChoice.Show()
			;If the player has chosen a pantheon, prompt for which sign to meditate on
			elseif(MeditationPantheon == 0);Warrior
				Deity = _R_MessageMeditationChoiceWarrior.Show()
			elseif(MeditationPantheon == 1);Thief
				Deity = _R_MessageMeditationChoiceThief.Show()
			elseif(MeditationPantheon == 2);Mage
				Deity = _R_MessageMeditationChoiceMage.Show()
			elseif(MeditationPantheon == 3);Serpent
				Deity = _R_MessageMeditationChoiceSerpent.Show()
			endIf
			;If the player has asked to realign to a new pantheon
			;if(Deity == 4 || (MeditationPantheon == 3 && Deity == 1))
			;	if(_R_MessageMeditationChoiceConfirm.Show() == 0)
			;		MeditationPantheon = _R_MessageMeditationChoice.Show()
			;		Deity = -1
			;	else
			;		Deity = -1
			;	endIf
			;The player cancelled
			if(Deity == 4 || (MeditationPantheon == 3 && Deity == 1))
				return -1
			endIf
		endWhile
		_R_MessageMeditationStopPrompt.Show()
		;Converts choices to actual meditation Sign integer
		Deity = (MeditationPantheon * 4) + Deity
	elseif(Pantheon == PantheonDivines)
		if(UsingShrine)
			_R_MessageDivinePietyStopPromptShrine.Show()
		else
			_R_MessageDivinePietyStopPrompt.Show()
		endIf
	elseif(Pantheon == PantheonDaedra)
		if(UsingShrine)
			_R_MessageDaedraPietyStopPromptShrine.Show()
		else
			_R_MessageDaedraPietyStopPrompt.Show()
		endIf
	elseif(Pantheon == PantheonSpirit)
		if(UsingShrine)
			_R_MessageSpiritPietyStopPromptShrine.Show()
		else
			_R_MessageSpiritPietyStopPrompt.Show()
		endIf
	endIf
	;If the deity integer is less than 0, then the piety was cancelled
	if(Deity >= 0)
		Game.DisablePlayerControls(true, false, true, false, true, true, false)
		if(_R_Global_UseAnimations.GetValue() == 1)
			if(UsingShrine || PlayerRef.IsSneaking())
				PlayerRef.PlayIdle(IdlePray)
			else
				PlayerRef.PlayIdle(IdleBowHeadAtGrave_01)
			endIf
		endIf
	endIf
	return Deity
endFunction

FormList Property _R_ListEndAll Auto

;When the player has stopped their meditation/prayer/worship, record time spent done, as well as additional calculations
Function EndPiety(int Pantheon, int Deity, bool UsingShrine, float PietyMult, float Duration)
	Log("[Religion]Function Call EndPiety: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity) + ", Duration-" + Duration)
	Game.EnablePlayerControls()
	if(Pantheon == PantheonMeditation)
		if(PlayerRef.IsInCombat())
			_R_MessageMeditationStopCombat.Show()
		else
			if(Deity == SignWarrior)
				DurSignWarrior += Duration
				PietySignWarrior += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, PantheonMeditation), MeditationPantheon).Show(DurSignWarrior as int, ((DurSignWarrior - (DurSignWarrior as int)) * 24) as int)
			elseif(Deity == SignLady)
				DurSignWarrior += Duration
				PietySignLady += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, PantheonMeditation), MeditationPantheon).Show(DurSignWarrior as int, ((DurSignWarrior - (DurSignWarrior as int)) * 24) as int)
			elseif(Deity == SignSteed)
				DurSignWarrior += Duration
				PietySignSteed += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, PantheonMeditation), MeditationPantheon).Show(DurSignWarrior as int, ((DurSignWarrior - (DurSignWarrior as int)) * 24) as int)
			elseif(Deity == SignLord)
				DurSignWarrior += Duration
				PietySignLord += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, PantheonMeditation), MeditationPantheon).Show(DurSignWarrior as int, ((DurSignWarrior - (DurSignWarrior as int)) * 24) as int)
			elseif(Deity == SignThief)
				DurSignThief += Duration
				PietySignThief += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, PantheonMeditation), MeditationPantheon).Show(DurSignThief as int, ((DurSignThief - (DurSignThief as int)) * 24) as int)
			elseif(Deity == SignLover)
				DurSignThief += Duration
				PietySignLover += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, PantheonMeditation), MeditationPantheon).Show(DurSignThief as int, ((DurSignThief - (DurSignThief as int)) * 24) as int)
			elseif(Deity == SignShadow)
				DurSignThief += Duration
				PietySignShadow += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, PantheonMeditation), MeditationPantheon).Show(DurSignThief as int, ((DurSignThief - (DurSignThief as int)) * 24) as int)
			elseif(Deity == SignTower)
				DurSignThief += Duration
				PietySignTower += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, PantheonMeditation), MeditationPantheon).Show(DurSignThief as int, ((DurSignThief - (DurSignThief as int)) * 24) as int)
			elseif(Deity == SignMage)
				DurSignMage += Duration
				PietySignMage += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, PantheonMeditation), MeditationPantheon).Show(DurSignMage as int, ((DurSignMage - (DurSignMage as int)) * 24) as int)
			elseif(Deity == SignApprentice)
				DurSignMage += Duration
				PietySignApprentice += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, PantheonMeditation), MeditationPantheon).Show(DurSignMage as int, ((DurSignMage - (DurSignMage as int)) * 24) as int)
			elseif(Deity == SignAtronach)
				DurSignMage += Duration
				PietySignAtronach += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, PantheonMeditation), MeditationPantheon).Show(DurSignMage as int, ((DurSignMage - (DurSignMage as int)) * 24) as int)
			elseif(Deity == SignRitual)
				DurSignMage += Duration
				PietySignRitual += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, PantheonMeditation), MeditationPantheon).Show(DurSignMage as int, ((DurSignMage - (DurSignMage as int)) * 24) as int)
			elseif(Deity == SignSerpent)
				DurSignSerpent += Duration
				PietySignSerpent += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, PantheonMeditation), MeditationPantheon).Show(DurSignSerpent as int, ((DurSignSerpent - (DurSignSerpent as int)) * 24) as int)
			endIf
		
			if(Deity >= 0)
				BoonMeditation(Deity)
			endIf
		endIf
	elseif(Pantheon == PantheonDivines)
		if(PlayerRef.IsInCombat())
			_R_MessageDivinePietyStopCombat.Show()
		else
			if(Deity == DivineAkatosh)
				DurDivineAkatosh += Duration
				PietyDivineAkatosh += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDivineAkatosh as int, ((DurDivineAkatosh - (DurDivineAkatosh as int)) * 24) as int)
			elseif(Deity == DivineArkay)
				DurDivineArkay += Duration
				PietyDivineArkay += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDivineArkay as int, ((DurDivineArkay - (DurDivineArkay as int)) * 24) as int)
			elseif(Deity == DivineDibella)
				DurDivineDibella += Duration
				PietyDivineDibella += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDivineDibella as int, ((DurDivineDibella - (DurDivineDibella as int)) * 24) as int)
			elseif(Deity == DivineJulianos)
				DurDivineJulianos += Duration
				PietyDivineJulianos += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDivineJulianos as int, ((DurDivineJulianos - (DurDivineJulianos as int)) * 24) as int)
			elseif(Deity == DivineKynareth)
				DurDivineKynareth += Duration
				PietyDivineKynareth += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDivineKynareth as int, ((DurDivineKynareth - (DurDivineKynareth as int)) * 24) as int)
			elseif(Deity == DivineMara)
				DurDivineMara += Duration
				PietyDivineMara += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDivineMara as int, ((DurDivineMara - (DurDivineMara as int)) * 24) as int)
			elseif(Deity == DivineStendarr)
				DurDivineStendarr += Duration
				PietyDivineStendarr += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDivineStendarr as int, ((DurDivineStendarr - (DurDivineStendarr as int)) * 24) as int)
			elseif(Deity == DivineTalos)
				DurDivineTalos += Duration
				PietyDivineTalos += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDivineTalos as int, ((DurDivineTalos - (DurDivineTalos as int)) * 24) as int)
			elseif(Deity == DivineZenithar)
				DurDivineZenithar += Duration
				PietyDivineZenithar += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDivineZenithar as int, ((DurDivineZenithar - (DurDivineZenithar as int)) * 24) as int)
			endIf
		endIf
	elseif(Pantheon == PantheonDaedra)
		if(PlayerRef.IsInCombat())
			_R_MessageDaedraPietyStopCombat.Show()
		else
			if(Deity == DaedraAzura)
				WorshipLastDaedraAzura = GameDaysPassed.GetValue()
				DurDaedraAzura += Duration
				PietyDaedraAzura += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraAzura as int, ((DurDaedraAzura - (DurDaedraAzura as int)) * 24) as int)
			elseif(Deity == DaedraBoethiah)
				DurDaedraBoethiah += Duration
				PietyDaedraBoethiah += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraBoethiah as int, ((DurDaedraBoethiah - (DurDaedraBoethiah as int)) * 24) as int)
			elseif(Deity == DaedraClavicus)
				DurDaedraClavicus += Duration
				PietyDaedraClavicus += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraClavicus as int, ((DurDaedraClavicus - (DurDaedraClavicus as int)) * 24) as int)
			elseif(Deity == DaedraHermaeus)
				DurDaedraHermaeus += Duration
				PietyDaedraHermaeus += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraHermaeus as int, ((DurDaedraHermaeus - (DurDaedraHermaeus as int)) * 24) as int)
			elseif(Deity == DaedraHircine)
				DurDaedraHircine += Duration
				PietyDaedraHircine += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraHircine as int, ((DurDaedraHircine - (DurDaedraHircine as int)) * 24) as int)
			elseif(Deity == DaedraMalacath)
				DurDaedraMalacath += Duration
				PietyDaedraMalacath += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraMalacath as int, ((DurDaedraMalacath - (DurDaedraMalacath as int)) * 24) as int)
			elseif(Deity == DaedraMehrunes)
				DurDaedraMehrunes += Duration
				PietyDaedraMehrunes += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraMehrunes as int, ((DurDaedraMehrunes - (DurDaedraMehrunes as int)) * 24) as int)
			elseif(Deity == DaedraMephala)
				DurDaedraMephala += Duration
				PietyDaedraMephala += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraMephala as int, ((DurDaedraMephala - (DurDaedraMephala as int)) * 24) as int)
			elseif(Deity == DaedraMeridia)
				DurDaedraMeridia += Duration
				PietyDaedraMeridia += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraMeridia as int, ((DurDaedraMeridia - (DurDaedraMeridia as int)) * 24) as int)
			elseif(Deity == DaedraMolagBal)
				DurDaedraMolagBal += Duration
				PietyDaedraMolagBal += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraMolagBal as int, ((DurDaedraMolagBal - (DurDaedraMolagBal as int)) * 24) as int)
			elseif(Deity == DaedraNamira)
				DurDaedraNamira += Duration
				PietyDaedraNamira += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraNamira as int, ((DurDaedraNamira - (DurDaedraNamira as int)) * 24) as int)
			elseif(Deity == DaedraNocturnal)
				DurDaedraNocturnal += Duration
				PietyDaedraNocturnal += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraNocturnal as int, ((DurDaedraNocturnal - (DurDaedraNocturnal as int)) * 24) as int)
			elseif(Deity == DaedraPeryite)
				DurDaedraPeryite += Duration
				PietyDaedraPeryite += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraPeryite as int, ((DurDaedraPeryite - (DurDaedraPeryite as int)) * 24) as int)
			elseif(Deity == DaedraSanguine)
				DurDaedraSanguine += Duration
				PietyDaedraSanguine += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraSanguine as int, ((DurDaedraSanguine - (DurDaedraSanguine as int)) * 24) as int)
			elseif(Deity == DaedraSheogorath)
				DurDaedraSheogorath += Duration
				PietyDaedraSheogorath += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraSheogorath as int, ((DurDaedraSheogorath - (DurDaedraSheogorath as int)) * 24) as int)
			elseif(Deity == DaedraVaermina)
				DurDaedraVaermina += Duration
				PietyDaedraVaermina += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurDaedraVaermina as int, ((DurDaedraVaermina - (DurDaedraVaermina as int)) * 24) as int)
			endIf
		endIf
	elseif(Pantheon == PantheonSpirit)
		if(PlayerRef.IsInCombat())
			_R_MessageSpiritPietyStopCombat.Show()
		else
			if(Deity == SpiritAllMaker)
				DurSpiritAllMaker += Duration
				PietySpiritAllMaker += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurSpiritAllMaker as int, ((DurSpiritAllMaker - (DurSpiritAllMaker as int)) * 24) as int)
			elseif(Deity == SpiritAncestors)
				DurSpiritAncestors += Duration
				PietySpiritAncestors += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurSpiritAncestors as int, ((DurSpiritAncestors - (DurSpiritAncestors as int)) * 24) as int)
			elseif(Deity == SpiritEbonarm)
				DurSpiritEbonarm += Duration
				PietySpiritEbonarm += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurSpiritEbonarm as int, ((DurSpiritEbonarm - (DurSpiritEbonarm as int)) * 24) as int)
			elseif(Deity == SpiritMagnus)
				DurSpiritMagnus += Duration
				PietySpiritMagnus += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurSpiritMagnus as int, ((DurSpiritMagnus - (DurSpiritMagnus as int)) * 24) as int)
			elseif(Deity == SpiritSithis)
				DurSpiritSithis += Duration
				PietySpiritSithis += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurSpiritSithis as int, ((DurSpiritSithis - (DurSpiritSithis as int)) * 24) as int)
			elseif(Deity == SpiritYffre)
				DurSpiritYffre += Duration
				PietySpiritYffre += Duration * PietyMult
				GetMessageFromList(GetListFromList(_R_ListEndAll, Pantheon), Deity).Show(DurSpiritYffre as int, ((DurSpiritYffre - (DurSpiritYffre as int)) * 24) as int)
			endIf
		endIf
	endIf
	PlayerRef.PlayIdle(IdleStop_Loose)
endFunction

FormList Property _R_ListSpellPietyAllConstant Auto
FormList Property _R_ListSpellPietyAllPower Auto
FormList Property _R_ListSpellPietyAllShrine Auto

;Returns whether or not the player has the prayer/worship spell for a specific deity
bool Function HasPietyPower(int Pantheon, int Deity)
	Log("[Religion]Function Call HasPietyPower: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity))
	return PlayerRef.HasSpell(GetPietyPower(Pantheon, Deity))
endFunction

Spell Function GetPietyConstant(int Pantheon, int Deity)
	return GetSpellFromList(GetListFromList(_R_ListSpellPietyAllConstant, Pantheon), Deity)
endFunction

Spell Function GetPietyPower(int Pantheon, int Deity)
	if(Pantheon == PantheonMeditation)
		return GetSpellFromList(GetListFromList(_R_ListSpellPietyAllPower, Pantheon), 0)
	else
		return GetSpellFromList(GetListFromList(_R_ListSpellPietyAllPower, Pantheon), Deity)
	endIf
endFunction

Spell Function GetPietyConstantShrine(int Pantheon, int Deity)
	return GetSpellFromList(GetListFromList(_R_ListSpellPietyAllShrine, Pantheon), Deity)
endFunction

;Gets the last time the player asked this deity for something, in GameDaysPassed
float Function GetAskTimeLast(int Pantheon, int Deity)
	if(Pantheon == PantheonMeditation)
		return 0.0
	elseif(Pantheon == PantheonDivines)
		if(Deity == DivineAkatosh)
			return AskTimeLastDivineAkatosh
		elseif(Deity == DivineArkay)
			return AskTimeLastDivineArkay
		elseif(Deity == DivineDibella)
			return AskTimeLastDivineDibella
		elseif(Deity == DivineJulianos)
			return AskTimeLastDivineJulianos
		elseif(Deity == DivineKynareth)
			return AskTimeLastDivineKynareth
		elseif(Deity == DivineMara)
			return AskTimeLastDivineMara
		elseif(Deity == DivineStendarr)
			return AskTimeLastDivineStendarr
		elseif(Deity == DivineTalos)
			return AskTimeLastDivineTalos
		elseif(Deity == DivineZenithar)
			return AskTimeLastDivineZenithar
		endIf
	elseif(Pantheon == PantheonDaedra)
		if(Deity == DaedraAzura)
			return AskTimeLastDaedraAzura
		elseif(Deity == DaedraBoethiah)
			return AskTimeLastDaedraBoethiah
		elseif(Deity == DaedraClavicus)
			return AskTimeLastDaedraClavicus
		elseif(Deity == DaedraHermaeus)
			return AskTimeLastDaedraHermaeus
		elseif(Deity == DaedraHircine)
			return AskTimeLastDaedraHircine
		elseif(Deity == DaedraMalacath)
			return AskTimeLastDaedraMalacath
		elseif(Deity == DaedraMehrunes)
			return AskTimeLastDaedraMehrunes
		elseif(Deity == DaedraMephala)
			return AskTimeLastDaedraMephala
		elseif(Deity == DaedraMeridia)
			return AskTimeLastDaedraMeridia
		elseif(Deity == DaedraMolagBal)
			return AskTimeLastDaedraMolagBal
		elseif(Deity == DaedraNamira)
			return AskTimeLastDaedraNamira
		elseif(Deity == DaedraNocturnal)
			return AskTimeLastDaedraNocturnal
		elseif(Deity == DaedraPeryite)
			return AskTimeLastDaedraPeryite
		elseif(Deity == DaedraSanguine)
			return AskTimeLastDaedraSanguine
		elseif(Deity == DaedraSheogorath)
			return AskTimeLastDaedraSheogorath
		elseif(Deity == DaedraVaermina)
			return AskTimeLastDaedraVaermina
		endIf
	elseif(Pantheon == PantheonSpirit)
		if(Deity == SpiritAllMaker)
			return AskTimeLastSpiritAllMaker
		elseif(Deity == SpiritAncestors)
			return AskTimeLastSpiritAncestors
		elseif(Deity == SpiritEbonarm)
			return AskTimeLastSpiritEbonarm
		elseif(Deity == SpiritMagnus)
			return AskTimeLastSpiritMagnus
		elseif(Deity == SpiritSithis)
			return AskTimeLastSpiritSithis
		elseif(Deity == SpiritYffre)
			return AskTimeLastSpiritYffre
		endIf
	endIf
	return 0.0
endFunction

;Sets the last time the player asked this deity for something to right now
Function SetAskTimeLast(int Pantheon, int Deity)
	if(Pantheon == PantheonMeditation)
	elseif(Pantheon == PantheonDivines)
		if(Deity == DivineAkatosh)
			AskTimeLastDivineAkatosh = GameDaysPassed.GetValue()
		elseif(Deity == DivineArkay)
			AskTimeLastDivineArkay = GameDaysPassed.GetValue()
		elseif(Deity == DivineDibella)
			AskTimeLastDivineDibella = GameDaysPassed.GetValue()
		elseif(Deity == DivineJulianos)
			AskTimeLastDivineJulianos = GameDaysPassed.GetValue()
		elseif(Deity == DivineKynareth)
			AskTimeLastDivineKynareth = GameDaysPassed.GetValue()
		elseif(Deity == DivineMara)
			AskTimeLastDivineMara = GameDaysPassed.GetValue()
		elseif(Deity == DivineStendarr)
			AskTimeLastDivineStendarr = GameDaysPassed.GetValue()
		elseif(Deity == DivineTalos)
			AskTimeLastDivineTalos = GameDaysPassed.GetValue()
		elseif(Deity == DivineZenithar)
			AskTimeLastDivineZenithar = GameDaysPassed.GetValue()
		endIf
	elseif(Pantheon == PantheonDaedra)
		if(Deity == DaedraAzura)
			AskTimeLastDaedraAzura = GameDaysPassed.GetValue()
		elseif(Deity == DaedraBoethiah)
			AskTimeLastDaedraBoethiah = GameDaysPassed.GetValue()
		elseif(Deity == DaedraClavicus)
			AskTimeLastDaedraClavicus = GameDaysPassed.GetValue()
		elseif(Deity == DaedraHermaeus)
			AskTimeLastDaedraHermaeus = GameDaysPassed.GetValue()
		elseif(Deity == DaedraHircine)
			AskTimeLastDaedraHircine = GameDaysPassed.GetValue()
		elseif(Deity == DaedraMalacath)
			AskTimeLastDaedraMalacath = GameDaysPassed.GetValue()
		elseif(Deity == DaedraMehrunes)
			AskTimeLastDaedraMehrunes = GameDaysPassed.GetValue()
		elseif(Deity == DaedraMephala)
			AskTimeLastDaedraMephala = GameDaysPassed.GetValue()
		elseif(Deity == DaedraMeridia)
			AskTimeLastDaedraMeridia = GameDaysPassed.GetValue()
		elseif(Deity == DaedraMolagBal)
			AskTimeLastDaedraMolagBal = GameDaysPassed.GetValue()
		elseif(Deity == DaedraNamira)
			AskTimeLastDaedraNamira = GameDaysPassed.GetValue()
		elseif(Deity == DaedraNocturnal)
			AskTimeLastDaedraNocturnal = GameDaysPassed.GetValue()
		elseif(Deity == DaedraPeryite)
			AskTimeLastDaedraPeryite = GameDaysPassed.GetValue()
		elseif(Deity == DaedraSanguine)
			AskTimeLastDaedraSanguine = GameDaysPassed.GetValue()
		elseif(Deity == DaedraSheogorath)
			AskTimeLastDaedraSheogorath = GameDaysPassed.GetValue()
		elseif(Deity == DaedraVaermina)
			AskTimeLastDaedraVaermina = GameDaysPassed.GetValue()
		endIf
	elseif(Pantheon == PantheonSpirit)
		if(Deity == SpiritAllMaker)
			AskTimeLastSpiritAllMaker = GameDaysPassed.GetValue()
		elseif(Deity == SpiritAncestors)
			AskTimeLastSpiritAncestors = GameDaysPassed.GetValue()
		elseif(Deity == SpiritEbonarm)
			AskTimeLastSpiritEbonarm = GameDaysPassed.GetValue()
		elseif(Deity == SpiritMagnus)
			AskTimeLastSpiritMagnus = GameDaysPassed.GetValue()
		elseif(Deity == SpiritSithis)
			AskTimeLastSpiritSithis = GameDaysPassed.GetValue()
		elseif(Deity == SpiritYffre)
			AskTimeLastSpiritYffre = GameDaysPassed.GetValue()
		endIf
	endIf
endFunction

;Gets the time the player started worshipping/praying to this deity, in GameDaysPassed
float Function GetWorshipStart(int Pantheon, int Deity)
	if(Pantheon == PantheonDivines)
		if(Deity == DivineAkatosh)
			return PrayerStartDivineAkatosh
		elseif(Deity == DivineArkay)
			return PrayerStartDivineArkay
		elseif(Deity == DivineDibella)
			return PrayerStartDivineDibella
		elseif(Deity == DivineJulianos)
			return PrayerStartDivineJulianos
		elseif(Deity == DivineKynareth)
			return PrayerStartDivineKynareth
		elseif(Deity == DivineMara)
			return PrayerStartDivineMara
		elseif(Deity == DivineStendarr)
			return PrayerStartDivineStendarr
		elseif(Deity == DivineTalos)
			return PrayerStartDivineTalos
		elseif(Deity == DivineZenithar)
			return PrayerStartDivineZenithar
		endIf
	elseif(Pantheon == PantheonDaedra)
		if(Deity == DaedraAzura)
			return WorshipStartDaedraAzura
		elseif(Deity == DaedraBoethiah)
			return WorshipStartDaedraBoethiah
		elseif(Deity == DaedraClavicus)
			return WorshipStartDaedraClavicus
		elseif(Deity == DaedraHermaeus)
			return WorshipStartDaedraHermaeus
		elseif(Deity == DaedraHircine)
			return WorshipStartDaedraHircine
		elseif(Deity == DaedraMalacath)
			return WorshipStartDaedraMalacath
		elseif(Deity == DaedraMehrunes)
			return WorshipStartDaedraMehrunes
		elseif(Deity == DaedraMephala)
			return WorshipStartDaedraMephala
		elseif(Deity == DaedraMeridia)
			return WorshipStartDaedraMeridia
		elseif(Deity == DaedraMolagBal)
			return WorshipStartDaedraMolagBal
		elseif(Deity == DaedraNamira)
			return WorshipStartDaedraNamira
		elseif(Deity == DaedraNocturnal)
			return WorshipStartDaedraNocturnal
		elseif(Deity == DaedraPeryite)
			return WorshipStartDaedraPeryite
		elseif(Deity == DaedraSanguine)
			return WorshipStartDaedraSanguine
		elseif(Deity == DaedraSheogorath)
			return WorshipStartDaedraSheogorath
		elseif(Deity == DaedraVaermina)
			return WorshipStartDaedraVaermina
		endIf
	elseif(Pantheon == PantheonSpirit)
		if(Deity == SpiritAllMaker)
			return InvokeStartSpiritAllMaker
		elseif(Deity == SpiritAncestors)
			return InvokeStartSpiritAncestors
		elseif(Deity == SpiritEbonarm)
			return InvokeStartSpiritEbonarm
		elseif(Deity == SpiritMagnus)
			return InvokeStartSpiritMagnus
		elseif(Deity == SpiritSithis)
			return InvokeStartSpiritSithis
		elseif(Deity == SpiritYffre)
			return InvokeStartSpiritYffre
		endIf
	endIf
	return -1.0
endFunction

;Sets the time the player started worshipping/praying to this deity, in GameDaysPassed
Function SetWorshipStart(int Pantheon, int Deity)
	if(Pantheon == PantheonDivines)
		if(Deity == DivineAkatosh)
			PrayerStartDivineAkatosh = GameDaysPassed.GetValue()
		elseif(Deity == DivineArkay)
			PrayerStartDivineArkay = GameDaysPassed.GetValue()
		elseif(Deity == DivineDibella)
			PrayerStartDivineDibella = GameDaysPassed.GetValue()
		elseif(Deity == DivineJulianos)
			PrayerStartDivineJulianos = GameDaysPassed.GetValue()
		elseif(Deity == DivineKynareth)
			PrayerStartDivineKynareth = GameDaysPassed.GetValue()
		elseif(Deity == DivineMara)
			PrayerStartDivineMara = GameDaysPassed.GetValue()
		elseif(Deity == DivineStendarr)
			PrayerStartDivineStendarr = GameDaysPassed.GetValue()
		elseif(Deity == DivineTalos)
			PrayerStartDivineTalos = GameDaysPassed.GetValue()
		elseif(Deity == DivineZenithar)
			PrayerStartDivineZenithar = GameDaysPassed.GetValue()
		endIf
	elseif(Pantheon == PantheonDaedra)
		if(Deity == DaedraAzura)
			WorshipStartDaedraAzura = GameDaysPassed.GetValue()
		elseif(Deity == DaedraBoethiah)
			WorshipStartDaedraBoethiah = GameDaysPassed.GetValue()
		elseif(Deity == DaedraClavicus)
			WorshipStartDaedraClavicus = GameDaysPassed.GetValue()
		elseif(Deity == DaedraHermaeus)
			WorshipStartDaedraHermaeus = GameDaysPassed.GetValue()
		elseif(Deity == DaedraHircine)
			WorshipStartDaedraHircine = GameDaysPassed.GetValue()
		elseif(Deity == DaedraMalacath)
			WorshipStartDaedraMalacath = GameDaysPassed.GetValue()
		elseif(Deity == DaedraMehrunes)
			WorshipStartDaedraMehrunes = GameDaysPassed.GetValue()
		elseif(Deity == DaedraMephala)
			WorshipStartDaedraMephala = GameDaysPassed.GetValue()
		elseif(Deity == DaedraMeridia)
			WorshipStartDaedraMeridia = GameDaysPassed.GetValue()
		elseif(Deity == DaedraMolagBal)
			WorshipStartDaedraMolagBal = GameDaysPassed.GetValue()
		elseif(Deity == DaedraNamira)
			WorshipStartDaedraNamira = GameDaysPassed.GetValue()
		elseif(Deity == DaedraNocturnal)
			WorshipStartDaedraNocturnal = GameDaysPassed.GetValue()
		elseif(Deity == DaedraPeryite)
			WorshipStartDaedraPeryite = GameDaysPassed.GetValue()
		elseif(Deity == DaedraSanguine)
			WorshipStartDaedraSanguine = GameDaysPassed.GetValue()
		elseif(Deity == DaedraSheogorath)
			WorshipStartDaedraSheogorath = GameDaysPassed.GetValue()
		elseif(Deity == DaedraVaermina)
			WorshipStartDaedraVaermina = GameDaysPassed.GetValue()
		endIf
	elseif(Pantheon == PantheonSpirit)
		if(Deity == SpiritAllMaker)
			InvokeStartSpiritAllMaker = GameDaysPassed.GetValue()
		elseif(Deity == SpiritAncestors)
			InvokeStartSpiritAncestors = GameDaysPassed.GetValue()
		elseif(Deity == SpiritEbonarm)
			InvokeStartSpiritEbonarm = GameDaysPassed.GetValue()
		elseif(Deity == SpiritMagnus)
			InvokeStartSpiritMagnus = GameDaysPassed.GetValue()
		elseif(Deity == SpiritSithis)
			InvokeStartSpiritSithis = GameDaysPassed.GetValue()
		elseif(Deity == SpiritYffre)
			InvokeStartSpiritYffre = GameDaysPassed.GetValue()
		endIf
	endIf
endFunction

;Increments the number of times the player has asked the Daedra for a gift
Function IncrementGiftAskCountDaedra(int Daedra)
	if(Daedra == DaedraAzura)
		GiftAskCountDaedraAzura += 1
	elseif(Daedra == DaedraBoethiah)
		GiftAskCountDaedraBoethiah += 1
	elseif(Daedra == DaedraClavicus)
		GiftAskCountDaedraClavicus += 1
	elseif(Daedra == DaedraHermaeus)
		GiftAskCountDaedraHermaeus += 1
	elseif(Daedra == DaedraHircine)
		GiftAskCountDaedraHircine += 1
	elseif(Daedra == DaedraMalacath)
		GiftAskCountDaedraMalacath += 1
	elseif(Daedra == DaedraMehrunes)
		GiftAskCountDaedraMehrunes += 1
	elseif(Daedra == DaedraMephala)
		GiftAskCountDaedraMephala += 1
	elseif(Daedra == DaedraMeridia)
		GiftAskCountDaedraMeridia += 1
	elseif(Daedra == DaedraMolagBal)
		GiftAskCountDaedraMolagBal += 1
	elseif(Daedra == DaedraNamira)
		GiftAskCountDaedraNamira += 1
	elseif(Daedra == DaedraNocturnal)
		GiftAskCountDaedraNocturnal += 1
	elseif(Daedra == DaedraPeryite)
		GiftAskCountDaedraPeryite += 1
	elseif(Daedra == DaedraSanguine)
		GiftAskCountDaedraSanguine += 1
	elseif(Daedra == DaedraSheogorath)
		GiftAskCountDaedraSheogorath += 1
	elseif(Daedra == DaedraVaermina)
		GiftAskCountDaedraVaermina += 1
	endIf
endFunction

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;Guidance Functions
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;Increments the guidance probability of the given deity
Function IncrementGuidance(int Pantheon, int Deity, bool UsingShrine)
	if(Pantheon == PantheonMeditation)
	elseif(Pantheon == PantheonDivines)
		if(Deity == DivineAkatosh)
			GuidanceDivinesAkatosh += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DivineArkay)
			GuidanceDivinesArkay += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DivineDibella)
			GuidanceDivinesDibella += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DivineJulianos)
			GuidanceDivinesJulianos += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DivineKynareth)
			GuidanceDivinesKynareth += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DivineMara)
			GuidanceDivinesMara += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DivineStendarr)
			GuidanceDivinesStendarr += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DivineTalos)
			GuidanceDivinesTalos += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DivineZenithar)
			GuidanceDivinesZenithar += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		endIf
	elseif(Pantheon == PantheonDaedra)
		if(Deity == DaedraAzura)
			GuidanceAskCountDaedraAzura += 1
			GuidanceDaedraAzura += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraBoethiah)
			GuidanceAskCountDaedraBoethiah += 1
			GuidanceDaedraBoethiah += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraClavicus)
			GuidanceAskCountDaedraClavicus += 1
			GuidanceDaedraClavicus += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraHermaeus)
			GuidanceAskCountDaedraHermaeus += 1
			GuidanceDaedraHermaeus += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraHircine)
			GuidanceAskCountDaedraHircine += 1
			GuidanceDaedraHircine += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraMalacath)
			GuidanceAskCountDaedraMalacath += 1
			GuidanceDaedraMalacath += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraMehrunes)
			GuidanceAskCountDaedraMehrunes += 1
			GuidanceDaedraMehrunes += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraMephala)
			GuidanceAskCountDaedraMephala += 1
			GuidanceDaedraMephala += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraMeridia)
			GuidanceAskCountDaedraMeridia += 1
			GuidanceDaedraMeridia += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraMolagBal)
			GuidanceAskCountDaedraMolagBal += 1
			GuidanceDaedraMolagBal += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraNamira)
			GuidanceAskCountDaedraNamira += 1
			GuidanceDaedraNamira += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraNocturnal)
			GuidanceAskCountDaedraNocturnal += 1
			GuidanceDaedraNocturnal += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraPeryite)
			GuidanceAskCountDaedraPeryite += 1
			GuidanceDaedraPeryite += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraSanguine)
			GuidanceAskCountDaedraSanguine += 1
			GuidanceDaedraSanguine += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraSheogorath)
			GuidanceAskCountDaedraSheogorath += 1
			GuidanceDaedraSheogorath += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == DaedraVaermina)
			GuidanceAskCountDaedraVaermina += 1
			GuidanceDaedraVaermina += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		endIf
	elseif(Pantheon == PantheonSpirit)
		if(Deity == SpiritAllMaker)
			GuidanceSpiritAllMaker += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == SpiritAncestors)
			GuidanceSpiritAncestors += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == SpiritEbonarm)
			GuidanceSpiritEbonarm += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == SpiritMagnus)
			GuidanceSpiritMagnus += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == SpiritSithis)
			GuidanceSpiritSithis += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		elseif(Deity == SpiritYffre)
			GuidanceSpiritYffre += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(Pantheon, Deity, UsingShrine)
		endIf
	endIf
endFunction

;Decrements the guidance probability of the given deity
Function DecrementGuidance(int Pantheon, int Deity)
	if(Pantheon == PantheonMeditation)
		if(GuidanceSigns > 1)
			GuidanceSigns -= 1
		else
			GuidanceSigns = 0
		endIf
	elseif(Pantheon == PantheonDivines)
		if(Deity == DivineAkatosh)
			if(GuidanceDivinesAkatosh > 1)
				GuidanceDivinesAkatosh -= 1
			else
				GuidanceDivinesAkatosh = 0
			endIf
		elseif(Deity == DivineArkay)
			if(GuidanceDivinesArkay > 1)
				GuidanceDivinesArkay -= 1
			else
				GuidanceDivinesArkay = 0
			endIf
		elseif(Deity == DivineDibella)
			if(GuidanceDivinesDibella > 1)
				GuidanceDivinesDibella -= 1
			else
				GuidanceDivinesDibella = 0
			endIf
		elseif(Deity == DivineJulianos)
			if(GuidanceDivinesJulianos > 1)
				GuidanceDivinesJulianos -= 1
			else
				GuidanceDivinesJulianos = 0
			endIf
		elseif(Deity == DivineKynareth)
			if(GuidanceDivinesKynareth > 1)
				GuidanceDivinesKynareth -= 1
			else
				GuidanceDivinesKynareth = 0
			endIf
		elseif(Deity == DivineMara)
			if(GuidanceDivinesMara > 1)
				GuidanceDivinesMara -= 1
			else
				GuidanceDivinesMara = 0
			endIf
		elseif(Deity == DivineStendarr)
			if(GuidanceDivinesStendarr > 1)
				GuidanceDivinesStendarr -= 1
			else
				GuidanceDivinesStendarr = 0
			endIf
		elseif(Deity == DivineTalos)
			if(GuidanceDivinesTalos > 1)
				GuidanceDivinesTalos -= 1
			else
				GuidanceDivinesTalos = 0
			endIf
		elseif(Deity == DivineZenithar)
			if(GuidanceDivinesZenithar > 1)
				GuidanceDivinesZenithar -= 1
			else
				GuidanceDivinesZenithar = 0
			endIf
		endIf
	elseif(Pantheon == PantheonDaedra)
		if(Deity == DaedraAzura)
			if(GuidanceDaedraAzura > 1)
				GuidanceDaedraAzura -= 1
			else
				GuidanceDaedraAzura = 0
			endIf
		elseif(Deity == DaedraBoethiah)
			if(GuidanceDaedraBoethiah > 1)
				GuidanceDaedraBoethiah -= 1
			else
				GuidanceDaedraBoethiah = 0
			endIf
		elseif(Deity == DaedraClavicus)
			if(GuidanceDaedraClavicus > 1)
				GuidanceDaedraClavicus -= 1
			else
				GuidanceDaedraClavicus = 0
			endIf
		elseif(Deity == DaedraHermaeus)
			if(GuidanceDaedraHermaeus > 1)
				GuidanceDaedraHermaeus -= 1
			else
				GuidanceDaedraHermaeus = 0
			endIf
		elseif(Deity == DaedraHircine)
			if(GuidanceDaedraHircine > 1)
				GuidanceDaedraHircine -= 1
			else
				GuidanceDaedraHircine = 0
			endIf
		elseif(Deity == DaedraMalacath)
			if(GuidanceDaedraMalacath > 1)
				GuidanceDaedraMalacath -= 1
			else
				GuidanceDaedraMalacath = 0
			endIf
		elseif(Deity == DaedraMehrunes)
			if(GuidanceDaedraMehrunes > 1)
				GuidanceDaedraMehrunes -= 1
			else
				GuidanceDaedraMehrunes = 0
			endIf
		elseif(Deity == DaedraMephala)
			if(GuidanceDaedraMephala > 1)
				GuidanceDaedraMephala -= 1
			else
				GuidanceDaedraMephala = 0
			endIf
		elseif(Deity == DaedraMeridia)
			if(GuidanceDaedraMeridia > 1)
				GuidanceDaedraMeridia -= 1
			else
				GuidanceDaedraMeridia = 0
			endIf
		elseif(Deity == DaedraMolagBal)
			if(GuidanceDaedraMolagBal > 1)
				GuidanceDaedraMolagBal -= 1
			else
				GuidanceDaedraMolagBal = 0
			endIf
		elseif(Deity == DaedraNamira)
			if(GuidanceDaedraNamira > 1)
				GuidanceDaedraNamira -= 1
			else
				GuidanceDaedraNamira = 0
			endIf
		elseif(Deity == DaedraNocturnal)
			if(GuidanceDaedraNocturnal > 1)
				GuidanceDaedraNocturnal -= 1
			else
				GuidanceDaedraNocturnal = 0
			endIf
		elseif(Deity == DaedraPeryite)
			if(GuidanceDaedraPeryite > 1)
				GuidanceDaedraPeryite -= 1
			else
				GuidanceDaedraPeryite = 0
			endIf
		elseif(Deity == DaedraSanguine)
			if(GuidanceDaedraSanguine > 1)
				GuidanceDaedraSanguine -= 1
			else
				GuidanceDaedraSanguine = 0
			endIf
		elseif(Deity == DaedraSheogorath)
			if(GuidanceDaedraSheogorath > 1)
				GuidanceDaedraSheogorath -= 1
			else
				GuidanceDaedraSheogorath = 0
			endIf
		elseif(Deity == DaedraVaermina)
			if(GuidanceDaedraVaermina > 1)
				GuidanceDaedraVaermina -= 1
			else
				GuidanceDaedraVaermina = 0
			endIf
		endIf
	elseif(Pantheon == PantheonSpirit)
		if(Deity == SpiritAllMaker)
			if(GuidanceSpiritAllMaker > 1)
				GuidanceSpiritAllMaker -= 1
			else
				GuidanceSpiritAllMaker = 0
			endIf
		elseif(Deity == SpiritAncestors)
			if(GuidanceSpiritAncestors > 1)
				GuidanceSpiritAncestors -= 1
			else
				GuidanceSpiritAncestors = 0
			endIf
		elseif(Deity == SpiritEbonarm)
			if(GuidanceSpiritEbonarm > 1)
				GuidanceSpiritEbonarm -= 1
			else
				GuidanceSpiritEbonarm = 0
			endIf
		elseif(Deity == SpiritMagnus)
			if(GuidanceSpiritMagnus > 1)
				GuidanceSpiritMagnus -= 1
			else
				GuidanceSpiritMagnus = 0
			endIf
		elseif(Deity == SpiritSithis)
			if(GuidanceSpiritSithis > 1)
				GuidanceSpiritSithis -= 1
			else
				GuidanceSpiritSithis = 0
			endIf
		elseif(Deity == SpiritYffre)
			if(GuidanceSpiritYffre > 1)
				GuidanceSpiritYffre -= 1
			else
				GuidanceSpiritYffre = 0
			endIf
		endIf
	endIf
endFunction

;Halves the guidance probability of the given deity
Function HalveGuidance(int Pantheon, int Deity)
	if(Pantheon == PantheonMeditation)
		GuidanceSigns = 0
	elseif(Pantheon == PantheonDivines)
		if(Deity == DivineAkatosh)
			GuidanceDivinesAkatosh = GuidanceDivinesAkatosh /2.0
		elseif(Deity == DivineArkay)
			GuidanceDivinesArkay = GuidanceDivinesArkay /2.0
		elseif(Deity == DivineDibella)
			GuidanceDivinesDibella = GuidanceDivinesDibella /2.0
		elseif(Deity == DivineJulianos)
			GuidanceDivinesJulianos = GuidanceDivinesJulianos /2.0
		elseif(Deity == DivineKynareth)
			GuidanceDivinesKynareth = GuidanceDivinesKynareth /2.0
		elseif(Deity == DivineMara)
			GuidanceDivinesMara = GuidanceDivinesMara /2.0
		elseif(Deity == DivineStendarr)
			GuidanceDivinesStendarr = GuidanceDivinesStendarr /2.0
		elseif(Deity == DivineTalos)
			GuidanceDivinesTalos = GuidanceDivinesTalos /2.0
		elseif(Deity == DivineZenithar)
			GuidanceDivinesZenithar = GuidanceDivinesZenithar /2.0
		endIf
	elseif(Pantheon == PantheonDaedra)
		if(Deity == DaedraAzura)
			GuidanceDaedraAzura = GuidanceDaedraAzura /2.0
		elseif(Deity == DaedraBoethiah)
			GuidanceDaedraBoethiah = GuidanceDaedraBoethiah /2.0
		elseif(Deity == DaedraClavicus)
			GuidanceDaedraClavicus = GuidanceDaedraClavicus /2.0
		elseif(Deity == DaedraHermaeus)
			GuidanceDaedraHermaeus = GuidanceDaedraHermaeus /2.0
		elseif(Deity == DaedraHircine)
			GuidanceDaedraHircine = GuidanceDaedraHircine /2.0
		elseif(Deity == DaedraMalacath)
			GuidanceDaedraMalacath = GuidanceDaedraMalacath /2.0
		elseif(Deity == DaedraMehrunes)
			GuidanceDaedraMehrunes = GuidanceDaedraMehrunes /2.0
		elseif(Deity == DaedraMephala)
			GuidanceDaedraMephala = GuidanceDaedraMephala /2.0
		elseif(Deity == DaedraMeridia)
			GuidanceDaedraMeridia = GuidanceDaedraMeridia /2.0
		elseif(Deity == DaedraMolagBal)
			GuidanceDaedraMolagBal = GuidanceDaedraMolagBal /2.0
		elseif(Deity == DaedraNamira)
			GuidanceDaedraNamira = GuidanceDaedraNamira /2.0
		elseif(Deity == DaedraNocturnal)
			GuidanceDaedraNocturnal = GuidanceDaedraNocturnal /2.0
		elseif(Deity == DaedraPeryite)
			GuidanceDaedraPeryite = GuidanceDaedraAzura /2.0
		elseif(Deity == DaedraSanguine)
			GuidanceDaedraSanguine = GuidanceDaedraSanguine /2.0
		elseif(Deity == DaedraSheogorath)
			GuidanceDaedraSheogorath = GuidanceDaedraSheogorath /2.0
		elseif(Deity == DaedraVaermina)
			GuidanceDaedraVaermina = GuidanceDaedraVaermina /2.0
		endIf
	elseif(Pantheon == PantheonSpirit)
		if(Deity == SpiritAllMaker)
			GuidanceSpiritAllMaker = GuidanceSpiritAllMaker /2.0
		elseif(Deity == SpiritAncestors)
			GuidanceSpiritAncestors = GuidanceSpiritAncestors /2.0
		elseif(Deity == SpiritEbonarm)
			GuidanceSpiritEbonarm = GuidanceSpiritEbonarm /2.0
		elseif(Deity == SpiritMagnus)
			GuidanceSpiritMagnus = GuidanceSpiritMagnus /2.0
		elseif(Deity == SpiritSithis)
			GuidanceSpiritSithis = GuidanceSpiritSithis /2.0
		elseif(Deity == SpiritYffre)
			GuidanceSpiritYffre = GuidanceSpiritYffre /2.0
		endIf
	endIf
endFunction

FormList Property _R_ListLoc Auto

FormList Property _R_ListLocMeditation Auto

FormList Property _R_ListLocDivine Auto
FormList Property _R_ListLocDivineAll Auto

FormList Property _R_ListLocDaedra Auto
FormList Property _R_ListLocDaedraAll Auto

FormList Property _R_ListLocSpirit Auto
FormList Property _R_ListLocSpiritAll Auto

Function LocationChanged(Location Loc)
	Log("[Religion]Function Call LocationChanged: Loc-" + Loc)
	if(_R_ListLoc.HasForm(Loc))
		if(100 - GuidanceSigns > Utility.RandomInt() && _R_ListLocMeditation.HasForm(Loc))
			GuidanceSigns += 10 * GetPietyMult(PantheonMeditation, 0, false)
			TryPrepareGlimpse(PantheonMeditation, 0)
		endIf
		if(_R_ListLocDivine.HasForm(Loc))
			if(100 - GuidanceDivinesAkatosh > Utility.RandomInt())
				FormList ListLocAkatosh = GetListFromList(_R_ListLocDivineAll, DivineAkatosh)
				if(GetListFromList(ListLocAkatosh, 0).HasForm(Loc))
					GuidanceDivinesAkatosh += _R_GlobalDivineGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDivines, DivineAkatosh)
				elseif(GetListFromList(ListLocAkatosh, 1).HasForm(Loc))
					GuidanceDivinesAkatosh += _R_GlobalDivineGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDivines, DivineAkatosh)
				elseif(GetListFromList(ListLocAkatosh, 2).HasForm(Loc))
					GuidanceDivinesAkatosh += _R_GlobalDivineGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDivines, DivineAkatosh)
				endIf
			endIf
			if(100 - GuidanceDivinesArkay > Utility.RandomInt())
				FormList ListLocArkay = GetListFromList(_R_ListLocDivineAll, DivineArkay)
				if(GetListFromList(ListLocArkay, 0).HasForm(Loc))
					GuidanceDivinesArkay += _R_GlobalDivineGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDivines, DivineArkay)
				elseif(GetListFromList(ListLocArkay, 1).HasForm(Loc))
					GuidanceDivinesArkay += _R_GlobalDivineGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDivines, DivineArkay)
				elseif(GetListFromList(ListLocArkay, 2).HasForm(Loc))
					GuidanceDivinesArkay += _R_GlobalDivineGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDivines, DivineArkay)
				endIf
			endIf
			if(100 - GuidanceDivinesDibella > Utility.RandomInt())
				FormList ListLocDibella = GetListFromList(_R_ListLocDivineAll, DivineDibella)
				if(GetListFromList(ListLocDibella, 0).HasForm(Loc))
					GuidanceDivinesDibella += _R_GlobalDivineGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDivines, DivineDibella)
				elseif(GetListFromList(ListLocDibella, 1).HasForm(Loc))
					GuidanceDivinesDibella += _R_GlobalDivineGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDivines, DivineDibella)
				elseif(GetListFromList(ListLocDibella, 2).HasForm(Loc))
					GuidanceDivinesDibella += _R_GlobalDivineGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDivines, DivineDibella)
				endIf
			endIf
			if(100 - GuidanceDivinesJulianos > Utility.RandomInt())
				FormList ListLocJulianos = GetListFromList(_R_ListLocDivineAll, DivineJulianos)
				if(GetListFromList(ListLocJulianos, 0).HasForm(Loc))
					GuidanceDivinesJulianos += _R_GlobalDivineGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDivines, DivineJulianos)
				elseif(GetListFromList(ListLocJulianos, 1).HasForm(Loc))
					GuidanceDivinesJulianos += _R_GlobalDivineGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDivines, DivineJulianos)
				elseif(GetListFromList(ListLocJulianos, 2).HasForm(Loc))
					GuidanceDivinesJulianos += _R_GlobalDivineGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDivines, DivineJulianos)
				endIf
			endIf
			if(100 - GuidanceDivinesKynareth > Utility.RandomInt())
				FormList ListLocKynareth = GetListFromList(_R_ListLocDivineAll, DivineKynareth)
				if(GetListFromList(ListLocKynareth, 0).HasForm(Loc))
					GuidanceDivinesKynareth += _R_GlobalDivineGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDivines, DivineKynareth)
				elseif(GetListFromList(ListLocKynareth, 1).HasForm(Loc))
					GuidanceDivinesKynareth += _R_GlobalDivineGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDivines, DivineKynareth)
				elseif(GetListFromList(ListLocKynareth, 2).HasForm(Loc))
					GuidanceDivinesKynareth += _R_GlobalDivineGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDivines, DivineKynareth)
				endIf
			endIf
			if(100 - GuidanceDivinesMara > Utility.RandomInt())
				FormList ListLocMara = GetListFromList(_R_ListLocDivineAll, DivineMara)
				if(GetListFromList(ListLocMara, 0).HasForm(Loc))
					GuidanceDivinesMara += _R_GlobalDivineGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDivines, DivineMara)
				elseif(GetListFromList(ListLocMara, 1).HasForm(Loc))
					GuidanceDivinesMara += _R_GlobalDivineGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDivines, DivineMara)
				elseif(GetListFromList(ListLocMara, 2).HasForm(Loc))
					GuidanceDivinesMara += _R_GlobalDivineGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDivines, DivineMara)
				endIf
			endIf
			if(100 - GuidanceDivinesStendarr > Utility.RandomInt())
				FormList ListLocStendarr = GetListFromList(_R_ListLocDivineAll, DivineStendarr)
				if(GetListFromList(ListLocStendarr, 0).HasForm(Loc))
					GuidanceDivinesStendarr += _R_GlobalDivineGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDivines, DivineStendarr)
				elseif(GetListFromList(ListLocStendarr, 1).HasForm(Loc))
					GuidanceDivinesStendarr += _R_GlobalDivineGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDivines, DivineStendarr)
				elseif(GetListFromList(ListLocStendarr, 2).HasForm(Loc))
					GuidanceDivinesStendarr += _R_GlobalDivineGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDivines, DivineStendarr)
				endIf
			endIf
			if(100 - GuidanceDivinesTalos > Utility.RandomInt())
				FormList ListLocTalos = GetListFromList(_R_ListLocDivineAll, DivineTalos)
				if(GetListFromList(ListLocTalos, 0).HasForm(Loc))
					GuidanceDivinesTalos += _R_GlobalDivineGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDivines, DivineTalos)
				elseif(GetListFromList(ListLocTalos, 1).HasForm(Loc))
					GuidanceDivinesTalos += _R_GlobalDivineGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDivines, DivineTalos)
				elseif(GetListFromList(ListLocTalos, 2).HasForm(Loc))
					GuidanceDivinesTalos += _R_GlobalDivineGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDivines, DivineTalos)
				endIf
			endIf
			if(100 - GuidanceDivinesZenithar > Utility.RandomInt())
				FormList ListLocZenithar = GetListFromList(_R_ListLocDivineAll, DivineZenithar)
				if(GetListFromList(ListLocZenithar, 0).HasForm(Loc))
					GuidanceDivinesZenithar += _R_GlobalDivineGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDivines, DivineZenithar)
				elseif(GetListFromList(ListLocZenithar, 1).HasForm(Loc))
					GuidanceDivinesZenithar += _R_GlobalDivineGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDivines, DivineZenithar)
				elseif(GetListFromList(ListLocZenithar, 2).HasForm(Loc))
					GuidanceDivinesZenithar += _R_GlobalDivineGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDivines, DivineZenithar)
				endIf
			endIf
		endIf
		if(_R_ListLocDaedra.HasForm(Loc))
			if(100 - GuidanceDaedraAzura > Utility.RandomInt())
				FormList ListLocAzura = GetListFromList(_R_ListLocDaedraAll, DaedraAzura)
				if(GetListFromList(ListLocAzura, 0).HasForm(Loc))
					GuidanceDaedraAzura += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraAzura)
				elseif(GetListFromList(ListLocAzura, 1).HasForm(Loc))
					GuidanceDaedraAzura += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraAzura)
				elseif(GetListFromList(ListLocAzura, 2).HasForm(Loc))
					GuidanceDaedraAzura += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraAzura)
				endIf
			endIf
			if(100 - GuidanceDaedraBoethiah > Utility.RandomInt())
				FormList ListLocBoethiah = GetListFromList(_R_ListLocDaedraAll, DaedraBoethiah)
				if(GetListFromList(ListLocBoethiah, 0).HasForm(Loc))
					GuidanceDaedraBoethiah += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraBoethiah)
				elseif(GetListFromList(ListLocBoethiah, 1).HasForm(Loc))
					GuidanceDaedraBoethiah += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraBoethiah)
				elseif(GetListFromList(ListLocBoethiah, 2).HasForm(Loc))
					GuidanceDaedraBoethiah += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraBoethiah)
				endIf
			endIf
			if(100 - GuidanceDaedraClavicus > Utility.RandomInt())
				FormList ListLocClavicus = GetListFromList(_R_ListLocDaedraAll, DaedraClavicus)
				if(GetListFromList(ListLocClavicus, 0).HasForm(Loc))
					GuidanceDaedraClavicus += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraClavicus)
				elseif(GetListFromList(ListLocClavicus, 1).HasForm(Loc))
					GuidanceDaedraClavicus += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraClavicus)
				elseif(GetListFromList(ListLocClavicus, 2).HasForm(Loc))
					GuidanceDaedraClavicus += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraClavicus)
				endIf
			endIf
			if(100 - GuidanceDaedraHermaeus > Utility.RandomInt())
				FormList ListLocHermaeus = GetListFromList(_R_ListLocDaedraAll, DaedraHermaeus)
				if(GetListFromList(ListLocHermaeus, 0).HasForm(Loc))
					GuidanceDaedraHermaeus += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraHermaeus)
				elseif(GetListFromList(ListLocHermaeus, 1).HasForm(Loc))
					GuidanceDaedraHermaeus += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraHermaeus)
				elseif(GetListFromList(ListLocHermaeus, 2).HasForm(Loc))
					GuidanceDaedraHermaeus += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraHermaeus)
				endIf
			endIf
			if(100 - GuidanceDaedraHircine > Utility.RandomInt())
				FormList ListLocHircine = GetListFromList(_R_ListLocDaedraAll, DaedraHircine)
				if(GetListFromList(ListLocHircine, 0).HasForm(Loc))
					GuidanceDaedraHircine += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraHircine)
				elseif(GetListFromList(ListLocHircine, 1).HasForm(Loc))
					GuidanceDaedraHircine += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraHircine)
				elseif(GetListFromList(ListLocHircine, 2).HasForm(Loc))
					GuidanceDaedraHircine += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraHircine)
				endIf
			endIf
			if(100 - GuidanceDaedraMalacath > Utility.RandomInt())
				FormList ListLocMalacath = GetListFromList(_R_ListLocDaedraAll, DaedraMalacath)
				if(GetListFromList(ListLocMalacath, 0).HasForm(Loc))
					GuidanceDaedraMalacath += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraMalacath)
				elseif(GetListFromList(ListLocMalacath, 1).HasForm(Loc))
					GuidanceDaedraMalacath += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraMalacath)
				elseif(GetListFromList(ListLocMalacath, 2).HasForm(Loc))
					GuidanceDaedraMalacath += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraMalacath)
				endIf
			endIf
			if(100 - GuidanceDaedraMehrunes > Utility.RandomInt())
				FormList ListLocMehrunes = GetListFromList(_R_ListLocDaedraAll, DaedraMehrunes)
				if(GetListFromList(ListLocMehrunes, 0).HasForm(Loc))
					GuidanceDaedraMehrunes += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraMehrunes)
				elseif(GetListFromList(ListLocMehrunes, 1).HasForm(Loc))
					GuidanceDaedraMehrunes += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraMehrunes)
				elseif(GetListFromList(ListLocMehrunes, 2).HasForm(Loc))
					GuidanceDaedraMehrunes += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraMehrunes)
				endIf
			endIf
			if(100 - GuidanceDaedraMephala > Utility.RandomInt())
				FormList ListLocMephala = GetListFromList(_R_ListLocDaedraAll, DaedraMephala)
				if(GetListFromList(ListLocMephala, 0).HasForm(Loc))
					GuidanceDaedraMephala += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraMephala)
				elseif(GetListFromList(ListLocMephala, 1).HasForm(Loc))
					GuidanceDaedraMephala += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraMephala)
				elseif(GetListFromList(ListLocMephala, 2).HasForm(Loc))
					GuidanceDaedraMephala += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraMephala)
				endIf
			endIf
			if(100 - GuidanceDaedraMeridia > Utility.RandomInt())
				FormList ListLocMeridia = GetListFromList(_R_ListLocDaedraAll, DaedraMeridia)
				if(GetListFromList(ListLocMeridia, 0).HasForm(Loc))
					GuidanceDaedraMeridia += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraMeridia)
				elseif(GetListFromList(ListLocMeridia, 1).HasForm(Loc))
					GuidanceDaedraMeridia += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraMeridia)
				elseif(GetListFromList(ListLocMeridia, 2).HasForm(Loc))
					GuidanceDaedraMeridia += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraMeridia)
				endIf
			endIf
			if(100 - GuidanceDaedraMolagBal > Utility.RandomInt())
				FormList ListLocMolagBal = GetListFromList(_R_ListLocDaedraAll, DaedraMolagBal)
				if(GetListFromList(ListLocMolagBal, 0).HasForm(Loc))
					GuidanceDaedraMolagBal += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraMolagBal)
				elseif(GetListFromList(ListLocMolagBal, 1).HasForm(Loc))
					GuidanceDaedraMolagBal += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraMolagBal)
				elseif(GetListFromList(ListLocMolagBal, 2).HasForm(Loc))
					GuidanceDaedraMolagBal += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraMolagBal)
				endIf
			endIf
			if(100 - GuidanceDaedraNamira > Utility.RandomInt())
				FormList ListLocNamira = GetListFromList(_R_ListLocDaedraAll, DaedraNamira)
				if(GetListFromList(ListLocNamira, 0).HasForm(Loc))
					GuidanceDaedraNamira += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraNamira)
				elseif(GetListFromList(ListLocNamira, 1).HasForm(Loc))
					GuidanceDaedraNamira += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraNamira)
				elseif(GetListFromList(ListLocNamira, 2).HasForm(Loc))
					GuidanceDaedraNamira += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraNamira)
				endIf
			endIf
			if(100 - GuidanceDaedraNocturnal > Utility.RandomInt())
				FormList ListLocNocturnal = GetListFromList(_R_ListLocDaedraAll, DaedraNocturnal)
				if(GetListFromList(ListLocNocturnal, 0).HasForm(Loc))
					GuidanceDaedraNocturnal += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraNocturnal)
				elseif(GetListFromList(ListLocNocturnal, 1).HasForm(Loc))
					GuidanceDaedraNocturnal += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraNocturnal)
				elseif(GetListFromList(ListLocNocturnal, 2).HasForm(Loc))
					GuidanceDaedraNocturnal += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraNocturnal)
				endIf
			endIf
			if(100 - GuidanceDaedraPeryite > Utility.RandomInt())
				FormList ListLocPeryite = GetListFromList(_R_ListLocDaedraAll, DaedraPeryite)
				if(GetListFromList(ListLocPeryite, 0).HasForm(Loc))
					GuidanceDaedraPeryite += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraPeryite)
				elseif(GetListFromList(ListLocPeryite, 1).HasForm(Loc))
					GuidanceDaedraPeryite += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraPeryite)
				elseif(GetListFromList(ListLocPeryite, 2).HasForm(Loc))
					GuidanceDaedraPeryite += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraPeryite)
				endIf
			endIf
			if(100 - GuidanceDaedraSanguine > Utility.RandomInt())
				FormList ListLocSanguine = GetListFromList(_R_ListLocDaedraAll, DaedraSanguine)
				if(GetListFromList(ListLocSanguine, 0).HasForm(Loc))
					GuidanceDaedraSanguine += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraSanguine)
				elseif(GetListFromList(ListLocSanguine, 1).HasForm(Loc))
					GuidanceDaedraSanguine += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraSanguine)
				elseif(GetListFromList(ListLocSanguine, 2).HasForm(Loc))
					GuidanceDaedraSanguine += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraSanguine)
				endIf
			endIf
			if(100 - GuidanceDaedraSheogorath > Utility.RandomInt())
				FormList ListLocSheogorath = GetListFromList(_R_ListLocDaedraAll, DaedraSheogorath)
				if(GetListFromList(ListLocSheogorath, 0).HasForm(Loc))
					GuidanceDaedraSheogorath += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraSheogorath)
				elseif(GetListFromList(ListLocSheogorath, 1).HasForm(Loc))
					GuidanceDaedraSheogorath += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraSheogorath)
				elseif(GetListFromList(ListLocSheogorath, 2).HasForm(Loc))
					GuidanceDaedraSheogorath += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraSheogorath)
				endIf
			endIf
			if(100 - GuidanceDaedraVaermina > Utility.RandomInt())
				FormList ListLocVaermina = GetListFromList(_R_ListLocDaedraAll, DaedraVaermina)
				if(GetListFromList(ListLocVaermina, 0).HasForm(Loc))
					GuidanceDaedraVaermina += _R_GlobalDaedraGuidanceBase.GetValue() * 3
					TryPrepareGlimpse(PantheonDaedra, DaedraVaermina)
				elseif(GetListFromList(ListLocVaermina, 1).HasForm(Loc))
					GuidanceDaedraVaermina += _R_GlobalDaedraGuidanceBase.GetValue() * 2
					TryPrepareGlimpse(PantheonDaedra, DaedraVaermina)
				elseif(GetListFromList(ListLocVaermina, 2).HasForm(Loc))
					GuidanceDaedraVaermina += _R_GlobalDaedraGuidanceBase.GetValue()
					TryPrepareGlimpse(PantheonDaedra, DaedraVaermina)
				endIf
			endIf
		endIf
		if(_R_ListLocSpirit.HasForm(Loc))
			if(100 - GuidanceSpiritAllMaker > Utility.RandomInt() && GetListFromList(_R_ListLocSpiritAll, SpiritAllMaker).HasForm(Loc))
				GuidanceSpiritAllMaker += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(PantheonSpirit, SpiritAllMaker, false)
				TryPrepareGlimpse(PantheonSpirit, SpiritAllMaker)
			endIf
			if(100 - GuidanceSpiritAncestors > Utility.RandomInt() && GetListFromList(_R_ListLocSpiritAll, SpiritAncestors).HasForm(Loc))
				GuidanceSpiritAncestors += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(PantheonSpirit, SpiritAncestors, false)
				TryPrepareGlimpse(PantheonSpirit, SpiritAncestors)
			endIf
			if(100 - GuidanceSpiritEbonarm > Utility.RandomInt() && GetListFromList(_R_ListLocSpiritAll, SpiritEbonarm).HasForm(Loc))
				GuidanceSpiritEbonarm += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(PantheonSpirit, SpiritEbonarm, false)
				TryPrepareGlimpse(PantheonSpirit, SpiritEbonarm)
			endIf
			if(100 - GuidanceSpiritMagnus > Utility.RandomInt() && GetListFromList(_R_ListLocSpiritAll, SpiritMagnus).HasForm(Loc))
				GuidanceSpiritMagnus += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(PantheonSpirit, SpiritMagnus, false)
				TryPrepareGlimpse(PantheonSpirit, SpiritMagnus)
			endIf
			if(100 - GuidanceSpiritSithis > Utility.RandomInt() && GetListFromList(_R_ListLocSpiritAll, SpiritSithis).HasForm(Loc))
				GuidanceSpiritSithis += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(PantheonSpirit, SpiritSithis, false)
				TryPrepareGlimpse(PantheonSpirit, SpiritSithis)
			endIf
			if(100 - GuidanceSpiritYffre > Utility.RandomInt() && GetListFromList(_R_ListLocSpiritAll, SpiritYffre).HasForm(Loc))
				GuidanceSpiritYffre += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(PantheonSpirit, SpiritYffre, false)
				TryPrepareGlimpse(PantheonSpirit, SpiritYffre)
			endIf
		endIf
	endIf
endFunction

FormList Property _R_ListBook Auto

FormList Property _R_ListBookMeditation Auto

FormList Property _R_ListBookDivine Auto
FormList Property _R_ListBookDivineAll Auto

FormList Property _R_ListBookDaedra Auto
FormList Property _R_ListBookDaedraAll Auto

FormList Property _R_ListBookSpirit Auto
FormList Property _R_ListBookSpiritAll Auto

Function BookRead(Form ReadBook)
	Log("[Religion]Function Call BookRead: ReadBook-" + ReadBook)
	if(_R_ListBook.HasForm(ReadBook))
		if(100 - GuidanceSigns > Utility.RandomInt() && _R_ListBookMeditation.HasForm(ReadBook))
			GuidanceSigns += 10 * GetPietyMult(PantheonMeditation, 0, false)
			TryPrepareGlimpse(PantheonMeditation, 0)
		endIf
		if(_R_ListBookDivine.HasForm(ReadBook))
			if(100 - GuidanceDivinesAkatosh > Utility.RandomInt() && GetListFromList(_R_ListBookDivineAll, DivineAkatosh).HasForm(ReadBook))
				GuidanceDivinesAkatosh += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(PantheonDivines, DivineAkatosh, false)
				TryPrepareGlimpse(PantheonDivines, DivineAkatosh)
			endIf
			if(100 - GuidanceDivinesArkay > Utility.RandomInt() && GetListFromList(_R_ListBookDivineAll, DivineArkay).HasForm(ReadBook))
				GuidanceDivinesArkay += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(PantheonDivines, DivineArkay, false)
				TryPrepareGlimpse(PantheonDivines, DivineArkay)
			endIf
			if(100 - GuidanceDivinesDibella > Utility.RandomInt() && GetListFromList(_R_ListBookDivineAll, DivineDibella).HasForm(ReadBook))
				GuidanceDivinesDibella += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(PantheonDivines, DivineDibella, false)
				TryPrepareGlimpse(PantheonDivines, DivineDibella)
			endIf
			if(100 - GuidanceDivinesJulianos > Utility.RandomInt() && GetListFromList(_R_ListBookDivineAll, DivineJulianos).HasForm(ReadBook))
				GuidanceDivinesJulianos += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(PantheonDivines, DivineJulianos, false)
				TryPrepareGlimpse(PantheonDivines, DivineJulianos)
			endIf
			if(100 - GuidanceDivinesKynareth > Utility.RandomInt() && GetListFromList(_R_ListBookDivineAll, DivineKynareth).HasForm(ReadBook))
				GuidanceDivinesKynareth += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(PantheonDivines, DivineKynareth, false)
				TryPrepareGlimpse(PantheonDivines, DivineKynareth)
			endIf
			if(100 - GuidanceDivinesMara > Utility.RandomInt() && GetListFromList(_R_ListBookDivineAll, DivineMara).HasForm(ReadBook))
				GuidanceDivinesMara += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(PantheonDivines, DivineMara, false)
				TryPrepareGlimpse(PantheonDivines, DivineMara)
			endIf
			if(100 - GuidanceDivinesStendarr > Utility.RandomInt() && GetListFromList(_R_ListBookDivineAll, DivineStendarr).HasForm(ReadBook))
				GuidanceDivinesStendarr += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(PantheonDivines, DivineStendarr, false)
				TryPrepareGlimpse(PantheonDivines, DivineStendarr)
			endIf
			if(100 - GuidanceDivinesTalos > Utility.RandomInt() && GetListFromList(_R_ListBookDivineAll, DivineTalos).HasForm(ReadBook))
				GuidanceDivinesTalos += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(PantheonDivines, DivineTalos, false)
				TryPrepareGlimpse(PantheonDivines, DivineTalos)
			endIf
			if(100 - GuidanceDivinesZenithar > Utility.RandomInt() && GetListFromList(_R_ListBookDivineAll, DivineZenithar).HasForm(ReadBook))
				GuidanceDivinesZenithar += _R_GlobalDivineGuidanceBase.GetValue() * GetPietyMult(PantheonDivines, DivineZenithar, false)
				TryPrepareGlimpse(PantheonDivines, DivineZenithar)
			endIf
		endIf
		if(_R_ListBookDaedra.HasForm(ReadBook))
			if(100 - GuidanceDaedraAzura > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraAzura).HasForm(ReadBook))
				GuidanceDaedraAzura += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraAzura, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraAzura)
			endIf
			if(100 - GuidanceDaedraBoethiah > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraBoethiah).HasForm(ReadBook))
				GuidanceDaedraBoethiah += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraBoethiah, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraBoethiah)
			endIf
			if(100 - GuidanceDaedraClavicus > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraClavicus).HasForm(ReadBook))
				GuidanceDaedraClavicus += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraClavicus, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraClavicus)
			endIf
			if(100 - GuidanceDaedraHermaeus > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraHermaeus).HasForm(ReadBook))
				GuidanceDaedraHermaeus += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraHermaeus, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraHermaeus)
			endIf
			if(100 - GuidanceDaedraHircine > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraHircine).HasForm(ReadBook))
				GuidanceDaedraHircine += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraHircine, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraHircine)
			endIf
			if(100 - GuidanceDaedraMalacath > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraMalacath).HasForm(ReadBook))
				GuidanceDaedraMalacath += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraMalacath, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraMalacath)
			endIf
			if(100 - GuidanceDaedraMehrunes > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraMehrunes).HasForm(ReadBook))
				GuidanceDaedraMehrunes += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraMehrunes, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraMehrunes)
			endIf
			if(100 - GuidanceDaedraMephala > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraMephala).HasForm(ReadBook))
				GuidanceDaedraMephala += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraMephala, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraMephala)
			endIf
			if(100 - GuidanceDaedraMeridia > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraMeridia).HasForm(ReadBook))
				GuidanceDaedraMeridia += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraMeridia, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraMeridia)
			endIf
			if(100 - GuidanceDaedraMolagBal > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraMolagBal).HasForm(ReadBook))
				GuidanceDaedraMolagBal += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraMolagBal, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraMolagBal)
			endIf
			if(100 - GuidanceDaedraNamira > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraNamira).HasForm(ReadBook))
				GuidanceDaedraNamira += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraNamira, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraNamira)
			endIf
			if(100 - GuidanceDaedraNocturnal > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraNocturnal).HasForm(ReadBook))
				GuidanceDaedraNocturnal += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraNocturnal, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraNocturnal)
			endIf
			if(100 - GuidanceDaedraPeryite > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraPeryite).HasForm(ReadBook))
				GuidanceDaedraPeryite += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraPeryite, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraPeryite)
			endIf
			if(100 - GuidanceDaedraSanguine > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraSanguine).HasForm(ReadBook))
				GuidanceDaedraSanguine += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraSanguine, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraSanguine)
			endIf
			if(100 - GuidanceDaedraSheogorath > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraSheogorath).HasForm(ReadBook))
				GuidanceDaedraSheogorath += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraSheogorath, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraSheogorath)
			endIf
			if(100 - GuidanceDaedraVaermina > Utility.RandomInt() && GetListFromList(_R_ListBookDaedraAll, DaedraVaermina).HasForm(ReadBook))
				GuidanceDaedraVaermina += _R_GlobalDaedraGuidanceBase.GetValue() * GetPietyMult(PantheonDaedra, DaedraVaermina, false)
				TryPrepareGlimpse(PantheonDaedra, DaedraVaermina)
			endIf
		endIf
		if(_R_ListBookSpirit.HasForm(ReadBook))
			if(100 - GuidanceSpiritAllMaker > Utility.RandomInt() && GetListFromList(_R_ListBookSpiritAll, SpiritAllMaker).HasForm(ReadBook))
				GuidanceSpiritAllMaker += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(PantheonSpirit, SpiritAllMaker, false)
				TryPrepareGlimpse(PantheonSpirit, SpiritAllMaker)
			endIf
			if(100 - GuidanceSpiritAncestors > Utility.RandomInt() && GetListFromList(_R_ListBookSpiritAll, SpiritAncestors).HasForm(ReadBook))
				GuidanceSpiritAncestors += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(PantheonSpirit, SpiritAncestors, false)
				TryPrepareGlimpse(PantheonSpirit, SpiritAncestors)
			endIf
			if(100 - GuidanceSpiritEbonarm > Utility.RandomInt() && GetListFromList(_R_ListBookSpiritAll, SpiritEbonarm).HasForm(ReadBook))
				GuidanceSpiritEbonarm += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(PantheonSpirit, SpiritEbonarm, false)
				TryPrepareGlimpse(PantheonSpirit, SpiritEbonarm)
			endIf
			if(100 - GuidanceSpiritMagnus > Utility.RandomInt() && GetListFromList(_R_ListBookSpiritAll, SpiritMagnus).HasForm(ReadBook))
				GuidanceSpiritMagnus += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(PantheonSpirit, SpiritMagnus, false)
				TryPrepareGlimpse(PantheonSpirit, SpiritMagnus)
			endIf
			if(100 - GuidanceSpiritSithis > Utility.RandomInt() && GetListFromList(_R_ListBookSpiritAll, SpiritSithis).HasForm(ReadBook))
				GuidanceSpiritSithis += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(PantheonSpirit, SpiritSithis, false)
				TryPrepareGlimpse(PantheonSpirit, SpiritSithis)
			endIf
			if(100 - GuidanceSpiritYffre > Utility.RandomInt() && GetListFromList(_R_ListBookSpiritAll, SpiritYffre).HasForm(ReadBook))
				GuidanceSpiritYffre += _R_GlobalSpiritGuidanceBase.GetValue() * GetPietyMult(PantheonSpirit, SpiritYffre, false)
				TryPrepareGlimpse(PantheonSpirit, SpiritYffre)
			endIf
		endIf
	endIf
endFunction

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;Glimpse Functions
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

float GuidanceSigns = 0.0

float GuidanceDivinesAkatosh = 0.0
float GuidanceDivinesArkay = 0.0
float GuidanceDivinesDibella = 0.0
float GuidanceDivinesJulianos = 0.0
float GuidanceDivinesKynareth = 0.0
float GuidanceDivinesMara = 0.0
float GuidanceDivinesStendarr = 0.0
float GuidanceDivinesTalos = 0.0
float GuidanceDivinesZenithar = 0.0

float GuidanceDaedraAzura = 0.0
float GuidanceDaedraBoethiah = 0.0
float GuidanceDaedraClavicus = 0.0
float GuidanceDaedraHermaeus = 0.0
float GuidanceDaedraHircine = 0.0
float GuidanceDaedraMalacath = 0.0
float GuidanceDaedraMehrunes = 0.0
float GuidanceDaedraMephala = 0.0
float GuidanceDaedraMeridia = 0.0
float GuidanceDaedraMolagBal = 0.0
float GuidanceDaedraNamira = 0.0
float GuidanceDaedraNocturnal = 0.0
float GuidanceDaedraPeryite = 0.0
float GuidanceDaedraSanguine = 0.0
float GuidanceDaedraSheogorath = 0.0
float GuidanceDaedraVaermina = 0.0

float GuidanceSpiritAllMaker = 0.0
float GuidanceSpiritAncestors = 0.0
float GuidanceSpiritEbonarm = 0.0
float GuidanceSpiritMagnus = 0.0
float GuidanceSpiritSithis = 0.0
float GuidanceSpiritYffre = 0.0

FormList Property _R_ListGlimpseAcceptance Auto

FormList Property _R_ListGlimpseAllNeg Auto
FormList Property _R_ListGlimpseAllPos Auto

FormList Property _R_ListOfferGlimpseAll Auto
FormList Property _R_ListOfferGlimpseMeditationAccept Auto

Message MeditationGlimpse = none
Message DivineGlimpse = none
Message DivineGlimpseAcceptance = none
Message DaedraGlimpse = none
Message DaedraGlimpseAcceptance = none
Message SpiritGlimpse = none

;Tries to get a glimpse message that can be showed to the player
Message Function TryGetGlimpse(int Pantheon, int Deity, float[] NegArray, float[] PosArray)
	Log("[Religion]Function Call TryGetGlimpse: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity))
	if(!MeditationGlimpse && Pantheon < 0)
		if(GuidanceSigns > 0)
			if(Utility.RandomInt() < GuidanceSigns)
				Pantheon = PantheonMeditation
			else
				DecrementGuidance(PantheonMeditation, 0)
			endIf
		endIf
	endIf
	if(!DivineGlimpse && (Pantheon < 0 || (Pantheon == PantheonDivines && Deity < 0)))
		if(GuidanceDivinesAkatosh > 0)
			if(Utility.RandomInt() < GuidanceDivinesAkatosh)
				Pantheon = PantheonDivines
				Deity = DivineAkatosh
			else
				DecrementGuidance(PantheonDivines, DivineAkatosh)
			endIf
		elseif(GuidanceDivinesArkay > 0)
			if(Utility.RandomInt() < GuidanceDivinesArkay)
				Pantheon = PantheonDivines
				Deity = DivineArkay
			else
				DecrementGuidance(PantheonDivines, DivineArkay)
			endIf
		elseif(GuidanceDivinesDibella > 0)
			if(Utility.RandomInt() < GuidanceDivinesDibella)
				Pantheon = PantheonDivines
				Deity = DivineDibella
			else
				DecrementGuidance(PantheonDivines, DivineDibella)
			endIf
		elseif(GuidanceDivinesJulianos > 0)
			if(Utility.RandomInt() < GuidanceDivinesJulianos)
				Pantheon = PantheonDivines
				Deity = DivineJulianos
			else
				DecrementGuidance(PantheonDivines, DivineJulianos)
			endIf
		elseif(GuidanceDivinesKynareth > 0)
			if(Utility.RandomInt() < GuidanceDivinesKynareth)
				Pantheon = PantheonDivines
				Deity = DivineKynareth
			else
				DecrementGuidance(PantheonDivines, DivineKynareth)
			endIf
		elseif(GuidanceDivinesMara > 0)
			if(Utility.RandomInt() < GuidanceDivinesMara)
				Pantheon = PantheonDivines
				Deity = DivineMara
			else
				DecrementGuidance(PantheonDivines, DivineMara)
			endIf
		elseif(GuidanceDivinesStendarr > 0)
			if(Utility.RandomInt() < GuidanceDivinesStendarr)
				Pantheon = PantheonDivines
				Deity = DivineStendarr
			else
				DecrementGuidance(PantheonDivines, DivineStendarr)
			endIf
		elseif(GuidanceDivinesTalos > 0)
			if(Utility.RandomInt() < GuidanceDivinesTalos)
				Pantheon = PantheonDivines
				Deity = DivineTalos
			else
				DecrementGuidance(PantheonDivines, DivineTalos)
			endIf
		elseif(GuidanceDivinesZenithar > 0)
			if(Utility.RandomInt() < GuidanceDivinesZenithar)
				Pantheon = PantheonDivines
				Deity = DivineZenithar
			else
				DecrementGuidance(PantheonDivines, DivineZenithar)
			endIf
		endIf
	endIf
	if(!DaedraGlimpse && (Pantheon < 0 || (Pantheon == PantheonDaedra && Deity < 0)))
		if(GuidanceDaedraAzura > 0)
			if(Utility.RandomInt() < GuidanceDaedraAzura)
				Pantheon = PantheonDaedra
				Deity = DaedraAzura
			else
				DecrementGuidance(PantheonDaedra, DaedraAzura)
			endIf
		elseif(GuidanceDaedraBoethiah > 0)
			if(Utility.RandomInt() < GuidanceDaedraBoethiah)
				Pantheon = PantheonDaedra
				Deity = DaedraBoethiah
			else
				DecrementGuidance(PantheonDaedra, DaedraBoethiah)
			endIf
		elseif(GuidanceDaedraClavicus > 0)
			if(Utility.RandomInt() < GuidanceDaedraClavicus)
				Pantheon = PantheonDaedra
				Deity = DaedraClavicus
			else
				DecrementGuidance(PantheonDaedra, DaedraClavicus)
			endIf
		elseif(GuidanceDaedraHermaeus > 0)
			if(Utility.RandomInt() < GuidanceDaedraHermaeus)
				Pantheon = PantheonDaedra
				Deity = DaedraHermaeus
			else
				DecrementGuidance(PantheonDaedra, DaedraHermaeus)
			endIf
		elseif(GuidanceDaedraHircine > 0)
			if(Utility.RandomInt() < GuidanceDaedraHircine)
				Pantheon = PantheonDaedra
				Deity = DaedraHircine
			else
				DecrementGuidance(PantheonDaedra, DaedraHircine)
			endIf
		elseif(GuidanceDaedraMalacath > 0)
			if(Utility.RandomInt() < GuidanceDaedraMalacath)
				Pantheon = PantheonDaedra
				Deity = DaedraMalacath
			else
				DecrementGuidance(PantheonDaedra, DaedraMalacath)
			endIf
		elseif(GuidanceDaedraMehrunes > 0)
			if(Utility.RandomInt() < GuidanceDaedraMehrunes)
				Pantheon = PantheonDaedra
				Deity = DaedraMehrunes
			else
				DecrementGuidance(PantheonDaedra, DaedraMehrunes)
			endIf
		elseif(GuidanceDaedraMephala > 0)
			if(Utility.RandomInt() < GuidanceDaedraMephala)
				Pantheon = PantheonDaedra
				Deity = DaedraMephala
			else
				DecrementGuidance(PantheonDaedra, DaedraMephala)
			endIf
		elseif(GuidanceDaedraMeridia > 0)
			if(Utility.RandomInt() < GuidanceDaedraMeridia)
				Pantheon = PantheonDaedra
				Deity = DaedraMeridia
			else
				DecrementGuidance(PantheonDaedra, DaedraMeridia)
			endIf
		elseif(GuidanceDaedraMolagBal > 0)
			if(Utility.RandomInt() < GuidanceDaedraMolagBal)
				Pantheon = PantheonDaedra
				Deity = DaedraMolagBal
			else
				DecrementGuidance(PantheonDaedra, DaedraMolagBal)
			endIf
		elseif(GuidanceDaedraNamira > 0)
			if(Utility.RandomInt() < GuidanceDaedraNamira)
				Pantheon = PantheonDaedra
				Deity = DaedraNamira
			else
				DecrementGuidance(PantheonDaedra, DaedraNamira)
			endIf
		elseif(GuidanceDaedraNocturnal > 0)
			if(Utility.RandomInt() < GuidanceDaedraNocturnal)
				Pantheon = PantheonDaedra
				Deity = DaedraNocturnal
			else
				DecrementGuidance(PantheonDaedra, DaedraNocturnal)
			endIf
		elseif(GuidanceDaedraPeryite > 0)
			if(Utility.RandomInt() < GuidanceDaedraPeryite)
				Pantheon = PantheonDaedra
				Deity = DaedraPeryite
			else
				DecrementGuidance(PantheonDaedra, DaedraPeryite)
			endIf
		elseif(GuidanceDaedraSanguine > 0)
			if(Utility.RandomInt() < GuidanceDaedraSanguine)
				Pantheon = PantheonDaedra
				Deity = DaedraSanguine
			else
				DecrementGuidance(PantheonDaedra, DaedraSanguine)
			endIf
		elseif(GuidanceDaedraSheogorath > 0)
			if(Utility.RandomInt() < GuidanceDaedraSheogorath)
				Pantheon = PantheonDaedra
				Deity = DaedraSheogorath
			else
				DecrementGuidance(PantheonDaedra, DaedraSheogorath)
			endIf
		elseif(GuidanceDaedraVaermina > 0)
			if(Utility.RandomInt() < GuidanceDaedraVaermina)
				Pantheon = PantheonDaedra
				Deity = DaedraVaermina
			else
				DecrementGuidance(PantheonDaedra, DaedraVaermina)
			endIf
		endIf
	endIf
	if(!SpiritGlimpse && (Pantheon < 0 || (Pantheon == PantheonSpirit && Deity < 0)))
		if(GuidanceSpiritAllMaker > 0)
			if(Utility.RandomInt() < GuidanceSpiritAllMaker)
				Pantheon = PantheonSpirit
				Deity = SpiritAllMaker
			else
				DecrementGuidance(PantheonSpirit, SpiritAllMaker)
			endIf
		elseif(GuidanceSpiritAncestors > 0)
			if(Utility.RandomInt() < GuidanceSpiritAncestors)
				Pantheon = PantheonSpirit
				Deity = SpiritAncestors
			else
				DecrementGuidance(PantheonSpirit, SpiritAncestors)
			endIf
		elseif(GuidanceSpiritEbonarm > 0)
			if(Utility.RandomInt() < GuidanceSpiritEbonarm)
				Pantheon = PantheonSpirit
				Deity = SpiritEbonarm
			else
				DecrementGuidance(PantheonSpirit, SpiritEbonarm)
			endIf
		elseif(GuidanceSpiritMagnus > 0)
			if(Utility.RandomInt() < GuidanceSpiritMagnus)
				Pantheon = PantheonSpirit
				Deity = SpiritMagnus
			else
				DecrementGuidance(PantheonSpirit, SpiritMagnus)
			endIf
		elseif(GuidanceSpiritSithis > 0)
			if(Utility.RandomInt() < GuidanceSpiritSithis)
				Pantheon = PantheonSpirit
				Deity = SpiritSithis
			else
				DecrementGuidance(PantheonSpirit, SpiritSithis)
			endIf
		elseif(GuidanceSpiritYffre > 0)
			if(Utility.RandomInt() < GuidanceSpiritYffre)
				Pantheon = PantheonSpirit
				Deity = SpiritYffre
			else
				DecrementGuidance(PantheonSpirit, SpiritYffre)
			endIf
		endIf
	endIf
	
	if(Pantheon == PantheonMeditation)
		if((MeditationPantheon != 0 || !HasPietyPower(PantheonMeditation, 0)) && (PlayerRef.HasSpell(doomWarriorAbility) || PlayerRef.HasSpell(doomLadyAbility) || PlayerRef.HasSpell(doomLordAbility) || PlayerRef.HasSpell(doomSteedAbility)))
			HalveGuidance(Pantheon, 0)
			return GetMessageFromList(GetListFromList(_R_ListOfferGlimpseAll, PantheonMeditation), 0)
		elseif((MeditationPantheon != 1 || !HasPietyPower(PantheonMeditation, 0)) && (PlayerRef.HasSpell(doomThiefAbility) || PlayerRef.HasSpell(doomLoverAbility) || PlayerRef.HasSpell(doomTowerAbility) || PlayerRef.HasSpell(doomShadowAbility)))
			HalveGuidance(Pantheon, 0)
			return GetMessageFromList(GetListFromList(_R_ListOfferGlimpseAll, PantheonMeditation), 1)
		elseif((MeditationPantheon != 2 || !HasPietyPower(PantheonMeditation, 0)) && (PlayerRef.HasSpell(doomMageAbility) || PlayerRef.HasSpell(doomApprenticeAbility) || PlayerRef.HasSpell(doomAtronachAbility) || PlayerRef.HasSpell(doomRitualAbility)))
			HalveGuidance(Pantheon, 0)
			return GetMessageFromList(GetListFromList(_R_ListOfferGlimpseAll, PantheonMeditation), 2)
		elseif((MeditationPantheon != 3 || !HasPietyPower(PantheonMeditation, 0)) && PlayerRef.HasSpell(doomSerpentAbility))
			HalveGuidance(Pantheon, 0)
			return GetMessageFromList(GetListFromList(_R_ListOfferGlimpseAll, PantheonMeditation), 3)
		endIf
		DecrementGuidance(Pantheon, 0)
	elseif(Pantheon == PantheonSpirit && Deity >= 0)
		Debug.Trace("[Religion]: Spirit glimpse saved")
		float Acceptance = GetSpiritAcceptance(Deity)
		
		if(Acceptance > 0 && Utility.RandomInt(0, 100) < Acceptance && !HasPietyPower(Pantheon, Deity));Offer Glimpses
			HalveGuidance(Pantheon, Deity)
			return GetMessageFromList(GetListFromList(_R_ListOfferGlimpseAll, Pantheon), Deity)
		endIf
		
		DecrementGuidance(Pantheon, Deity)
	elseif((Pantheon == PantheonDivines || Pantheon == PantheonDaedra) && Deity >= 0)
		FormList GlimpseListNeg = GetListFromList(GetListFromList(_R_ListGlimpseAllNeg, Pantheon), Deity)
		FormList GlimpseListPos = GetListFromList(GetListFromList(_R_ListGlimpseAllPos, Pantheon), Deity)
		
		float Worth = 0.0
		
		if(Pantheon == PantheonDivines)
			if(NegArray.Length < 2)
				NegArray = GetDivinesSinsArray(Deity)
			endIf
			if(PosArray.Length < 2)
				PosArray = GetDivinesVirtuesArray(Deity)
			endIf
			Worth = GetDivinesWorth(Deity, PosArray, NegArray)
			
			int AcceptanceIndex = 5 + (Worth/500) as int
			if(AcceptanceIndex < 0)
				AcceptanceIndex = 0
			elseif(AcceptanceIndex > 10)
				AcceptanceIndex = 10
			endIf
			
			DivineGlimpseAcceptance = GetMessageFromList(_R_ListGlimpseAcceptance, AcceptanceIndex)
		elseif(Pantheon == PantheonDaedra)
			if(NegArray.Length < 2)
				NegArray = GetDaedraDisapprovalArray(Deity)
			endIf
			if(PosArray.Length < 2)
				PosArray = GetDaedraAmusementArray(Deity)
			endIf
			Worth = GetDaedraWorth(Deity, PosArray, NegArray)
			
			int AcceptanceIndex = 5 + (Worth/500) as int
			if(AcceptanceIndex < 0)
				AcceptanceIndex = 0
			elseif(AcceptanceIndex > 10)
				AcceptanceIndex = 10
			endIf
			
			DaedraGlimpseAcceptance = GetMessageFromList(_R_ListGlimpseAcceptance, AcceptanceIndex)
		endIf
		
		if(Worth > 0 && Utility.RandomInt(0, 250) < Worth && !HasPietyPower(Pantheon, Deity));Offer Glimpses
			HalveGuidance(Pantheon, Deity)
			return GetMessageFromList(GetListFromList(_R_ListOfferGlimpseAll, Pantheon), Deity)
		elseif(Worth > 0);Pos Glimpses
			int Pos = 0
			while(Pos < PosArray.Length && Pos < GlimpseListPos.GetSize())
				if(PosArray[Pos] < Utility.RandomInt(0, 500))
					FormList GlimpseList = GetListFromList(GlimpseListPos, Pos)
					if(GlimpseList.GetSize() > 0)
						HalveGuidance(Pantheon, Deity)
						return GetRandomMessage(GlimpseList)
					endIf
				endIf
				Pos += 1
			endWhile
		else;Neg Glimpses
			int Neg = 0
			while(Neg < NegArray.Length && Neg < GlimpseListNeg.GetSize())
				if(NegArray[Neg] > Utility.RandomInt(0, 500))
					FormList GlimpseList = GetListFromList(GlimpseListNeg, Neg)
					if(GlimpseList.GetSize() > 0)
						HalveGuidance(Pantheon, Deity)
						return GetRandomMessage(GlimpseList)
					endIf
				endIf
				Neg += 1
			endWhile
		endIf
		
		DecrementGuidance(Pantheon, Deity)
	endIf
	
	return None
endFunction

;Tries to prepare a glimpse message to be shown later
Function TryPrepareGlimpse(int Pantheon, int Deity)
	Log("[Religion]Function Call TryPrepareGlimpse: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity))
	if(Pantheon == PantheonMeditation)
		MeditationGlimpse = TryGetGlimpse(Pantheon, Deity, new float[1], new float[1])
	elseif(Pantheon == PantheonDivines)
		DivineGlimpse = TryGetGlimpse(Pantheon, Deity, new float[1], new float[1])
		if(DivineGlimpse)
			_R_SoundDivineWeak.Play(PlayerRef)
		endIf
	elseif(Pantheon == PantheonDaedra)
		DaedraGlimpse = TryGetGlimpse(Pantheon, Deity, new float[1], new float[1])
		if(DaedraGlimpse)
			_R_SoundDaedraWeak.Play(PlayerRef)
		endIf
	elseif(Pantheon == PantheonSpirit)
		SpiritGlimpse = TryGetGlimpse(Pantheon, Deity, new float[1], new float[1])
		if(SpiritGlimpse)
			_R_SoundSpiritWeak.Play(PlayerRef)
		endIf
	endIf
endFunction

;Tries to prepare a glimpse message when the player is falling asleeep
Function TryPrepareSleepGlimpse()
	Log("[Religion]Function Call TryPrepareSleepGlimpse")
	if(!MeditationGlimpse)
		MeditationGlimpse = TryGetGlimpse(PantheonMeditation, -1, new float[1], new float[1])
	endIf
	if(!DivineGlimpse)
		DivineGlimpse = TryGetGlimpse(PantheonDivines, -1, new float[1], new float[1])
	endIf
	if(!DaedraGlimpse)
		DaedraGlimpse = TryGetGlimpse(PantheonDaedra, -1, new float[1], new float[1])
	endIf
	if(!SpiritGlimpse)
		SpiritGlimpse = TryGetGlimpse(PantheonSpirit, -1, new float[1], new float[1])
	endIf
endFunction

Message Property _R_MessageGlimpseSleep Auto

;Gives a glimpse message when the player wakes up
Function GiveSleepGlimpse()
	Log("[Religion]Function Call GiveSleepGlimpse")
	if(DaedraGlimpse)
		Log("[Religion]Giving Daedra Glimpse: " + DaedraGlimpse)
		int Deity = GetListFromList(_R_ListOfferGlimpseAll, PantheonDaedra).Find(DaedraGlimpse)
		if(Deity >= 0)
			_R_MessageGlimpseSleep.Show()
			if(DaedraGlimpse.Show() == 0)
				PlayerRef.AddSpell(GetPietyPower(PantheonDaedra, Deity))
			endIf
		else
			_R_MessageGlimpseSleep.Show()
			DaedraGlimpse.Show()
			DaedraGlimpseAcceptance.Show()
		endIf
		DaedraGlimpse = none
		DaedraGlimpseAcceptance = none
	elseif(DivineGlimpse)
		Log("[Religion]Giving Divine Glimpse: " + DivineGlimpse)
		int Deity = GetListFromList(_R_ListOfferGlimpseAll, PantheonDivines).Find(DivineGlimpse)
		if(Deity >= 0)
			_R_MessageGlimpseSleep.Show()
			if(DivineGlimpse.Show() == 0)
				PlayerRef.AddSpell(GetPietyPower(PantheonDivines, Deity))
			endIf
		else
			_R_MessageGlimpseSleep.Show()
			DivineGlimpse.Show()
			DivineGlimpseAcceptance.Show()
		endIf
		DivineGlimpse = none
		DivineGlimpseAcceptance = none
	elseif(MeditationGlimpse)
		Log("[Religion]Giving Sign Glimpse: " + MeditationGlimpse)
		int Deity = GetListFromList(_R_ListOfferGlimpseAll, PantheonMeditation).Find(MeditationGlimpse)
		if(Deity >= 0 && (MeditationPantheon != Deity || !HasPietyPower(PantheonMeditation, 0)))
			_R_MessageGlimpseSleep.Show()
			if(MeditationGlimpse.Show() == 0)
				if(!HasPietyPower(PantheonMeditation, 0))
					PlayerRef.AddSpell(GetPietyPower(PantheonMeditation, Deity))
				endIf
				MeditationPantheon = Deity
				GetMessageFromList(_R_ListOfferGlimpseMeditationAccept, Deity).Show()
			endIf
		endIf
		MeditationGlimpse = none
	elseif(SpiritGlimpse)
		Log("[Religion]Giving Spirit Glimpse: " + SpiritGlimpse)
		int Deity = GetListFromList(_R_ListOfferGlimpseAll, PantheonSpirit).Find(SpiritGlimpse)
		if(Deity >= 0)
			_R_MessageGlimpseSleep.Show()
			if(SpiritGlimpse.Show() == 0)
				PlayerRef.AddSpell(GetPietyPower(PantheonSpirit, Deity))
			endIf
		else
			_R_MessageGlimpseSleep.Show()
			SpiritGlimpse.Show()
		endIf
		SpiritGlimpse = none
	endIf
endFunction

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;Player Virtues/Sins/Worth
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Location Property DoomstoneApprenticeLocation Auto
Location Property DoomstoneAtronachLocation Auto
Location Property DoomstoneGuardianStoneLocation Auto
Location Property DoomstoneLadyLocation Auto
Location Property DoomstoneLordLocation Auto
Location Property DoomstoneLoverLocation Auto
Location Property DoomstoneRitualLocation Auto
Location Property DoomstoneSerpentLocation Auto
Location Property DoomstoneShadowLocation Auto
Location Property DoomstoneSteedLocation Auto
Location Property DoomstoneTowerLocation Auto

Location Property DLC2TempleOfMiraakLocation Auto
Location Property DLC2StoneBeastLocation Auto
Location Property DLC2StoneEarthLocation Auto
Location Property DLC2StoneSunLocation Auto
Location Property DLC2StoneWaterLocation Auto
Location Property DLC2StoneWindLocation Auto

Location Property HighHrothgarLocation Auto
Location Property MzulftLocation Auto
Location Property TowerOfMzarkLocation Auto

Keyword Property LocTypeCemetery Auto
Keyword Property LocTypeDraugrCrypt Auto
Keyword Property LocTypeSprigganGrove Auto

Keyword Property _R_KeywordEquipmentDivineAkatosh Auto
Keyword Property _R_KeywordEquipmentDivineArkay Auto
Keyword Property _R_KeywordEquipmentDivineDibella Auto
Keyword Property _R_KeywordEquipmentDivineJulianos Auto
Keyword Property _R_KeywordEquipmentDivineKynareth Auto
Keyword Property _R_KeywordEquipmentDivineMara Auto
Keyword Property _R_KeywordEquipmentDivineStendarr Auto
Keyword Property _R_KeywordEquipmentDivineTalos Auto
Keyword Property _R_KeywordEquipmentDivineZenithar Auto

Keyword Property _R_KeywordEquipmentDaedraAzura Auto
Keyword Property _R_KeywordEquipmentDaedraBoethiah Auto
Keyword Property _R_KeywordEquipmentDaedraClavicus Auto
Keyword Property _R_KeywordEquipmentDaedraHermaeus Auto
Keyword Property _R_KeywordEquipmentDaedraHircine Auto
Keyword Property _R_KeywordEquipmentDaedraMalacath Auto
Keyword Property _R_KeywordEquipmentDaedraMehrunes Auto
Keyword Property _R_KeywordEquipmentDaedraMephala Auto
Keyword Property _R_KeywordEquipmentDaedraMeridia Auto
Keyword Property _R_KeywordEquipmentDaedraMolagBal Auto
Keyword Property _R_KeywordEquipmentDaedraNamira Auto
Keyword Property _R_KeywordEquipmentDaedraNocturnal Auto
Keyword Property _R_KeywordEquipmentDaedraPeryite Auto
Keyword Property _R_KeywordEquipmentDaedraSanguine Auto
Keyword Property _R_KeywordEquipmentDaedraSheogorath Auto
Keyword Property _R_KeywordEquipmentDaedraVaermina Auto

Keyword Property ArmorMaterialDaedric Auto
Keyword Property DaedricArtifact Auto
Keyword Property WeapMaterialDaedric Auto
Keyword Property ArmorJewelry Auto
Keyword Property JewelryExpensive Auto
Keyword Property ClothingRich Auto
Keyword Property VendorItemGem Auto
Keyword Property GiftFlower Auto
Keyword Property ArmorCuirass Auto
Keyword Property ClothingBody Auto

MagicEffect Property DA11AbFortifyHealth Auto
MagicEffect Property DA11AbFortifyHealRate Auto
MagicEffect Property FoodDamageStaminaRate Auto
MagicEffect Property _R_EffectBoonCharity Auto

FormList Property _R_ListKeywordsAll Auto
FormList Property _R_ListEquipmentAll Auto
FormList Property _R_ListEquipmentDivine Auto

FormList Property _R_ListItemsDivineArkayNeg Auto
FormList Property _R_ListItemsDivineDibella Auto
FormList Property _R_ListItemsDivineMaraNeg Auto

FormList Property _R_ListSpellDivineArkayNeg Auto
FormList Property _R_ListSpellDivineDibellaNeg Auto

FormList Property _R_ListItemsDaedraAzuraPosUnique Auto
FormList Property _R_ListItemsDaedraAzuraPosHigh Auto
FormList Property _R_ListItemsDaedraHermaeus Auto

Spell Property doomApprenticeAbility Auto
Spell Property doomAtronachAbility Auto
Spell Property doomLadyAbility Auto
Spell Property doomLordAbility Auto
Spell Property doomLoverAbility Auto
Spell Property doomMageAbility Auto
Spell Property doomRitualAbility Auto
Spell Property doomSerpentAbility Auto
Spell Property doomShadowAbility Auto
Spell Property doomSteedAbility Auto
Spell Property doomThiefAbility Auto
Spell Property doomTowerAbility Auto
Spell Property doomWarriorAbility Auto

Spell Property WerewolfChange Auto

Keyword Property Vampire Auto

Book Property DA04ElderScroll Auto
Book Property DA04ElderScrollFurled Auto
Book Property DLC1ElderScrollDragon Auto
Book Property DLC1ElderScrollBlood Auto
Book Property DLC1ElderScrollSun Auto

;Temple Quests
Quest Property dunHunterQST Auto
Quest Property T01 Auto
Quest Property T01DegaineFavor Auto
Quest Property T02 Auto
Quest Property T03 Auto

;Bard Quests
Quest Property MS05 Auto
Quest Property BardsCollegeDrum Auto
Quest Property BardsCollegeFlute Auto
Quest Property BardsCollegeLute Auto

;Ritual Spell Quests
Quest Property MGRitual01 Auto
Quest Property MGRitual02 Auto
Quest Property MGRitual03 Auto
Quest Property MGRitual04 Auto
Quest Property MGRitual05 Auto

;Thane Quests
Quest Property FreeformRiftenThane Auto ;Rift
Quest Property Favor250 Auto ;Reach
Quest Property Favor252 Auto ;Haafingar
Quest Property Favor253 Auto ;Whiterun
Quest Property Favor254 Auto ;Eastmarch
Quest Property Favor255 Auto ;Hjaalmarch
Quest Property Favor256 Auto ;Pale
Quest Property Favor257 Auto ;Winterhold
Quest Property Favor258 Auto ;Falkreath

;Thief Quests
Quest Property TG01 Auto
Quest Property TG08A Auto
Quest Property TG09 Auto
Quest Property TGTQ01 Auto
Quest Property TGTQ02 Auto
Quest Property TGTQ03 Auto
Quest Property TGTQ04 Auto
Quest Property TGFenceCaravan Auto

;Daedric Quests
Quest Property DA01 Auto
Quest Property DA02 Auto
Quest Property DA03 Auto
Quest Property DA04 Auto
Quest Property DA05 Auto
Quest Property DA06 Auto
Quest Property DA07 Auto
Quest Property DA08 Auto
Quest Property DA09 Auto
Quest Property DA10 Auto
Quest Property DA11 Auto
Quest Property DA13 Auto
Quest Property DA14 Auto
Quest Property DA15 Auto
Quest Property DA16 Auto

;Other Quests
Quest Property C06 Auto
Quest Property CR13 Auto
Quest Property CW02A Auto
Quest Property CW02B Auto
Quest Property DB02 Auto
Quest Property DB11 Auto
Quest Property DBDestroy Auto
Quest Property DBTortureTreasureMiscObjective1 Auto
Quest Property DBTortureTreasureMiscObjective2 Auto
Quest Property DBTortureTreasureMiscObjective3 Auto
Quest Property DBTortureTreasureMiscObjective4 Auto
Quest Property DLC1VQ02 Auto
Quest Property DLC2EbonyWarriorQuest Auto
Quest Property DLC2MQ03 Auto
Quest Property DLC2MQ03B Auto
Quest Property DLC2MQ05 Auto
Quest Property DLC2MQ06 Auto
Quest Property dunAnsilvundQST Auto
Quest Property dunHillgrundsTombQST Auto
Quest Property dunYngvildQST Auto
Quest Property FreeformRiften05 Auto
Quest Property FreeformRiften11 Auto
Quest Property MG08 Auto
Quest Property MQPaarthurnax Auto
Quest Property MQ305 Auto
Quest Property MS04 Auto
Quest Property MS06 Auto
Quest Property RelationshipMarriage Auto
Quest Property TGLeadership Auto

;Arkay Priests
ReferenceAlias Property AndursAlias Auto
ReferenceAlias Property AlessandraAlias Auto
ReferenceAlias Property BrotherVerulusAlias Auto
ReferenceAlias Property HilgirdAlias Auto
ReferenceAlias Property FlorentiusAlias Auto
ReferenceAlias Property RunilAlias Auto
ReferenceAlias Property StyrrAlias Auto

;Dibella Priests
ReferenceAlias Property AnwenAlais Auto
ReferenceAlias Property HamalAlias Auto
ReferenceAlias Property OrlaAlias Auto
ReferenceAlias Property SennaAlias Auto

;Kynareth Priests
ReferenceAlias Property AcolyteJenessenAlias Auto
ReferenceAlias Property DanicaPureSpringAlias Auto

;Mara Priests
ReferenceAlias Property BriehlAlias Auto
ReferenceAlias Property DinyaAlias Auto
ReferenceAlias Property ErandurAlias Auto
ReferenceAlias Property MaramalAlias Auto

;Talos Priests
ReferenceAlias Property HeimskrAlias Auto
ReferenceAlias Property JoraAlias Auto
ReferenceAlias Property NoraAlias Auto

;Temple of The Divines
ReferenceAlias Property FreirAlias Auto
ReferenceAlias Property RorlundAlias Auto
ReferenceAlias Property SilanaPetreiaAlias Auto

;Greybeards
ReferenceAlias Property ArngeirAlias Auto
ReferenceAlias Property BorriAlias Auto
ReferenceAlias Property EinarthAlias Auto
ReferenceAlias Property WulfgarAlias Auto

ReferenceAlias Property MauriceAlias Auto

int ArkayPriestFavor = 0
int DibellaPriestFavor = 0
int KynarethPriestFavor = 0
int MaraPriestFavor = 0
int TalosPriestFavor = 0
int AllPriestFavor = 0
;Updates the priest favor constants used in Virtue and Sin calculations
Function UpdatePriestFavor()
	Actor Andurs = AndursAlias.GetActorRef()
	Actor Alessandra = AlessandraAlias.GetActorRef()
	Actor BrotherVerulus = BrotherVerulusAlias.GetActorRef()
	Actor Hilgrid = HilgirdAlias.GetActorRef()
	Actor Florentius = FlorentiusAlias.GetActorRef()
	Actor Runil = RunilAlias.GetActorRef()
	Actor Styrr = StyrrAlias.GetActorRef()
	int FavorAndurs = 0
	int FavorAlessandra = 0
	int FavorBrotherVerulus = 0
	int FavorHilgird = 0
	int FavorFlorentius = 0
	int FavorRunil = 0
	int FavorStyrr = 0
	if(Andurs)
		FavorAndurs = Andurs.GetRelationShipRank(PlayerRef)
	endIf
	if(Alessandra)
		FavorAlessandra = Alessandra.GetRelationShipRank(PlayerRef)
	endIf
	if(BrotherVerulus)
		FavorBrotherVerulus = BrotherVerulus.GetRelationShipRank(PlayerRef)
	endIf
	if(Hilgrid)
		FavorHilgird = Hilgrid.GetRelationShipRank(PlayerRef)
	endIf
	if(Florentius)
		FavorFlorentius = Florentius.GetRelationShipRank(PlayerRef)
	endIf
	if(Runil)
		FavorRunil = Runil.GetRelationShipRank(PlayerRef)
	endIf
	if(Styrr)
		FavorStyrr = Styrr.GetRelationShipRank(PlayerRef)
	endIf
	ArkayPriestFavor = FavorAndurs + FavorAlessandra + FavorBrotherVerulus + FavorHilgird + FavorFlorentius + FavorRunil + FavorStyrr
	
	Actor Anwen = AnwenAlais.GetActorRef()
	Actor Hamal = HamalAlias.GetActorRef()
	Actor Orla = OrlaAlias.GetActorRef()
	Actor Senna = SennaAlias.GetActorRef()
	int FavorAnwen = 0
	int FavorHamal = 0
	int FavorOrla = 0
	int FavorSenna = 0
	if(Anwen)
		FavorAnwen = Anwen.GetRelationShipRank(PlayerRef)
	endIf
	if(Hamal)
		FavorHamal = Hamal.GetRelationShipRank(PlayerRef)
	endIf
	if(Orla)
		FavorOrla = Orla.GetRelationShipRank(PlayerRef)
	endIf
	if(Senna)
		FavorSenna = Senna.GetRelationShipRank(PlayerRef)
	endIf
	DibellaPriestFavor = FavorAnwen + FavorHamal + FavorOrla + FavorSenna
	
	Actor Jenessen = AcolyteJenessenAlias.GetActorRef()
	Actor Danica = DanicaPureSpringAlias.GetActorRef()
	int FavorJenessen = 0
	int FavorDanica = 0
	if(Jenessen)
		FavorJenessen = Jenessen.GetRelationShipRank(PlayerRef)
	endIf
	if(Danica)
		FavorDanica = Danica.GetRelationShipRank(PlayerRef)
	endIf
	KynarethPriestFavor = FavorJenessen + FavorDanica
	
	Actor Briehl = BriehlAlias.GetActorRef()
	Actor Dinya = DinyaAlias.GetActorRef()
	Actor Erandur = ErandurAlias.GetActorRef()
	Actor Maramal = MaramalAlias.GetActorRef()
	int FavorBriehl = 0
	int FavorDinya = 0
	int FavorErandur = 0
	int FavorMaramal = 0
	if(Briehl)
		FavorBriehl = Briehl.GetRelationShipRank(PlayerRef)
	endIf
	if(Dinya)
		FavorDinya = Dinya.GetRelationShipRank(PlayerRef)
	endIf
	if(Erandur)
		FavorErandur = Erandur.GetRelationShipRank(PlayerRef)
	endIf
	if(Maramal)
		FavorMaramal = Maramal.GetRelationShipRank(PlayerRef)
	endIf
	MaraPriestFavor = FavorBriehl + FavorDinya + FavorErandur + FavorMaramal
	
	Actor Heimskr = HeimskrAlias.GetActorRef()
	Actor Jora = JoraAlias.GetActorRef()
	Actor Nora = NoraAlias.GetActorRef()
	int FavorHeimskr = 0
	int FavorJora = 0
	int FavorNora = 0
	if(Heimskr)
		FavorHeimskr = Heimskr.GetRelationShipRank(PlayerRef)
	endIf
	if(Jora)
		FavorJora = Jora.GetRelationShipRank(PlayerRef)
	endIf
	if(Nora)
		FavorNora = Nora.GetRelationShipRank(PlayerRef)
	endIf
	TalosPriestFavor = FavorHeimskr + FavorJora + FavorNora
	
	Actor Frier = FreirAlias.GetActorRef()
	Actor Rorlund = RorlundAlias.GetActorRef()
	Actor Silana = SilanaPetreiaAlias.GetActorRef()
	int FavorFrier = 0
	int FavorRorlund = 0
	int FavorSilana = 0
	if(Frier)
		FavorFrier = Frier.GetRelationShipRank(PlayerRef)
	endIf
	if(Rorlund)
		FavorRorlund = Rorlund.GetRelationShipRank(PlayerRef)
	endIf
	if(Silana)
		FavorSilana = Silana.GetRelationShipRank(PlayerRef)
	endIf
	AllPriestFavor = FavorAndurs + FavorAlessandra + FavorBrotherVerulus + FavorHilgird + FavorFlorentius + FavorRunil + FavorStyrr + FavorAnwen + FavorHamal + FavorOrla + FavorSenna + FavorBriehl + FavorDinya + FavorErandur + FavorMaramal + FavorHeimskr + FavorJora + FavorNora + FavorFrier + FavorRorlund + FavorSilana
endFunction

Quest Property _R_QuestDunmer Auto
ReferenceAlias[] Property DunmerAliases Auto

Quest Property _R_QuestOrcs Auto
ReferenceAlias[] Property OrcAliases Auto

float DurSignWarrior = 0.0
float DurSignThief = 0.0
float DurSignMage = 0.0
float DurSignSerpent = 0.0

float PietySignWarrior = 0.0
float PietySignLady = 0.0
float PietySignSteed = 0.0
float PietySignLord = 0.0
float PietySignThief = 0.0
float PietySignLover = 0.0
float PietySignShadow = 0.0
float PietySignTower = 0.0
float PietySignMage = 0.0
float PietySignApprentice = 0.0
float PietySignAtronach = 0.0
float PietySignRitual = 0.0
float PietySignSerpent = 0.0

float DurDivineAkatosh = 0.0
float DurDivineArkay = 0.0
float DurDivineDibella = 0.0
float DurDivineJulianos = 0.0
float DurDivineKynareth = 0.0
float DurDivineMara = 0.0
float DurDivineStendarr = 0.0
float DurDivineTalos = 0.0
float DurDivineZenithar = 0.0

float PietyDivineAkatosh = 0.0
float PietyDivineArkay = 0.0
float PietyDivineDibella = 0.0
float PietyDivineJulianos = 0.0
float PietyDivineKynareth = 0.0
float PietyDivineMara = 0.0
float PietyDivineStendarr = 0.0
float PietyDivineTalos = 0.0
float PietyDivineZenithar = 0.0

float RepentDivineAkatosh = 0.0
float RepentDivineArkay = 0.0
float RepentDivineDibella = 0.0
float RepentDivineJulianos = 0.0
float RepentDivineKynareth = 0.0
float RepentDivineMara = 0.0
float RepentDivineStendarr = 0.0
float RepentDivineTalos = 0.0
float RepentDivineZenithar = 0.0

float ForgivenDivineAkatosh = 0.0
float ForgivenDivineArkay = 0.0
float ForgivenDivineDibella = 0.0
float ForgivenDivineJulianos = 0.0
float ForgivenDivineKynareth = 0.0
float ForgivenDivineMara = 0.0
float ForgivenDivineStendarr = 0.0
float ForgivenDivineTalos = 0.0
float ForgivenDivineZenithar = 0.0

float DurDaedraAzura = 0.0
float DurDaedraBoethiah = 0.0
float DurDaedraClavicus = 0.0
float DurDaedraHermaeus = 0.0
float DurDaedraHircine = 0.0
float DurDaedraMalacath = 0.0
float DurDaedraMehrunes = 0.0
float DurDaedraMephala = 0.0
float DurDaedraMeridia = 0.0
float DurDaedraMolagBal = 0.0
float DurDaedraNamira = 0.0
float DurDaedraNocturnal = 0.0
float DurDaedraPeryite = 0.0
float DurDaedraSanguine = 0.0
float DurDaedraSheogorath = 0.0
float DurDaedraVaermina = 0.0

float PietyDaedraAzura = 0.0
float PietyDaedraBoethiah = 0.0
float PietyDaedraClavicus = 0.0
float PietyDaedraHermaeus = 0.0
float PietyDaedraHircine = 0.0
float PietyDaedraMalacath = 0.0
float PietyDaedraMehrunes = 0.0
float PietyDaedraMephala = 0.0
float PietyDaedraMeridia = 0.0
float PietyDaedraMolagBal = 0.0
float PietyDaedraNamira = 0.0
float PietyDaedraNocturnal = 0.0
float PietyDaedraPeryite = 0.0
float PietyDaedraSanguine = 0.0
float PietyDaedraSheogorath = 0.0
float PietyDaedraVaermina = 0.0

float DurSpiritAllMaker = 0.0
float DurSpiritAncestors = 0.0
float DurSpiritEbonarm = 0.0
float DurSpiritMagnus = 0.0
float DurSpiritSithis = 0.0
float DurSpiritYffre = 0.0

float PietySpiritAllMaker = 0.0
float PietySpiritAncestors = 0.0
float PietySpiritEbonarm = 0.0
float PietySpiritMagnus = 0.0
float PietySpiritSithis = 0.0
float PietySpiritYffre = 0.0

float LastShroudGrantedAllMaker = -100.0
float LastShroudGrantedAncestors = -100.0
float LastShroudGrantedEbonarm = -100.0
float LastShroudGrantedMagnus = -100.0
float LastShroudGrantedSithis = -100.0
float LastShroudGrantedYffre = -100.0

;Gets the factor that increases the effectiveness of praying/worship/meditation based on a worn or carried items, known spells, location, etc.
float Function GetPietyMult(int Pantheon, int Deity, bool UsingShrine)
	Log("[Religion]Function Call GetPietyMult: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity))
	float PietyMult = 1.0
	Location Loc = PlayerRef.GetCurrentLocation()
	if(Pantheon == PantheonMeditation)
		if(PlayerRef.IsInLocation(TowerOfMzarkLocation) || PlayerRef.IsInLocation(MzulftLocation) || PlayerRef.IsInLocation(HighHrothgarLocation))
			PietyMult *= 2.0
		endIf
		if(Deity == SignWarrior)
			;The Warrior is the sign of Last Seed (8th)
			if(PlayerRef.HasSpell(doomWarriorAbility) || PlayerRef.IsInLocation(DoomstoneGuardianStoneLocation) || GameMonth.GetValue() == 7)
				PietyMult *= 2.0
			endIf
		elseif(Deity == SignLady)
			;The Lady is the sign of Hearthfire (9th)
			if(PlayerRef.HasSpell(doomLadyAbility) || PlayerRef.IsInLocation(DoomstoneLadyLocation) || GameMonth.GetValue() == 8)
				PietyMult *= 2.0
			endIf
		elseif(Deity == SignSteed)
			;The Steed is the sign of Midyear (6th)
			if(PlayerRef.HasSpell(doomSteedAbility) || PlayerRef.IsInLocation(DoomstoneSteedLocation) || GameMonth.GetValue() == 5)
				PietyMult *= 2.0
			endIf
		elseif(Deity == SignLord)
			;The Lord is the sign of First Seed (3rd)
			if(PlayerRef.HasSpell(doomLordAbility) || PlayerRef.IsInLocation(DoomstoneLordLocation) || GameMonth.GetValue() == 2)
				PietyMult *= 2.0
			endIf
		elseif(Deity == SignThief)
			;The Thief is the sign of Evening Star (12th)
			if(PlayerRef.HasSpell(doomThiefAbility) || PlayerRef.IsInLocation(DoomstoneGuardianStoneLocation) || GameMonth.GetValue() == 11)
				PietyMult *= 2.0
			endIf
		elseif(Deity == SignLover)
			;The Lover is the sign of Sun's Dawn (2nd)
			if(PlayerRef.HasSpell(doomLoverAbility) || PlayerRef.IsInLocation(DoomstoneLoverLocation) || GameMonth.GetValue() == 1)
				PietyMult *= 2.0
			endIf
		elseif(Deity == SignShadow)
			;The Shadow is the sign of Second Seed (5th)
			if(PlayerRef.HasSpell(doomShadowAbility) || PlayerRef.IsInLocation(DoomstoneShadowLocation) || GameMonth.GetValue() == 4)
				PietyMult *= 2.0
			endIf
		elseif(Deity == SignTower)
			;The Tower is the sign of Frostfall (10th)
			if(PlayerRef.HasSpell(doomTowerAbility) || PlayerRef.IsInLocation(DoomstoneTowerLocation) || GameMonth.GetValue() == 9)
				PietyMult *= 2.0
			endIf
		elseif(Deity == SignMage)
			;The Mage is the sign of Rain's Hand (4th)
			if(PlayerRef.HasSpell(doomMageAbility) || PlayerRef.IsInLocation(DoomstoneGuardianStoneLocation) || GameMonth.GetValue() == 3)
				PietyMult *= 2.0
			endIf
		elseif(Deity == SignApprentice)
			;The Apprentice is the sign of Sun's Height (7th)
			if(PlayerRef.HasSpell(doomApprenticeAbility) || PlayerRef.IsInLocation(DoomstoneApprenticeLocation) || GameMonth.GetValue() == 7)
				PietyMult *= 2.0
			endIf
		elseif(Deity == SignAtronach)
			;The Atronach is the sign of Sun's Dusk (11th)
			if(PlayerRef.HasSpell(doomAtronachAbility) || PlayerRef.IsInLocation(DoomstoneAtronachLocation) || GameMonth.GetValue() == 10)
				PietyMult *= 2.0
			endIf
		elseif(Deity == SignRitual)
			;The Ritual is the sign of Morning Star (1st)
			if(PlayerRef.HasSpell(doomRitualAbility) || PlayerRef.IsInLocation(DoomstoneRitualLocation) || GameMonth.GetValue() == 0)
				PietyMult *= 2.0
			endIf
		elseif(Deity == SignSerpent)
			if(PlayerRef.HasSpell(doomSerpentAbility) || PlayerRef.IsInLocation(DoomstoneSerpentLocation))
				PietyMult *= 2.0
			endIf
		endIf
	elseif(Pantheon == PantheonDivines)
		if(PlayerRef.IsEquipped(_R_ListEquipmentDivine))
			PietyMult *= 1.25
		endIf
		
		bool IsInLoc = Loc && _R_ListLocDivine.HasForm(Loc)
		FormList ListLocDivine = GetListFromList(_R_ListLocDivineAll, Deity)
		if(IsInLoc && GetListFromList(ListLocDivine, 0).HasForm(Loc))
			PietyMult *= 5.0
		elseif(IsInLoc && GetListFromList(ListLocDivine, 1).HasForm(Loc))
			PietyMult *= 4.0
		elseif(IsInLoc && GetListFromList(ListLocDivine, 2).HasForm(Loc))
			PietyMult *= 3.0
		elseif(UsingShrine)
			PietyMult *= 2.0
		endIf
		
		PietyMult *= Math.Pow(1.1, GetWornKeywordFromList(GetListFromList(GetListFromList(_R_ListKeywordsAll, Pantheon), Deity)))
		PietyMult *= Math.Pow(1.2, GetWornEquipmentFromList(GetListFromList(GetListFromList(_R_ListEquipmentAll, Pantheon), Deity)))
		
		if(Deity == DivineAkatosh)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDivineAkatosh))
				PietyMult *= 1.5
			endIf
			if(PlayerRef.HasMagicEffect(_R_EffectBoonCharity))
				PietyMult *= 1.25
			endIf
			
			PietyMult *= Math.Pow(0.5, PlayerRef.GetItemCount(ArmorMaterialDaedric) + PlayerRef.GetItemCount(DaedricArtifact) + PlayerRef.GetItemCount(WeapMaterialDaedric))
		elseif(Deity == DivineArkay)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDivineArkay))
				PietyMult *= 1.5
			endIf
			if(PlayerRef.HasMagicEffect(_R_EffectBoonCharity))
				PietyMult *= 1.25
			endIf
			
			PietyMult *= Math.Pow(0.7, PlayerRef.GetItemCount(_R_ListItemsDivineArkayNeg))
			PietyMult *= Math.Pow(0.6, HasSpellFromList(_R_ListSpellDivineArkayNeg))
		elseif(Deity == DivineDibella)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDivineDibella))
				PietyMult *= 1.5
			endIf
			if(PlayerRef.HasMagicEffect(_R_EffectBoonCharity))
				PietyMult *= 1.25
			endIf
			if(PlayerRef.GetItemCount(_R_ListItemsDivineDibella) > 0)
				PietyMult *= 1.2
			endIf
			if(PlayerRef.IsEquipped(JewelryExpensive) || PlayerRef.IsEquipped(ClothingRich))
				PietyMult *= 1.5
			elseif(PlayerRef.IsEquipped(ArmorJewelry))
				PietyMult *= 1.2
			endIf
			
			PietyMult *= Math.Pow(0.7, HasSpellFromList(_R_ListSpellDivineDibellaNeg))
		elseif(Deity == DivineJulianos)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDivineJulianos))
				PietyMult *= 1.5
			endIf
			if(PlayerRef.HasMagicEffect(_R_EffectBoonCharity))
				PietyMult *= 1.25
			endIf
		elseif(Deity == DivineKynareth)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDivineKynareth))
				PietyMult *= 1.5
			endIf
			if(PlayerRef.HasMagicEffect(_R_EffectBoonCharity))
				PietyMult *= 1.25
			endIf
		elseif(Deity == DivineMara)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDivineMara))
				PietyMult *= 1.5
			endIf
			if(PlayerRef.HasMagicEffect(_R_EffectBoonCharity))
				PietyMult *= 2.0
			endIf
			
			PietyMult *= Math.Pow(0.9, PlayerRef.GetItemCount(_R_ListItemsDivineMaraNeg))
		elseif(Deity == DivineStendarr)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDivineStendarr))
				PietyMult *= 1.5
			endIf
			if(PlayerRef.HasMagicEffect(_R_EffectBoonCharity))
				PietyMult *= 1.5
			endIf
		elseif(Deity == DivineTalos)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDivineTalos))
				PietyMult *= 1.5
			endIf
			if(PlayerRef.HasMagicEffect(_R_EffectBoonCharity))
				PietyMult *= 1.25
			endIf
		elseif(Deity == DivineZenithar)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDivineZenithar))
				PietyMult *= 1.5
			endIf
			if(PlayerRef.HasMagicEffect(_R_EffectBoonCharity))
				PietyMult *= 1.5
			endIf
		endIf
	elseif(Pantheon == PantheonDaedra)
		bool IsInLoc = Loc && _R_ListLocDaedra.HasForm(Loc)
		FormList ListLocDaedra = GetListFromList(_R_ListLocDaedraAll, Deity)
		if(IsInLoc && GetListFromList(ListLocDaedra, 0).HasForm(Loc))
			PietyMult *= 5.0
		elseif(IsInLoc && GetListFromList(ListLocDaedra, 1).HasForm(Loc))
			PietyMult *= 4.0
		elseif(IsInLoc && GetListFromList(ListLocDaedra, 2).HasForm(Loc))
			PietyMult *= 3.0
		elseif(UsingShrine)
			PietyMult *= 2.0
		endIf
			
		PietyMult *= Math.Pow(1.25, GetWornKeywordFromList(GetListFromList(GetListFromList(_R_ListKeywordsAll, Pantheon), Deity)))
		PietyMult *= Math.Pow(1.5, GetWornEquipmentFromList(GetListFromList(GetListFromList(_R_ListEquipmentAll, Pantheon), Deity)))
		
		if(Deity == DaedraAzura)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraAzura))
				PietyMult *= 1.25
			endIf
		
			if((GameHour.GetValue() > 5 && GameHour.GetValue() < 7) || (GameHour.GetValue() > 17 && GameHour.GetValue() < 19))
				PietyMult *= 2.0
			endIf
			
			if(GetListFromList(_R_ListRaces, RaceDarkElf).HasForm(PlayerRef.GetRace()))
				PietyMult *= 1.5
			endIf
			
			PietyMult *= Math.Pow(1.5, PlayerRef.GetItemCount(_R_ListItemsDaedraAzuraPosUnique))
			PietyMult *= Math.Pow(1.3, PlayerRef.GetItemCount(_R_ListItemsDaedraAzuraPosHigh))
			PietyMult *= Math.Pow(1.1, PlayerRef.GetItemCount(VendorItemGem))
			PietyMult *= Math.Pow(1.05, PlayerRef.GetItemCount(GiftFlower))
		elseif(Deity == DaedraBoethiah)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraBoethiah))
				PietyMult *= 1.25
			endIf
		elseif(Deity == DaedraClavicus)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraClavicus))
				PietyMult *= 1.25
			endIf
		elseif(Deity == DaedraHermaeus)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraHermaeus))
				PietyMult *= 1.25
			endIf
		
			PietyMult *= Math.Pow(1.3, PlayerRef.GetItemCount(_R_ListItemsDaedraHermaeus))
		elseif(Deity == DaedraHircine)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraHircine))
				PietyMult *= 1.25
			endIf
		elseif(Deity == DaedraMalacath)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraMalacath))
				PietyMult *= 1.25
			endIf
			
			if(GetListFromList(_R_ListRaces, RaceOrc).HasForm(PlayerRef.GetRace()))
				PietyMult *= 1.5
			endIf
		elseif(Deity == DaedraMehrunes)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraMehrunes))
				PietyMult *= 1.25
			endIf
		elseif(Deity == DaedraMephala)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraMephala))
				PietyMult *= 1.25
			endIf
		elseif(Deity == DaedraMeridia)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraMeridia))
				PietyMult *= 1.25
			endIf
			
			if(GameHour.GetValue() > 6 && GameHour.GetValue() < 18)
				if(!PlayerRef.IsInInterior())
					PietyMult *= 2.0
				else
					PietyMult *= 1.2
				endIf
			endIf
		elseif(Deity == DaedraMolagBal)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraMolagBal))
				PietyMult *= 1.25
			endIf
		elseif(Deity == DaedraNamira)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraNamira))
				PietyMult *= 1.25
			endIf
			
			if(PlayerRef.WornHasKeyword(ClothingRich) || PlayerRef.WornHasKeyword(JewelryExpensive))
				PietyMult *= 0.01
			endIf
			
			if(PlayerRef.HasMagicEffect(DA11AbFortifyHealth) || PlayerRef.HasMagicEffect(DA11AbFortifyHealRate))
				PietyMult *= 3.0
			endIf
			
			FormList ListLocNamira = GetListFromList(_R_ListLocDaedraAll, DaedraNamira)
			if(IsInLoc && GetListFromList(ListLocNamira, 0).HasForm(Loc))
			elseif(IsInLoc && GetListFromList(ListLocNamira, 1).HasForm(Loc))
			elseif(IsInLoc && GetListFromList(ListLocNamira, 2).HasForm(Loc))
			elseif(UsingShrine)
			elseif(Loc && (Loc.HasKeyword(LocTypeCemetery) || Loc.HasKeyword(LocTypeDraugrCrypt)))
				PietyMult *= 1.5
			endIf
		elseif(Deity == DaedraNocturnal)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraNocturnal))
				PietyMult *= 1.25
			endIf
			
			if(GameHour.GetValue() < 6 || GameHour.GetValue() > 18)
				PietyMult *= 2.0
			endIf
			
		elseif(Deity == DaedraPeryite)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraPeryite))
				PietyMult *= 1.25
			endIf
		elseif(Deity == DaedraSanguine)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraSanguine))
				PietyMult *= 1.25
			endIf
			if(!PlayerRef.WornHasKeyword(ArmorCuirass) && !PlayerRef.WornHasKeyword(ClothingBody))
				PietyMult *= 1.2
			endIf
			
			;Player's drunk
			if(PlayerRef.HasMagicEffect(FoodDamageStaminaRate))
				PietyMult *= 1.5
			endIf
			
		elseif(Deity == DaedraSheogorath)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraSheogorath))
				PietyMult *= 1.25
			endIf
		elseif(Deity == DaedraVaermina)
			if(PlayerRef.WornHasKeyword(_R_KeywordEquipmentDaedraVaermina))
				PietyMult *= 1.25
			endIf
		endIf
	elseif(Pantheon == PantheonSpirit)
		PietyMult *= Math.Pow(1.15, GetWornKeywordFromList(GetListFromList(GetListFromList(_R_ListKeywordsAll, Pantheon), Deity)))
		PietyMult *= Math.Pow(1.3, GetWornEquipmentFromList(GetListFromList(GetListFromList(_R_ListEquipmentAll, Pantheon), Deity)))
		
		if(Deity == SpiritAllMaker)
			;Near one of the stones
			;The wind stone
			if(PlayerRef.IsInLocation(DLC2StoneWindLocation) && DLC2MQ03.GetStageDone(60))
				PietyMult *= 3
			endIf
			;The water stone
			if(PlayerRef.IsInLocation(DLC2StoneWaterLocation) && DLC2MQ03B.GetStageDone(10))
				PietyMult *= 3
			endIf
			;The earth stone
			if(PlayerRef.IsInLocation(DLC2StoneEarthLocation) && DLC2MQ03B.GetStageDone(20))
				PietyMult *= 3
			endIf
			;The beast stone
			if(PlayerRef.IsInLocation(DLC2StoneBeastLocation) && DLC2MQ03B.GetStageDone(30))
				PietyMult *= 3
			endIf
			;The sun stone
			if(PlayerRef.IsInLocation(DLC2StoneSunLocation) && DLC2MQ03B.GetStageDone(40))
				PietyMult *= 3
			endIf
			;The tree stone
			if(PlayerRef.IsInLocation(DLC2TempleOfMiraakLocation) && DLC2MQ06.GetStageDone(550))
				PietyMult *= 10
			endIf
		elseif(Deity == SpiritAncestors)
			;In a graveyard or undead dungeon
			if(Loc && GetListFromList(_R_ListLocSpiritAll, SpiritAncestors).HasForm(Loc))
				PietyMult *= 10
			elseif(Loc && (Loc.HasKeyword(LocTypeCemetery) || Loc.HasKeyword(LocTypeDraugrCrypt)))
				PietyMult *= 5
			endIf
		elseif(Deity == SpiritEbonarm)
			if(Loc && GetListFromList(_R_ListLocSpiritAll, SpiritEbonarm).HasForm(Loc))
				PietyMult *= 10
			endIf
			PietyMult *= Math.Pow(0.8, PlayerRef.GetItemCount(ArmorMaterialDaedric) + PlayerRef.GetItemCount(WeapMaterialDaedric) + PlayerRef.GetItemCount(DaedricArtifact))
		elseif(Deity == SpiritMagnus)
			if(Loc && GetListFromList(_R_ListLocSpiritAll, SpiritMagnus).HasForm(Loc))
				PietyMult *= 10
			endIf
		elseif(Deity == SpiritSithis)
			if(Loc && GetListFromList(_R_ListLocSpiritAll, SpiritSithis).HasForm(Loc))
				PietyMult *= 10
			endIf
		elseif(Deity == SpiritYffre)
			;In Spriggan Area, Or in Wilderness
			if(Loc && GetListFromList(_R_ListLocSpiritAll, SpiritYffre).HasForm(Loc))
				PietyMult *= 10
			elseif(Loc && Loc.HasKeyword(LocTypeSprigganGrove))
				PietyMult *= 5
			elseif(!Loc)
				PietyMult *= 3
			endIf
			
			;Cannabilism
			if(PlayerRef.HasMagicEffect(DA11AbFortifyHealth) || PlayerRef.HasMagicEffect(DA11AbFortifyHealRate))
				PietyMult *= 3.0
			endIf
		endIf
	endIf
	Log("[Religion]Function Result GetPietyMult: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity) + ", PietyMult-" + PietyMult)
	return PietyMult
endFunction

;Return the total worth a deity associates with the player, used to determine if the player can or will recieve a gift or blessing
float Function GetWorthTotal(int Pantheon, int Deity)
	Log("[Religion]Function Call GetWorthTotal: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity))
	float TotalWorth = 0.0
	if(Pantheon == PantheonMeditation)
		;The total worth for a meditation time is dependent on a fraction of the total time spent meditating on the parent pantheon
		if(Deity == SignWarrior || Deity == SignLady || Deity == SignSteed || Deity == SignLord)
			TotalWorth += DurSignWarrior * 0.25
		elseif(Deity == SignThief || Deity == SignLover || Deity == SignShadow || Deity == SignTower)
			TotalWorth += DurSignThief * 0.25
		elseif(Deity == SignMage || Deity == SignApprentice || Deity == SignAtronach || Deity == SignRitual)
			TotalWorth += DurSignMage + 0.25
		endIf
		
		if(Deity == SignWarrior)
			TotalWorth += PietySignWarrior
			if(PlayerRef.HasSpell(doomWarriorAbility))
				TotalWorth += 5
			endIf
		elseif(Deity == SignLady)
			TotalWorth += PietySignLady
			if(PlayerRef.HasSpell(doomLadyAbility))
				TotalWorth += 5
			endIf
		elseif(Deity == SignSteed)
			TotalWorth += PietySignSteed
			if(PlayerRef.HasSpell(doomSteedAbility))
				TotalWorth += 5
			endIf
		elseif(Deity == SignLord)
			TotalWorth += PietySignLord
			if(PlayerRef.HasSpell(doomLordAbility))
				TotalWorth += 5
			endIf
		elseif(Deity == SignThief)
			TotalWorth += PietySignThief
			if(PlayerRef.HasSpell(doomThiefAbility))
				TotalWorth += 5
			endIf
		elseif(Deity == SignLover)
			TotalWorth += PietySignLover
			if(PlayerRef.HasSpell(doomLoverAbility))
				TotalWorth += 5
			endIf
		elseif(Deity == SignShadow)
			TotalWorth += PietySignShadow
			if(PlayerRef.HasSpell(doomShadowAbility))
				TotalWorth += 5
			endIf
		elseif(Deity == SignTower)
			TotalWorth += PietySignTower
			if(PlayerRef.HasSpell(doomTowerAbility))
				TotalWorth += 5
			endIf
		elseif(Deity == SignMage)
			TotalWorth += PietySignMage
			if(PlayerRef.HasSpell(doomMageAbility))
				TotalWorth += 5
			endIf
		elseif(Deity == SignApprentice)
			TotalWorth += PietySignApprentice
			if(PlayerRef.HasSpell(doomApprenticeAbility))
				TotalWorth += 5
			endIf
		elseif(Deity == SignAtronach)
			TotalWorth += PietySignAtronach
			if(PlayerRef.HasSpell(doomAtronachAbility))
				TotalWorth += 5
			endIf
		elseif(Deity == SignRitual)
			TotalWorth += PietySignRitual
			if(PlayerRef.HasSpell(doomRitualAbility))
				TotalWorth += 5
			endIf
		elseif(Deity == SignSerpent)
			TotalWorth += PietySignSerpent
			if(PlayerRef.HasSpell(doomSerpentAbility))
				TotalWorth += 5
			endIf
		endIf
	elseif(Pantheon == PantheonDivines)
		UpdatePriestFavor()
		TotalWorth = GetDivinesWorth(Deity, GetDivinesVirtuesArray(Deity), GetDivinesSinsArray(Deity))
	elseif(Pantheon == PantheonDaedra)
		TotalWorth = GetDaedraWorth(Deity, GetDaedraAmusementArray(Deity), GetDaedraDisapprovalArray(Deity))
	elseif(Pantheon == PantheonSpirit)
		TotalWorth = GetSpiritAcceptance(Deity)
	endIf
	Log("[Religion]Function Result GetWorthTotal: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity) + ", TotalWorth-" + TotalWorth)
	return TotalWorth
endFunction

;Returns the total worth the given divine associates with the player
float Function GetDivinesWorth(int Divine, float[] Virtues, float[] Sins)
	float TotalWorth = GetDivinesVirtues(Divine, Virtues) - GetDivinesSins(Divine, Sins) + GetDivinesRepentance(Divine) + GetDivinesForgiveness(Divine)
	Log("[Religion]Function Result GetDivinesWorth: Divine-" + GetDeityName(PantheonDivines, Divine) + ", TotalWorth-" + TotalWorth)
	return TotalWorth
endFunction

;Returns the worth of the player's virtuous actions
float Function GetDivinesVirtues(int Divine, float[] VirtuesArray)
	Log("[Religion]Function Call GetDivinesVirtues: Divine-" + GetDeityName(PantheonDivines, Divine))
	float Virtues = _R_GlobalDivine_BaseWorth.GetValue() + SumArray(VirtuesArray)
	Log("[Religion]Function Result GetDivinesVirtues: Divine-" + GetDeityName(PantheonDivines, Divine) + ", Virtues-" + Virtues)
	return Virtues
endFunction

;Returns an array of the worth of the player's virtuous actions
float[] Function GetDivinesVirtuesArray(int Divine)
	Log("[Religion]Function Call GetDivinesVirtuesArray: Divine-" + GetDeityName(PantheonDivines, Divine))
	if(Divine == DivineAkatosh)
		float[] Virtues = new float[9]
		
		;Virtue Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtuePious = 0.0
			
			;The player has been pious
			VirtuePious += PietyDivineAkatosh * 20
			;The player has helped some random people
			VirtuePious += Game.QueryStat("Misc Objectives Completed") * 5
			
			Virtues[0] = VirtuePious
			Log("[Religion] Akatosh Virtues: " + VirtuePious + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Dragons;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueDragons = 0.0
			
			;Akatosh wants you to complete the main quest
			VirtueDragons += Game.QueryStat("Main Quests Completed") * 200
			VirtueDragons += Game.QueryStat("Dragon Souls Collected") * 50
			
			Virtues[1] = VirtueDragons
			Log("[Religion] Akatosh Virtues: " + VirtueDragons + " for fighting dragons and Alduin")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Priests;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtuePriests = 0.0
		
			;The relationship the player has with these priests helps tell if the player has helped them
			if(AllPriestFavor > 0)
				VirtuePriests += AllPriestFavor * 15
			endIf
			
			Virtues[2] = VirtuePriests
			Log("[Religion] Akatosh Virtues: " + VirtuePriests + " for assisting priests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Defying Azura;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueDefyAzura = 0.0
			
			if(DA01.GetStageDone(75));The player has betrayed Azura during her quest
				VirtueDefyAzura = 250
			elseif(DA01.GetStageDone(110));The player allied with Azura
				VirtueDefyAzura = -1
			endIf
			
			Virtues[3] = VirtueDefyAzura
			Log("[Religion] Akatosh Virtues: " + VirtueDefyAzura + " for defying Azura")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Defying Boethiah;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueDefyBoethiah = 0.0
			
			;The player killed the cultists, but has't sacrificed a follower
			if(DA02.GetStageDone(9) && !DA02.GetStageDone(11))
				VirtueDefyBoethiah = 1000
			elseif(DA02.GetStageDone(11));The player has sacrificed a follower
				VirtueDefyBoethiah = -1
			endIf
			
			Virtues[4] = VirtueDefyBoethiah
			Log("[Religion] Akatosh Virtues: " + VirtueDefyBoethiah + " for defying Boethiah")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Defying Dagon;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueDefyMehrunes = 0.0
			
			;The player refused to kill Silus
			if(DA07.GetStageDone(150))
				VirtueDefyMehrunes = 1000
			endIf
			
			Virtues[5] = VirtueDefyMehrunes
			Log("[Religion] Akatosh Virtues: " + VirtueDefyMehrunes + " for defying Mehrunes Dagon")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Defying Molag Bal;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueDefyMolagBal = 0.0
			
			;The player has defied Molag Bal during his quest, and killed the worshipper prematurely
			if(DA10.GetStageDone(550))
				VirtueDefyMolagBal = 500
			endIf
			
			Virtues[6] = VirtueDefyMolagBal
			Log("[Religion] Akatosh Virtues: " + VirtueDefyMolagBal + " for defying Molag Bal")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Defying Namira;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueDefyNamira = 0.0
			
			;The player has defied Namira during her quest, and killed Eola
			if(DA11.GetStageDone(250))
				VirtueDefyNamira = 500
			elseif(DA11.GetStageDone(100));The player allied with Namira
				VirtueDefyNamira = -1
			endIf
			
			Virtues[7] = VirtueDefyNamira
			Log("[Religion] Akatosh Virtues: " + VirtueDefyNamira + " for defying Namira")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Defying Vaermina;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueDefyVaermina = 0.0
			
			;The player has helped Erandur destroy the Skull of Corruption
			if(DA16.GetStageDone(198))
				VirtueDefyVaermina = 1000
			elseif(!DA16.GetStageDone(198) && DA16.GetStageDone(200));The player allied with Vaermina
				VirtueDefyVaermina = -1
			endIf
			
			Virtues[8] = VirtueDefyVaermina
			Log("[Religion] Akatosh Virtues: " + VirtueDefyVaermina + " for defying Vaermina")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Virtues
	elseif(Divine == DivineArkay)
		float[] Virtues = new float[8]
		
		;Virtue Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtuePious = 0.0
		
			VirtuePious += PietyDivineArkay * 24
			;The player has helped some random people
			VirtuePious += Game.QueryStat("Misc Objectives Completed") * 5
			
			Virtues[0] = VirtuePious
			Log("[Religion] Arkay Virtues: " + VirtuePious + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Priests;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtuePriests = 0.0
		
			;Arkay Priests
			if(ArkayPriestFavor > 0)
				VirtuePriests += ArkayPriestFavor * 15
			endIf
			
			Virtues[1] = VirtuePriests
			Log("[Religion] Arkay Virtues: " + VirtuePriests + " for assisting Arkay's priests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Undead;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueUndead = 0.0
		
			VirtueUndead = Game.QueryStat("Undead Killed") * 7
			
			Virtues[2] = VirtueUndead
			Log("[Religion] Arkay Virtues: " + VirtueUndead + " for fighting undead")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Dawngaurd;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueDawnguard = 0.0
			
			;If the player has rejected the Volkihar Vampires
			if(DLC1VQ02.GetStageDone(180))
				VirtueDawnguard = Game.QueryStat("Dawnguard Quests Completed") * 200
			elseif(DLC1VQ02.GetStageDone(190))
				VirtueDawnguard = -1
			endIf
		
			Virtues[3] = VirtueDawnguard
			Log("[Religion] Arkay Virtues: " + VirtueDawnguard + " for fighting the Volkihar Vampires")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Destroy Potema;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueDestroyPotema = 0.0
			
			;If the player has destroyed Potema
			if(MS06.GetStage() >= 170)
				VirtueDestroyPotema = 500
			endIf
			
			Virtues[4] = VirtueDestroyPotema
			Log("[Religion] Arkay Virtues: " + VirtueDestroyPotema + " for destroying the Wolf Queen")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Slay Luah;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueSlayLuah = 0.0
			
			;If the player has killed Luah in Ansilvund
			if(dunAnsilvundQST.GetStageDone(80))
				VirtueSlayLuah = 200
			endIf
			
			Virtues[5] = VirtueSlayLuah
			Log("[Religion] Arkay Virtues: " + VirtueSlayLuah + " for slaying Luah al'Skaven")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Slay Arondil;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueSlayArondil = 0.0
			
			;If the player has killed Arondil in Yngvild
			if(dunYngvildQST.IsRunning())
				ReferenceAlias WarlockAlias = dunYngvildQST.GetAlias(0) as ReferenceAlias
				if(WarlockAlias)
					if(WarlockAlias.GetActorReference() && WarlockAlias.GetActorReference().IsDead())
						VirtueSlayArondil += 500
					endIf
				endIf
			endIf
			
			Virtues[6] = VirtueSlayArondil
			Log("[Religion] Arkay Virtues: " + VirtueSlayArondil + " for slaying Arondil")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Slay Vals;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueSlayVals = 0.0
			
			;If the player has killed Vals in Hillgrunds Tomb
			if(dunHillgrundsTombQST.GetStageDone(90))
				VirtueSlayVals += 250
			endIf
			
			Virtues[7] = VirtueSlayVals
			Log("[Religion] Arkay Virtues: " + VirtueSlayVals + " for slaying Vals")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Virtues
	elseif(Divine == DivineDibella)
		float[] Virtues = new float[6]
		
		;Virtue Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtuePious = 0.0
		
			VirtuePious += PietyDivineDibella * 28
			;The player has helped some random people
			VirtuePious += Game.QueryStat("Misc Objectives Completed") * 8
			
			Virtues[0] = VirtuePious
			Log("[Religion] Dibella Virtues: " + VirtuePious + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Vanity;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueVanity = 0.0
		
			VirtueVanity += Game.QueryStat("Most Gold Carried") * 0.1
			VirtueVanity += PlayerRef.GetItemCount(ArmorJewelry) * 10
			VirtueVanity += PlayerRef.GetItemCount(JewelryExpensive) * 25
			VirtueVanity += PlayerRef.GetItemCount(ClothingRich) * 25
			
			Virtues[1] = VirtueVanity
			Log("[Religion] Dibella Virtues: " + VirtueVanity + " for being vain")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Speech;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueSpeech = 0.0
		
			VirtueSpeech += Game.QueryStat("Barters") * 0.05
			VirtueSpeech += Game.QueryStat("Persuasions") * 15
			
			;Dibella prefers elequent followers
			if(PlayerRef.GetBaseActorValue("Speechcraft") > 15)
				VirtueSpeech += (PlayerRef.GetBaseActorValue("Speechcraft") - 15) * 25
			endIf
		
			Virtues[2] = VirtueSpeech
			Log("[Religion] Dibella Virtues: " + VirtueSpeech + " for being elequent")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Priests;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtuePriests = 0.0
		
			;Dibella's Priests
			if(DibellaPriestFavor > 0)
				VirtuePriests = DibellaPriestFavor
			endIf
			
			Virtues[3] = VirtuePriests
			Log("[Religion] Dibella Virtues: " + VirtuePriests + " for helping her priests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Bard;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueBard = 0.0
		
			;Bards College Quests
			if(MS05.GetStageDone(300))
				VirtueBard += 1000
			endIf
			if(BardsCollegeDrum.GetStageDone(40))
				VirtueBard += 250
			endIf
			if(BardsCollegeFlute.GetStageDone(40))
				VirtueBard += 250
			endIf
			if(BardsCollegeLute.GetStageDone(40))
				VirtueBard += 250
			endIf
			
			Virtues[4] = VirtueBard
			Log("[Religion] Dibella Virtues: " + VirtueBard + " for being a bard")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Sybil;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueSybil = 0.0
		
			;If the player rescued her new Sybil
			if(T01.GetStageDone(200))
				VirtueSybil += 1500
			endIf
			
			Virtues[5] = VirtueSybil
			Log("[Religion] Dibella Virtues: " + VirtueSybil + " for rescuing her new sybil")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Virtues
	elseif(Divine == DivineJulianos)
		float[] Virtues = new float[4]
		
		;Virtue Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtuePious = 0.0
			
			VirtuePious += PietyDivineJulianos * 20
			;The player has helped some random people
			VirtuePious += Game.QueryStat("Misc Objectives Completed") * 10
			
			Virtues[0] = VirtuePious
			Log("[Religion] Julianos Virtues: " + VirtuePious + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Training;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueTraining = 0.0
		
			;The player has learned some things
			VirtueTraining += Game.QueryStat("Skill Books Read") * 100
			VirtueTraining += Game.QueryStat("Training Sessions") * 75
			
			Virtues[1] = VirtueTraining
			Log("[Religion] Julianos Virtues: " + VirtueTraining + " for training")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Knowledge;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueKnowledge = 0.0
		
			;The player has learned some things
			VirtueKnowledge += Game.QueryStat("Skill Increases") * 5
			VirtueKnowledge += Game.QueryStat("Books Read") * 15
			VirtueKnowledge += Game.QueryStat("Locations Discovered") * 5
			
			Virtues[2] = VirtueKnowledge
			Log("[Religion] Julianos Virtues: " + VirtueKnowledge + " for learning")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Magic;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueMagic = 0.0
		
			;The player has learned some things
			VirtueMagic += Game.QueryStat("Spells Learned") * 30
			VirtueMagic += Game.QueryStat("Magic Items Made") * 30
			
			;The player has learned powerful and ancient spells
			if(MGRitual01.GetStageDone(200)) ;Destruction
				VirtueMagic += 200
			endIf
			if(MGRitual02.GetStageDone(200)) ;Illusion
				VirtueMagic += 200
			endIf
			if(MGRitual03.GetStageDone(200)) ;Conjuration
				VirtueMagic += 200
			endIf
			if(MGRitual04.GetStageDone(200)) ;Restoration
				VirtueMagic += 200
			endIf
			if(MGRitual05.GetStageDone(200)) ;Alteration
				VirtueMagic += 200
			endIf
			
			Virtues[3] = VirtueMagic
			Log("[Religion] Julianos Virtues: " + VirtueMagic + " for learning magic")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Virtues
	elseif(Divine == DivineKynareth)
		float[] Virtues = new float[7]
		
		;Virtue Pious;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtuePious = 0.0
		
			VirtuePious += PietyDivineKynareth * 25
			;The player has helped some random people
			VirtuePious += Game.QueryStat("Misc Objectives Completed") * 5
			
			Virtues[0] = VirtuePious
			Log("[Religion] Kynareth Virtues: " + VirtuePious + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Exploration;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueExploration = 0.0
		
			VirtueExploration += Game.QueryStat("Locations Discovered") * 5
			VirtueExploration += Game.QueryStat("Standing Stones Found") * 50
			
			Virtues[1] = VirtueExploration
			Log("[Religion] Kynareth Virtues: " + VirtueExploration + " for exploring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Voice;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueVoice = 0.0
		
			VirtueVoice += Game.QueryStat("Words of Power Learned") * 25
			VirtueVoice += Game.QueryStat("Times Shouted")
			
			Virtues[2] = VirtueVoice
			Log("[Religion] Kynareth Virtues: " + VirtueVoice + " for learning and using the voice")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		float AnimalsKilled = Game.QueryStat("Animals Killed") + (0.25 * Game.QueryStat("Wings Plucked")) + (3 * Game.QueryStat("Bunnies Slaughtered"))
		float IngredientsHarvested = Game.QueryStat("Ingredients Harvested") + (5 * Game.QueryStat("Nirnroots Found"))
		float DaysPassed = GameDaysPassed.GetValue()
		
		;Virtue Hunting;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueHunting = 0.0
		
			VirtueHunting += (Math.Pow(AnimalsKilled, 1.9)/DaysPassed)
			
			Virtues[3] = VirtueHunting
			Log("[Religion] Kynareth Virtues: " + VirtueHunting + " for hunting respectfully")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Harvesting;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueHarvesting = 0.0
		
			VirtueHarvesting += (Math.Pow(IngredientsHarvested, 1.6)/DaysPassed)
			
			Virtues[4] = VirtueHarvesting
			Log("[Religion] Kynareth Virtues: " + VirtueHarvesting + " for harvesting respectfully")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		Actor T03MauriceRef = MauriceAlias.GetActorRef()
		
		;Virtue Eldergleam;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueEldergleam = 0.0
		
			if(T03.GetStageDone(100) && !T03MauriceRef.IsEnabled());If the player has retrieved the eldergleam sap
				VirtueEldergleam = 1000
			elseif(T03.GetStageDone(105));If the player retrieved the eldergleam sapling
				VirtueEldergleam = 2000
			elseif(T03.GetStageDone(100) && T03MauriceRef.IsEnabled());If the player ignored maurice
				VirtueEldergleam = -1
			endIf
			
			Virtues[5] = VirtueEldergleam
			Log("[Religion] Kynareth Virtues: " + VirtueEldergleam + " for tending the Eldergleam")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
			
		;Virtue Trials;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueTrials = 0.0
		
			;Kyne's Sacred Trials
			;If the player has defeated the first 3 spirits
			if(dunHunterQST.GetStageDone(50))
				VirtueTrials += 250
			endIf
			;If the player has defeated the second 3 spirits
			if(dunHunterQST.GetStageDone(70))
				VirtueTrials += 500
			endIf
			;If the player has defeated the final spirit
			if(dunHunterQST.GetStageDone(80))
				VirtueTrials += 750
			endIf
			
			Virtues[6] = VirtueTrials
			Log("[Religion] Kynareth Virtues: " + VirtueTrials + " for completing her trials")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Virtues
	elseif(Divine == DivineMara)
		float[] Virtues = new float[4]
	
		;Virtue Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtuePious = 0.0
		
			VirtuePious += PietyDivineMara * 50
			;The player has helped some random people
			VirtuePious += Game.QueryStat("Misc Objectives Completed") * 15
		
			Virtues[0] = VirtuePious
			Log("[Religion] Mara Virtues: " + VirtuePious + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Peaceful;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtuePeaceful = 0.0
		
			;Mara likes peaceful resolutions and skills
			VirtuePeaceful += Game.QueryStat("Persuasions") * 10
			
			;Mara likes the player making potions that help others
			VirtuePeaceful += Game.QueryStat("Potions Mixed") * 0.5
			
			if(PlayerRef.GetBaseActorValue("Restoration") > 15)
				VirtuePeaceful += (PlayerRef.GetBaseActorValue("Restoration") - 15) * 25
			endIf
			
			Virtues[1] = VirtuePeaceful
			Log("[Religion] Mara Virtues: " + VirtuePeaceful + " for peaceful resolutions")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Marriage;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueMarriage = 0.0
			
			;The player has married
			if(RelationshipMarriage.GetStageDone(100))
				VirtueMarriage += 1000
			endIf
			
			Virtues[2] = VirtueMarriage
			Log("[Religion] Mara Virtues: " + VirtueMarriage + " for marrying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Quests;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueQuests = 0.0
		
			;The player has helped the argonians wed in Riften
		
			;The player has preached about Mara in Riften
			if(FreeformRiften05.GetStageDone(200))
				VirtueQuests += 200
			endIf
			
			;The Book of Love Quest
			;The player has helped Fastred in Ivarstead
			if(T02.GetStageDone(30))
				VirtueQuests += 750
			endIf
			;The player has helped Calcelmo in Markarth
			if(T02.GetStageDone(70))
				VirtueQuests += 750
			endIf
			;The player has helped the two dead lovers
			if(T02.GetStageDone(100))
				VirtueQuests += 750
			endIf
			
			Virtues[3] = VirtueQuests
			Log("[Religion] Mara Virtues: " + VirtueQuests + " for performing Mara's Quests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Virtues
	elseif(Divine == DivineStendarr)
		float[] Virtues = new float[3]
		
		;Virtue Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtuePious = 0.0
		
			VirtuePious += PietyDivineStendarr * 20
			;The player has helped some random people
			VirtuePious += Game.QueryStat("Misc Objectives Completed") * 10
			
			Virtues[0] = VirtuePious
			Log("[Religion] Stendarr Virtues: " + VirtuePious + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Legion;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueLegion = 0.0
		
			;If the player has given the Crown to Tullius and officially joined the Legion
			if(CW02A.GetStageDone(190) || CW02B.GetStageDone(220))
				VirtueLegion = Game.QueryStat("Civil War Quests Completed") * 150
			elseif(CW02B.GetStageDone(190) || CW02A.GetStageDone(220));Player joined stormcloaks
				VirtueLegion = -1
			endIf
			
			Virtues[1] = VirtueLegion
			Log("[Religion] Stendarr Virtues: " + VirtueLegion + " for assisting the Legion")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Protect;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueProtect = 0.0
		
			;The player attempts to eliminate threats to the people
			VirtueProtect += Game.QueryStat("Daedra Killed") * 50
			VirtueProtect += Game.QueryStat("Dragon Souls Collected") * 30
			VirtueProtect += Game.QueryStat("Undead Killed") * 5
			VirtueProtect += Game.QueryStat("Creatures Killed") * 0.5
		
			Virtues[2] = VirtueProtect
			Log("[Religion] Stendarr Virtues: " + VirtueProtect + " for eliminating threats to the people")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Dawnguard;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueDawnguard = 0.0
			
			;If the player has rejected the Volkihar Vampires
			if(DLC1VQ02.GetStageDone(180))
				VirtueDawnguard = Game.QueryStat("Dawnguard Quests Completed") * 150
			elseif(DLC1VQ02.GetStageDone(190))
				VirtueDawnguard = -1
			endIf
			
			Virtues[3] = VirtueDawnguard
			Log("[Religion] Stendarr Virtues: " + VirtueDawnguard + " for aiding the dawnguard")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Destroy DB;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueDestroyDB = 0.0
			
			;If the player has destroyed the Dark Brotherhood
			if(DBDestroy.GetStageDone(40))
				VirtueDestroyDB += 1000
			endIf
			
			Virtues[4] = VirtueDestroyDB
			Log("[Religion] Stendarr Virtues: " + VirtueDestroyDB + " for aiding the dawnguard")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			
		return Virtues
	elseif(Divine == DivineTalos)
		float[] Virtues = new float[7]
		
		;Virtue Pious;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtuePious = 0.0
		
			VirtuePious += PietyDivineTalos * 20
			;The player has helped some random people
			VirtuePious += Game.QueryStat("Misc Objectives Completed") * 5
			
			Virtues[0] = VirtuePious
			Log("[Religion] Talos Virtues: " + VirtuePious + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Combat;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueCombat = 0.0
			
			VirtueCombat += Game.QueryStat("Creatures Killed")
			VirtueCombat += Game.QueryStat("Undead Killed") * 3
			VirtueCombat += Game.QueryStat("Automatons Killed") * 5
			VirtueCombat += Game.QueryStat("Daedra Killed") * 30
			VirtueCombat += Game.QueryStat("Dungeons Cleared") * 30
			VirtueCombat += Game.QueryStat("Dragon Souls Collected") * 30
			
			Virtues[1] = VirtueCombat
			Log("[Religion] Talos Virtues: " + VirtueCombat + " for partaking in honourable combat")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Voice;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueVoice = 0.0
		
			VirtueVoice += Game.QueryStat("Words of Power Learned") * 15
			VirtueVoice += Game.QueryStat("Times Shouted") * 2
			
			Virtues[2] = VirtueVoice
			Log("[Religion] Talos Virtues: " + VirtueVoice + " for following in Talos' footsteps as Dragonborn")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Honor;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueHonor = 0.0
		
			VirtueHonor += Game.QueryStat("The Companions Quests Completed") * 100
			
			Virtues[3] = VirtueHonor
			Log("[Religion] Talos Virtues: " + VirtueHonor + " for aiding the Companions")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue War;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueWar = 0.0
		
			VirtueWar += Game.QueryStat("Civil War Quests Completed") * 100
			
			Virtues[4] = VirtueWar
			Log("[Religion] Talos Virtues: " + VirtueWar + " for helping to end the war")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Dawnguard;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueDawnguard = 0.0
		
			;If the player has rejected the Volkihar Vampires
			if(DLC1VQ02.GetStageDone(180))
				VirtueDawnguard = Game.QueryStat("Dawnguard Quests Completed") * 100
			elseif(DLC1VQ02.GetStageDone(190))
				VirtueDawnguard = -1
			endIf
		
			Virtues[5] = VirtueDawnguard
			Log("[Religion] Talos Virtues: " + VirtueDawnguard + " for aiding the Dawngaurd")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Dark Brotherhood;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueDestroyDB = 0.0
		
			;If the player has destroyed the Dark Brotherhood
			if(DBDestroy.GetStageDone(40))
				VirtueDestroyDB += 500
			endIf
			
			Virtues[6] = VirtueDestroyDB
			Log("[Religion] Talos Virtues: " + VirtueDestroyDB + " for destroying the Dark Brotherhood")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Virtues
	elseif(Divine == DivineZenithar)
		float[] Virtues = new float[2]
		
		;Virtue Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtuePious = 0.0
		
			VirtuePious += PietyDivineZenithar * 20
			;The player has helped some random people
			VirtuePious += Game.QueryStat("Misc Objectives Completed") * 12
			
			Virtues[0] = VirtuePious
			Log("[Religion] Zenithar Virtues: " + VirtuePious + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Virtue Productive;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float VirtueProductive = 0.0
		
			;The player is a productive member of society
			VirtueProductive += Game.QueryStat("Magic Items Made")
			VirtueProductive += Game.QueryStat("Weapons Improved")
			VirtueProductive += Game.QueryStat("Weapons Made")
			VirtueProductive += Game.QueryStat("Armor Improved")
			VirtueProductive += Game.QueryStat("Armor Made")
			VirtueProductive += Game.QueryStat("Potions Mixed")
			VirtueProductive += Game.QueryStat("Poisons Mixed")
			VirtueProductive += Game.QueryStat("Barters") * 0.1
			VirtueProductive += Game.QueryStat("Stores Invested In") * 150
			
			Virtues[1] = VirtueProductive
			Log("[Religion] Zenithar Virtues: " + VirtueProductive + " for being productive")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Virtues
	endIf
	return new float[1]
endFunction

;Returns the worth of the player's sinful actions
float Function GetDivinesSins(int Divine, float[] SinsArray)
	Log("[Religion]Function Call GetDivinesSins: Divine-" + GetDeityName(PantheonDivines, Divine))
	float Sins = SumArray(SinsArray)
	Log("[Religion]Function Result GetDivinesSins: Divine-" + GetDeityName(PantheonDivines, Divine) + ", Sins-" + Sins)
	return Sins
endFunction

;Returns an array of the worth of the player's sinful actions
float[] Function GetDivinesSinsArray(int Divine)
	Log("[Religion]Function Call GetDivinesSinsArray: Divine-" + GetDeityName(PantheonDivines, Divine))
	if(Divine == DivineAkatosh)
		float[] Sins = new float[21]
	
		;Sin Murder;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinMurder = 0.0
			
			SinMurder += Game.QueryStat("Murders") * 50
			
			Sins[0] = SinMurder
			Log("[Religion] Akatosh Sins: " + SinMurder + " for murder")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Thievery;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinThievery = 0.0
			
			SinThievery += Game.QueryStat("Items Stolen") * 5
			SinThievery += Game.QueryStat("Items Pickpocketed") * 5
			
			Sins[1] = SinThievery
			Log("[Religion] Akatosh Sins: " + SinThievery + " for thievery")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Conjuration;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinConjuration = 0.0
		
			;Akatosh is not fond of people who tries to break the barrier to Oblivion
			if(PlayerRef.GetBaseActorValue("Conjuration") > 20)
				SinConjuration += (PlayerRef.GetBaseActorValue("Conjuration") - 15) * 25
			endIf
			
			;Conjuration ritual quest
			if(MGRitual03.GetStageDone(200))
				SinConjuration += 500
			endIf
			
			Sins[2] = SinConjuration
			Log("[Religion] Akatosh Sins: " + SinConjuration + " for breaking down the barriers between worlds")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Emperor;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinEmperor = 0.0
		
			;If the player has killed the emperor
			if(DB11.GetStageDone(20))
				SinEmperor += 50000
			endIf
			
			Sins[3] = SinEmperor
			Log("[Religion] Akatosh Sins: " + SinEmperor + " for killing the emperor")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Priests;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinPriests = 0.0
		
			;The player has made enemies of priests
			if(AllPriestFavor < 0)
				SinPriests += AllPriestFavor * -20
			endIf
			
			Sins[4] = SinPriests
			Log("[Religion] Akatosh Sins: " + SinPriests + " for disrespecting priests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Azura;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinAzura = 0.0
		
			SinAzura += DurDaedraAzura * 10
			
			;If the player has returned Azura's Star to Azura
			if(DA01.GetStageDone(100))
				SinAzura += 150
			endIf
			
			Sins[5] = SinAzura
			Log("[Religion] Akatosh Sins: " + SinAzura + " for allying with Azura")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Boethiah;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinBoethiah = 0.0
		
			SinBoethiah += DurDaedraBoethiah * 10
			
			;If the player has proven themself to Boethiah
			if(DA02.GetStageDone(40))
				SinBoethiah += 750
			elseif(DA02.GetStageDone(10))
				SinBoethiah += 500
			endIf
			
			Sins[6] = SinBoethiah
			Log("[Religion] Akatosh Sins: " + SinBoethiah + " for allying with Boethiah")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Clavicus;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinClavicus = 0.0
		
			SinClavicus += DurDaedraClavicus * 10
			
			;If the player has retrieved the Rueful Axe for Clavicus Vile
			if(DA03.GetStageDone(100))
				SinClavicus += 200
			endIf
			
			Sins[7] = SinClavicus
			Log("[Religion] Akatosh Sins: " + SinClavicus + " for allying with Clavicus Vile")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Hermaeus;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinHermaeus = 0.0
		
			SinHermaeus += DurDaedraHermaeus * 10
			
			Sins[8] = SinHermaeus
			Log("[Religion] Akatosh Sins: " + SinHermaeus + " for allying with Hermaeus Mora")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Hircine;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinHircine = 0.0
		
			SinHircine += DurDaedraHircine * 10
			
			SinHircine += Game.QueryStat("Days as a Werewolf") * 5
			
			;If the player aided Hircine and killed Sinding
			if(DA05.GetStageDone(100))
				SinHircine += 500
			endIf
			
			Sins[9] = SinHircine
			Log("[Religion] Akatosh Sins: " + SinHircine + " for allying with Hircine")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Malacath;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinMalacath = 0.0
		
			SinMalacath += DurDaedraMalacath * 10
			
			Sins[10] = SinMalacath
			Log("[Religion] Akatosh Sins: " + SinMalacath + " for allying with Malacath")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Mehrunes;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinMehrunes = 0.0
		
			SinMehrunes += DurDaedraMehrunes * 10
			
			;If the player retrieved Mehrunes' Razor
			if(DA07.GetStageDone(100))
				SinMehrunes += 1000
			endIf
			
			Sins[11] = SinMehrunes
			Log("[Religion] Akatosh Sins: " + SinMehrunes + " for allying with Mehrunes Dagon")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Mephala;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinMephala = 0.0
		
			SinMephala += DurDaedraMephala * 10
			
			;If the player retrieved the Ebony Blade and killed 10 people to restore it's power
			if(DA08.GetStageDone(80))
				SinMephala += 3000
			elseif(DA08.GetStageDone(60)) ;If the player has just retrieved the Ebony Blade
				SinMephala += 750
			endIf
			
			Sins[12] = SinMephala
			Log("[Religion] Akatosh Sins: " + SinMephala + " for allying with Mephala")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Meridia;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinMeridia = 0.0
		
			SinMeridia += DurDaedraMeridia * 10
			
			Sins[13] = SinMeridia
			Log("[Religion] Akatosh Sins: " + SinMeridia + " for allying with Meridia")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Molag Bal;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinMolagBal = 0.0
		
			SinMolagBal += Game.QueryStat("Days as a Vampire") * 10
			
			SinMolagBal += DurDaedraMolagBal * 10
			
			;If the player has retrieved the Mace of Molag Bal
			if(DA10.GetStageDone(200))
				SinMolagBal += 1000
			endIf
			
			Sins[14] = SinMolagBal
			Log("[Religion] Akatosh Sins: " + SinMolagBal + " for allying with Molag Bal")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Namira;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinNamira = 0.0
		
			SinNamira += DurDaedraNamira * 10
			
			;If the player has killed Brother Verulus
			if(DA11.GetStageDone(100) || DA11.GetStageDone(500))
				SinNamira += 2000
			endIf
			
			Sins[15] = SinNamira
			Log("[Religion] Akatosh Sins: " + SinNamira + " for allying with Namira")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

		;Sin Nocturnal;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinNocturnal = 0.0
		
			SinNocturnal += DurDaedraNocturnal * 10
			
			;If the player has reopened the portal in the Twilight Sepulcher
			if(TG09.GetStageDone(200))
				SinNocturnal += 500
			endIf
			
			Sins[16] = SinNocturnal
			Log("[Religion] Akatosh Sins: " + SinNocturnal + " for allying with Nocturnal")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Peryite;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinPeryite = 0.0
		
			SinPeryite += DurDaedraPeryite * 10
			
			Sins[17] = SinPeryite
			Log("[Religion] Akatosh Sins: " + SinPeryite + " for allying with Peryite")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Sanguine;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinSanguine = 0.0
		
			SinSanguine += DurDaedraSanguine * 10
			
			Sins[18] = SinSanguine
			Log("[Religion] Akatosh Sins: " + SinSanguine + " for allying with Sanguine")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Sheogorath;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinSheogorath = 0.0
		
			SinSheogorath += DurDaedraSheogorath * 10
			
			Sins[19] = SinSheogorath
			Log("[Religion] Akatosh Sins: " + SinSheogorath + " for allying with Sheogorath")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Vaermina;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinVaermina = 0.0
		
			SinVaermina += DurDaedraVaermina * 10
			
			;If the player has killed Erandur
			if(!DA16.GetStageDone(198) && DA16.GetStageDone(200))
				SinVaermina += 2000
			endIf
			
			Sins[20] = SinVaermina
			Log("[Religion] Akatosh Sins: " + SinVaermina + " for allying with Vaermina")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Sins
	elseif(Divine == DivineArkay)
		float[] Sins = new float[5]
		
		;Sin Thievery;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinThievery = 0.0
			
			SinThievery += Game.QueryStat("Items Stolen") * 5
			SinThievery += Game.QueryStat("Items Pickpocketed") * 5
			
			Sins[0] = SinThievery
			Log("[Religion] Arkay Sins: " + SinThievery + " for committing crimes")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Murder;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinMurderer = 0.0
			;Arkay doesn't like assassins
		
			SinMurderer += Game.QueryStat("The Dark Brotherhood Quests Completed") * 250
			SinMurderer += Game.QueryStat("Murders") * 100
			SinMurderer += Game.QueryStat("Souls Trapped") * 5
			
			Sins[1] = SinMurderer
			Log("[Religion] Arkay Sins: " + SinMurderer + " for being an murderer")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Vampires;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinVampires = 0.0
		
			;If the player has joined the Volkihar Vampires
			if(DLC1VQ02.GetStageDone(190))
				SinVampires += Game.QueryStat("Dawnguard Quests Completed") * 250
			endIf
			;If the player is undead
			if(PlayerRef.HasKeyword(Vampire))
				SinVampires += 1000
			endIf
			
			;Arkay really doesn't like vampires
			SinVampires += Game.QueryStat("Days as a Vampire") * 10
			SinVampires += Game.QueryStat("Necks Bitten") * 50
			
			Sins[2] = SinVampires
			Log("[Religion] Arkay Sins: " + SinVampires + " for being a Vampire")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Priests;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinPriests = 0.0
		
			;The player has made enemies of priests
			if(ArkayPriestFavor < 0)
				SinPriests += ArkayPriestFavor * -15
			endIf
			
			Sins[3] = SinPriests
			Log("[Religion] Arkay Sins: " + SinPriests + " for disrespecting priests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Verulus;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinVerulus = 0.0
			
			;If the player has killed Brother Verulus
			if(DA11.GetStageDone(100) || DA11.GetStageDone(500))
				SinVerulus += 10000
			endIf
			
			Sins[4] = SinVerulus
			Log("[Religion] Arkay Sins: " + SinVerulus + " for killing Brother Verulus")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Sins
	elseif(Divine == DivineDibella)
		float[] Sins = new float[6]
		
		;Sin Thievery;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinThievery = 0.0
		
			SinThievery += Game.QueryStat("Items Stolen") * 5
			SinThievery += Game.QueryStat("Items Pickpocketed") * 5
			
			Sins[0] = SinThievery
			Log("[Religion] Dibella Sins: " + SinThievery + " for thieving")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Murder;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinMurder = 0.0
		
			SinMurder += Game.QueryStat("Murders") * 50
			
			Sins[1] = SinMurder
			Log("[Religion] Dibella Sins: " + SinMurder + " for murder")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Impurity;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinImpure = 0.0
		
			;Dibella doesn't like 'impure' mortals
			SinImpure += Game.QueryStat("Days as a Vampire") * 10
			SinImpure += Game.QueryStat("Days as a Werewolf") * 15
			SinImpure += Game.QueryStat("Diseases Contracted") * 100
		
			Sins[2] = SinImpure
			Log("[Religion] Dibella Sins: " + SinImpure + " for being impure")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Sanguine;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinSanguine= 0.0
		
			SinSanguine += DurDaedraSanguine * 10
		
			Sins[3] = SinSanguine
			Log("[Religion] Dibella Sins: " + SinSanguine + " for worshipping sanguine")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Priests;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinPriests = 0.0
		
			;The player has made enemies of priests
			if(DibellaPriestFavor < 0)
				SinPriests += DibellaPriestFavor * -25
			endIf
			
			if(T01.GetStageDone(205) || T01DegaineFavor.GetStageDone(20))
				SinPriests += 500
			endIf
			
			Sins[4] = SinPriests
			Log("[Religion] Dibella Sins: " + SinPriests + " for insulting followers")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Haelga;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinHaelga = 0.0
		
			;If the player has confronted Haelga with her Marks of Dibella
			if(FreeformRiften11.GetStageDone(70))
				SinHaelga += 250
			endIf
			
			;If the player intimidated Haelga for the thieves guild
			if(TG01.GetStageDone(45))
				SinHaelga += 100
			;The player killed Haelga
			elseif(TG01.GetStageDone(47))
				SinHaelga += 200
			endIf
			
			Sins[5] = SinHaelga
			Log("[Religion] Dibella Sins: " + SinHaelga + " for harassing haelga")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Sins
	elseif(Divine == DivineJulianos)
		float[] Sins = new float[4]
		
		;Sin Thievery;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinThievery = 0.0
		
			;Julianos is not fond of any crimes, no matter how petty
			SinThievery += Game.QueryStat("Items Stolen") * 10
			SinThievery += Game.QueryStat("Items Pickpocketed") * 10
			SinThievery += Game.QueryStat("Horses Stolen") * 15
			
			Sins[0] = SinThievery
			Log("[Religion] Julianos Sins: " + SinThievery + " for thievery")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Breaking & entering;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinBreaking = 0.0
		
			SinBreaking += Game.QueryStat("Trespasses") * 25
			SinBreaking += Game.QueryStat("Locks Picked") * 5
			
			Sins[1] = SinBreaking
			Log("[Religion] Julianos Sins: " + SinBreaking + " for breaking and entering")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Conflict;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinConflict = 0.0
		
			SinConflict += Game.QueryStat("Murders") * 75
			SinConflict += Game.QueryStat("Mauls") * 25
			SinConflict += Game.QueryStat("Brawls Won") * 15
			SinConflict += Game.QueryStat("Assaults") * 10
			SinConflict += Game.QueryStat("Sneak Attacks") * 10
			
			Sins[2] = SinConflict
			Log("[Religion] Julianos Sins: " + SinConflict + " for unlawful conflict")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Escape;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinEscape = 0.0
		
			SinEscape += Game.QueryStat("Bribes") * 15
			SinEscape += Game.QueryStat("Jail Escapes") * 200
			
			SinEscape += Game.QueryStat("Eastmarch Bounty")
			SinEscape += Game.QueryStat("Falkreath Bounty")
			SinEscape += Game.QueryStat("Haafingar Bounty")
			SinEscape += Game.QueryStat("Hjaalmarch Bounty")
			SinEscape += Game.QueryStat("The Pale Bounty")
			SinEscape += Game.QueryStat("The Reach Bounty")
			SinEscape += Game.QueryStat("The Rift Bounty")
			SinEscape += Game.QueryStat("Tribal Orcs Bounty")
			SinEscape += Game.QueryStat("Whiterun Bounty")
			SinEscape += Game.QueryStat("Winterhold Bounty")
			
			Sins[3] = SinEscape
			Log("[Religion] Julianos Sins: " + SinEscape + " for evading punishment")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Sins
	elseif(Divine == DivineKynareth)
		float[] Sins = new float[6]
		
		;Sin Murder;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinMurder = 0.0
		
			SinMurder += Game.QueryStat("Murders") * 50
			
			Sins[0] = SinMurder
			Log("[Religion] Kynareth Sins: " + SinMurder + " for murder")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	
		;Sin Thievery;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinThievery = 0.0
		
			SinThievery += Game.QueryStat("Items Stolen") * 5
			SinThievery += Game.QueryStat("Items Pickpocketed") * 5
			
			Sins[1] = SinThievery
			Log("[Religion] Kynareth Sins: " + SinThievery + " for thieving")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	
		;Sin Sanguine;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinSanguine = 0.0
		
			SinSanguine += DurDaedraSanguine * 10
			
			Sins[2] = SinSanguine
			Log("[Religion] Kynareth Sins: " + SinSanguine + " for worshipping sanguine")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	
		float AnimalsKilled = Game.QueryStat("Animals Killed") + (0.25 * Game.QueryStat("Wings Plucked")) + (3 * Game.QueryStat("Bunnies Slaughtered"))
		float IngredientsHarvested = Game.QueryStat("Ingredients Harvested") + (5 * Game.QueryStat("Nirnroots Found"))
		float DaysPassed = GameDaysPassed.GetValue()
		
		;Sin Hunting;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinHunting = 0.0
		
			if(AnimalsKilled/DaysPassed > 10);If the player over hunts
				SinHunting += (Math.Pow(AnimalsKilled, 1.9)/DaysPassed) * (((AnimalsKilled/DaysPassed)/10) - 1)
			endIf
			
			Sins[3] = SinHunting
			Log("[Religion] Kynareth Sins: " + SinHunting + " for over hunting")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Harvesting;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinHarvesting = 0.0
		
			if(IngredientsHarvested/DaysPassed > 15);If the player over harvests
				SinHarvesting += (Math.Pow(IngredientsHarvested, 1.6)/DaysPassed) * (((IngredientsHarvested/DaysPassed)/15) - 1)
			endIf
			
			Sins[4] = SinHarvesting
			Log("[Religion] Kynareth Sins: " + SinHarvesting + " for over harvesting")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		Actor T03MauriceRef = MauriceAlias.GetActorRef()
		
		;Sin Quests;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinQuests = 0.0
		
			;If the player has retrieved the eldergleam sap while Maurice was with them
			if(T03.GetStageDone(100) && T03MauriceRef.IsEnabled())
				SinQuests += 500
			endIf
			
			Sins[5] = SinQuests
			Log("[Religion] Kynareth Sins: " + SinQuests + " for ignoring Maurice")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Sins
	elseif(Divine == DivineMara)
		float[] Sins = new float[4]
		
		;Sin Thievery;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinThievery = 0.0
		
			SinThievery += Game.QueryStat("Items Stolen") * 5
			SinThievery += Game.QueryStat("Items Pickpocketed") * 5
		
			Sins[0] = SinThievery
			Log("[Religion] Mara Sins: " + SinThievery + " for stealing")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Aggressive;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinAggresive = 0.0
		
			;Mara really doesn't like killing, assaulting, or threatening
			SinAggresive += Game.QueryStat("Murders") * 200
			SinAggresive += Game.QueryStat("Intimidations") * 50
			SinAggresive += Game.QueryStat("Assaults") * 25
			SinAggresive += Game.QueryStat("People Killed") * 5
			
			Sins[1] = SinAggresive
			Log("[Religion] Mara Sins: " + SinAggresive + " for intimidating, assaulting, or killing people")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Marriage;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinMarriage = 0.0
		
			;The player has called off their marriage
			if(RelationshipMarriage.GetStageDone(250))
				SinMarriage += 500
			endIf
			
			Sins[2] = SinMarriage
			Log("[Religion] Mara Sins: " + SinMarriage + " for calling off your wedding")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Sanguine;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinSanguine = 0.0
			
			;Worshipping Sanguine
			SinSanguine += DurDaedraSanguine * 10
			
			Sins[3] = SinSanguine
			Log("[Religion] Mara Sins: " + SinSanguine + " for worshipping Sanguine")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Sins
	elseif(Divine == DivineStendarr)
		float[] Sins = new float[5]
		
		;Sin Murder;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinMurder = 0.0
		
			;Stendarr is not fond of any crimes
			SinMurder += Game.QueryStat("Murders") * 60
			
			Sins[0] = SinMurder
			Log("[Religion] Stendarr Sins: " + SinMurder + " for murder")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Thievery;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinThievery = 0.0
		
			SinThievery += Game.QueryStat("Items Stolen") * 5
			SinThievery += Game.QueryStat("Items Pickpocketed") * 5
			SinThievery += Game.QueryStat("Horses Stolen") * 10
			
			Sins[1] = SinThievery
			Log("[Religion] Stendarr Sins: " + SinThievery + " for thieving")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Escape;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinEscape = 0.0
			
			SinEscape += Game.QueryStat("Jail Escapes") * 100
			SinEscape += Game.QueryStat("Eastmarch Bounty") * 0.5
			SinEscape += Game.QueryStat("Falkreath Bounty") * 0.5
			SinEscape += Game.QueryStat("Haafingar Bounty") * 0.5
			SinEscape += Game.QueryStat("Hjaalmarch Bounty") * 0.5
			SinEscape += Game.QueryStat("The Pale Bounty") * 0.5
			SinEscape += Game.QueryStat("The Reach Bounty") * 0.5
			SinEscape += Game.QueryStat("The Rift Bounty") * 0.5
			SinEscape += Game.QueryStat("Tribal Orcs Bounty") * 0.5
			SinEscape += Game.QueryStat("Whiterun Bounty") * 0.5
			SinEscape += Game.QueryStat("Winterhold Bounty") * 0.5
			
			;However, Stendarr is forgiving
			SinEscape -= Game.QueryStat("Days Jailed") * 15
			
			Sins[2] = SinEscape
			Log("[Religion] Stendarr Sins: " + SinEscape + " for escaping prosecution")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Rebellion;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinRebellion = 0.0
		
			;The player has joined the rebellion
			if(CW02B.GetStageDone(190) || CW02A.GetStageDone(220))
				SinRebellion += Game.QueryStat("Civil War Quests Completed") * 50
			endIf
			
			;The player has betrayed their oath and brought the Crown to Ulfric
			if(CW02A.GetStageDone(220))
				SinRebellion += 500
			endIf
			
			;If the player has killed the emperor
			if(DB11.GetStageDone(20))
				if(CW02A.GetStageDone(190) || CW02B.GetStageDone(220))
					SinRebellion += 3000
				else
					SinRebellion += 1500
				endIf
			endIf
			
			Sins[3] = SinRebellion
			Log("[Religion] Stendarr Sins: " + SinRebellion + " for working against the Legion and the Empire")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Threat;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinThreat = 0.0
		
			;Stendarr doesn't like vampires or werewolves, they're threats
			SinThreat += Game.QueryStat("Days as a Vampire") * 5
			SinThreat += Game.QueryStat("Days as a Werewolf") * 5
			SinThreat += Game.QueryStat("Necks Bitten") * 25
			SinThreat += Game.QueryStat("Mauls") * 25
			
			;If the player has joined the Volkihar Vampires
			if(DLC1VQ02.GetStageDone(190))
				SinThreat += Game.QueryStat("Dawnguard Quests Completed") * 75
			endIf
			
			Sins[4] = SinThreat
			Log("[Religion] Stendarr Sins: " + SinThreat + " for becoming a threat against the people")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Sins
	elseif(Divine == DivineTalos)
		float[] Sins = new float[3]
		
		;Sin Thieving;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinThievery = 0.0
			
			;Talos is not fond of many crimes
			SinThievery += Game.QueryStat("Items Stolen") * 15
			SinThievery += Game.QueryStat("Items Pickpocketed") * 15
			
			Sins[0] = SinThievery
			Log("[Religion] Talos Sins: " + SinThievery + " for thieving")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Combat;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinCombat = 0.0
		
			;Talos doesn't like dishonourable combat
			SinCombat += Game.QueryStat("Murders") * 75
			SinCombat += Game.QueryStat("Assaults") * 5
			SinCombat += Game.QueryStat("Sneak Attacks") * 10
			SinCombat += Game.QueryStat("Backstabs") * 50
			SinCombat += Game.QueryStat("The Dark Brotherhood Quests Completed") * 150
			
			Sins[1] = SinCombat
			Log("[Religion] Talos Sins: " + SinCombat + " for engaging in dishonourable combat")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Emperor;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinEmperor = 0.0
			
			;If the player has killed the emperor
			if(DB11.GetStageDone(20))
				SinEmperor += 2000
			endIf
			
			Sins[2] = SinEmperor
			Log("[Religion] Talos Sins: " + SinEmperor + " for killing the emperor")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Sins
	elseif(Divine == DivineZenithar)
		float[] Sins = new float[3]
		
		;Sin Murder;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinMurder = 0.0
		
			;Stendarr is not fond of any crimes
			SinMurder += Game.QueryStat("Murders") * 75
			SinMurder += Game.QueryStat("The Dark Brotherhood Quests Completed") * 100
			
			Sins[0] = SinMurder
			Log("[Religion] Zenithar Sins: " + SinMurder + " for murder")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Thievery;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinThievery = 0.0
		
			SinThievery += Game.QueryStat("Items Stolen") * 25
			SinThievery += Game.QueryStat("Items Pickpocketed") * 25
			SinThievery += Game.QueryStat("Horses Stolen") * 25
			SinThievery += Game.QueryStat("Thieves' Guild Quests Completed") * 100
			
			Sins[1] = SinThievery
			Log("[Religion] Zenithar Sins: " + SinThievery + " for thieving")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Sin Escape;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float SinEscape = 0.0
			
			SinEscape += Game.QueryStat("Jail Escapes") * 50
			SinEscape += Game.QueryStat("Eastmarch Bounty")
			SinEscape += Game.QueryStat("Falkreath Bounty")
			SinEscape += Game.QueryStat("Haafingar Bounty")
			SinEscape += Game.QueryStat("Hjaalmarch Bounty")
			SinEscape += Game.QueryStat("The Pale Bounty")
			SinEscape += Game.QueryStat("The Reach Bounty")
			SinEscape += Game.QueryStat("The Rift Bounty")
			SinEscape += Game.QueryStat("Tribal Orcs Bounty")
			SinEscape += Game.QueryStat("Whiterun Bounty")
			SinEscape += Game.QueryStat("Winterhold Bounty")
			
			SinEscape += Game.QueryStat("Bribes") * 25
			
			Sins[2] = SinEscape
			Log("[Religion] Zenithar Sins: " + SinEscape + " for escaping prosecution")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Sins
	endIf
	return new float[1]
endFunction

;Returns the value of the player's repentance
float Function GetDivinesRepentance(int Divine)
	Log("[Religion]Function Call GetDivinesRepentance: Divine-" + GetDeityName(PantheonDivines, Divine))
	if(Divine == DivineAkatosh)
		return RepentDivineAkatosh
	elseif(Divine == DivineArkay)
		return RepentDivineArkay
	elseif(Divine == DivineDibella)
		return RepentDivineDibella
	elseif(Divine == DivineJulianos)
		return RepentDivineJulianos
	elseif(Divine == DivineKynareth)
		return RepentDivineKynareth
	elseif(Divine == DivineMara)
		return RepentDivineMara
	elseif(Divine == DivineStendarr)
		return RepentDivineStendarr
	elseif(Divine == DivineTalos)
		return RepentDivineTalos
	elseif(Divine == DivineZenithar)
		return RepentDivineZenithar
	endIf
	return 0.0
endFunction

;Returns the value of the player's forgiveness
float Function GetDivinesForgiveness(int Divine)
	Log("[Religion]Function Call GetDivinesForgiveness: Divine-" + GetDeityName(PantheonDivines, Divine))
	if(Divine == DivineAkatosh)
		return ForgivenDivineAkatosh
	elseif(Divine == DivineArkay)
		return ForgivenDivineArkay
	elseif(Divine == DivineDibella)
		return ForgivenDivineDibella
	elseif(Divine == DivineJulianos)
		return ForgivenDivineJulianos
	elseif(Divine == DivineKynareth)
		return ForgivenDivineKynareth
	elseif(Divine == DivineMara)
		return ForgivenDivineMara
	elseif(Divine == DivineStendarr)
		return ForgivenDivineStendarr
	elseif(Divine == DivineTalos)
		return ForgivenDivineTalos
	elseif(Divine == DivineZenithar)
		return ForgivenDivineZenithar
	endIf
	return 0.0
endFunction

;Increments Repentance to increase total worth
Function UpdateDivinesRepentance(int Divine, float[] SinsArray)
	Log("[Religion]Function Call UpdateDivinesRepentance: Divine-" + GetDeityName(PantheonDivines, Divine))
	float Sins = GetDivinesSins(Divine, SinsArray)
	float Repentance = GetDivinesRepentance(Divine)
	
	if(Sins > Repentance)
		if(Sins - Repentance > 100)
			if(Divine == DivineAkatosh)
				RepentDivineAkatosh += 100
			elseif(Divine == DivineArkay)
				RepentDivineArkay += 100
			elseif(Divine == DivineDibella)
				RepentDivineDibella += 100
			elseif(Divine == DivineJulianos)
				RepentDivineJulianos += 100
			elseif(Divine == DivineKynareth)
				RepentDivineKynareth += 100
			elseif(Divine == DivineMara)
				RepentDivineMara += 100
			elseif(Divine == DivineStendarr)
				RepentDivineStendarr += 100
			elseif(Divine == DivineTalos)
				RepentDivineTalos += 100
			elseif(Divine == DivineZenithar)
				RepentDivineZenithar += 100
			endIf
		else
			if(Divine == DivineAkatosh)
				RepentDivineAkatosh = Sins
			elseif(Divine == DivineArkay)
				RepentDivineArkay = Sins
			elseif(Divine == DivineDibella)
				RepentDivineDibella = Sins
			elseif(Divine == DivineJulianos)
				RepentDivineJulianos = Sins
			elseif(Divine == DivineKynareth)
				RepentDivineKynareth = Sins
			elseif(Divine == DivineMara)
				RepentDivineMara = Sins
			elseif(Divine == DivineStendarr)
				RepentDivineStendarr = Sins
			elseif(Divine == DivineTalos)
				RepentDivineTalos = Sins
			elseif(Divine == DivineZenithar)
				RepentDivineZenithar = Sins
			endIf
		endIf
	endIf
endFunction

;Resets Repentance to 0, sets Forgiveness to make total worth positive
Function UpdateDivinesForgiveness(int Divine, float[] SinsArray)
	Log("[Religion]Function Call UpdateDivinesForgiveness: Divine-" + GetDeityName(PantheonDivines, Divine))
	float Sins = GetDivinesSins(Divine, SinsArray)
	
	if(Divine == DivineAkatosh)
		RepentDivineAkatosh = 0.0
		ForgivenDivineAkatosh = Sins
	elseif(Divine == DivineArkay)
		RepentDivineArkay = 0.0
		ForgivenDivineArkay = Sins
	elseif(Divine == DivineDibella)
		RepentDivineDibella = 0.0
		ForgivenDivineDibella = Sins
	elseif(Divine == DivineJulianos)
		RepentDivineJulianos = 0.0
		ForgivenDivineJulianos = Sins
	elseif(Divine == DivineKynareth)
		RepentDivineKynareth = 0.0
		ForgivenDivineKynareth = Sins
	elseif(Divine == DivineMara)
		RepentDivineMara = 0.0
		ForgivenDivineMara = Sins
	elseif(Divine == DivineStendarr)
		RepentDivineStendarr = 0.0
		ForgivenDivineStendarr = Sins
	elseif(Divine == DivineTalos)
		RepentDivineTalos = 0.0
		ForgivenDivineTalos = Sins
	elseif(Divine == DivineZenithar)
		RepentDivineZenithar = 0.0
		ForgivenDivineZenithar = Sins
	endIf
endFunction

;Returns the total worth the given daedra associates with the player
float Function GetDaedraWorth(int Daedra, float[] Amusement, float[] Disapproval)
	float TotalWorth = GetDaedraAmusement(Daedra, Amusement) - GetDaedraDisapproval(Daedra, Disapproval)
	Log("[Religion]Function Result GetDaedraWorth: Daedra-" + GetDeityName(PantheonDaedra, Daedra) + ", TotalWorth-" + TotalWorth)
	return TotalWorth
endFunction

;Returns the value of the interesting actions teh player has made
float Function GetDaedraInterest(int Daedra, float Amusement, float Disapproval)
	Log("[Religion]Function Call GetDaedraInterest: Daedra-" + GetDeityName(PantheonDaedra, Daedra))
	float Interest = Math.Pow(Math.Abs(Amusement + Disapproval), 0.5)
	if(Daedra == DaedraAzura)
		;The day is the 21st of Last Seed (8th)
		if(GameDay.GetValue() == 21 && GameMonth.GetValue() == 7)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 50
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 100
		;Race - Dark Elf
		if(GetListFromList(_R_ListRaces, RaceDarkElf).HasForm(PlayerRef.GetRace()))
			Interest += 500
		endIf
		;Skill - Enchanting
		if(PlayerRef.GetBaseAV("Enchanting") > 15)
			Interest += (PlayerRef.GetBaseAV("Enchanting") - 15) * 50
		endIf
		;Other Daedra Worship
		Interest += DurDaedraBoethiah * 10
		Interest += DurDaedraClavicus * 10
		Interest += DurDaedraHermaeus * 10
		Interest += DurDaedraHircine * 10
		Interest += DurDaedraMalacath * 10
		Interest += DurDaedraMehrunes * 10
		Interest += DurDaedraMephala * 10
		Interest += DurDaedraMeridia * 10
		Interest += DurDaedraMolagBal * 10
		Interest += DurDaedraNamira * 10
		Interest += DurDaedraNocturnal * 10
		Interest += DurDaedraPeryite * 10
		Interest += DurDaedraSanguine * 10
		Interest += DurDaedraSheogorath * 10
		Interest += DurDaedraVaermina * 10
	elseif(Daedra == DaedraBoethiah)
		;The day is the 2nd of Sun's Dusk (11th)
		if(GameDay.GetValue() == 2 && GameMonth.GetValue() == 10)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 100
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 150
		;Lifetime Bounty
		Interest += Game.QueryStat("Total Lifetime Bounty")
		;People Killed
		Interest += Game.QueryStat("People Killed") * 5
		;Skills - Sneak, Speechcraft, Illusion
		if(PlayerRef.GetBaseAV("Sneak") > 15)
			Interest += (PlayerRef.GetBaseAV("Sneak") - 15) * 25
		endIf
		if(PlayerRef.GetBaseAV("Speechcraft") > 15)
			Interest += (PlayerRef.GetBaseAV("Speechcraft") - 15) * 25
		endIf
		if(PlayerRef.GetBaseAV("Illusion") > 15)
			Interest += (PlayerRef.GetBaseAV("Illusion") - 15) * 25
		endIf
	elseif(Daedra == DaedraClavicus)
		;The day is the 1st of Morning Star (1st)
		if(GameDay.GetValue() == 1 && GameMonth.GetValue() == 0)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 50
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 250
		;Soul Gems Filled
		Interest += Game.QueryStat("Souls Trapped") * 5
		;Soul Gems Used
		Interest += Game.QueryStat("Soul Gems Used") * 5
		;Vampirism
		if(PlayerRef.HasKeyword(Vampire))
			Interest += 500
		endIf
	elseif(Daedra == DaedraHermaeus)
		;The day is the 5th of First Seed (3rd)
		if(GameDay.GetValue() == 5 && GameMonth.GetValue() == 2)
			Interest += 10000
		endIf
		;Player Level * 2
		Interest += PlayerRef.GetLevel() * 100
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 150
		;Books Read
		Interest += Game.QueryStat("Books Read") * 5
	elseif(Daedra == DaedraHircine)
		;The day is the 5th of Mid Hear (6th)
		if(GameDay.GetValue() == 5 && GameMonth.GetValue() == 5)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 50
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 150
		;Skills - Marksman, LightArmor, Stamina
		if(PlayerRef.GetBaseAV("Marksman") > 15)
			Interest += (PlayerRef.GetBaseAV("Marksman") - 15) * 25
		endIf
		if(PlayerRef.GetBaseAV("LightArmor") > 15)
			Interest += (PlayerRef.GetBaseAV("LightArmor") - 15) * 25
		endIf
		if(PlayerRef.GetBaseAV("Stamina") > 100)
			Interest += (PlayerRef.GetBaseAV("Stamina") - 100) * 25
		endIf
	elseif(Daedra == DaedraMalacath)
		;The day is the 8th of Frost Fall (10th)
		if(GameDay.GetValue() == 8 && GameMonth.GetValue() == 9)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 50
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 150
		;Being an Orc
		if(GetListFromList(_R_ListRaces, RaceOrc).HasForm(PlayerRef.GetRace()))
			Interest += 500
		endIf
		;Combat Skills
		if(PlayerRef.GetBaseAV("OneHanded") > 15)
			Interest += (PlayerRef.GetBaseAV("OneHanded") - 15) * 5
		endIf
		if(PlayerRef.GetBaseAV("TwoHanded") > 15)
			Interest += (PlayerRef.GetBaseAV("TwoHanded") - 15) * 15
		endIf
		if(PlayerRef.GetBaseAV("Block") > 15)
			Interest += (PlayerRef.GetBaseAV("Block") - 15) * 10
		endIf
		if(PlayerRef.GetBaseAV("Smithing") > 15)
			Interest += (PlayerRef.GetBaseAV("Smithing") - 15) * 25
		endIf
		if(PlayerRef.GetBaseAV("HeavyArmor") > 15)
			Interest += (PlayerRef.GetBaseAV("HeavyArmor") - 15) * 15
		endIf
		if(PlayerRef.GetBaseAV("Marksman") > 15)
			Interest += (PlayerRef.GetBaseAV("Marksman") - 15) * 5
		endIf
	elseif(Daedra == DaedraMehrunes)
		;The day is the 20th of Sun's Dusk (11th)
		if(GameDay.GetValue() == 20 && GameMonth.GetValue() == 10)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 50
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 150
		;Killing all the things
		Interest += Game.QueryStat("People Killed")
		Interest += Game.QueryStat("Animals Killed")
		Interest += Game.QueryStat("Creatures Killed") * 5
		Interest += Game.QueryStat("Undead Killed") * 5
		Interest += Game.QueryStat("Daedra Killed") * 25
		Interest += Game.QueryStat("Automatons Killed") * 5
		Interest += Game.QueryStat("Dragon Souls Collected") * 30
		Interest += Game.QueryStat("Bunnies Slaughtered") * 10
		;All Magic Skills except Restoration
		if(PlayerRef.GetBaseAV("Alteration") > 15)
			Interest += (PlayerRef.GetBaseAV("Alteration") - 15) * 10
		endIf
		if(PlayerRef.GetBaseAV("Conjuration") > 15)
			Interest += (PlayerRef.GetBaseAV("Conjuration") - 15) * 30
		endIf
		if(PlayerRef.GetBaseAV("Destruction") > 15)
			Interest += (PlayerRef.GetBaseAV("Destruction") - 15) * 25
		endIf
		if(PlayerRef.GetBaseAV("Illusion") > 15)
			Interest += (PlayerRef.GetBaseAV("Illusion") - 15) * 15
		endIf
	elseif(Daedra == DaedraMephala)
		;The day is the 13th of Frost Fall (10th)
		if(GameDay.GetValue() == 13 && GameMonth.GetValue() == 9)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 50
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 150
		;People killed
		Interest += Game.QueryStat("People Killed") * 5
		;Skills - Speechcraft, Sneak, Alchemy
		if(PlayerRef.GetBaseAV("Sneak") > 15)
			Interest += (PlayerRef.GetBaseAV("Sneak") - 15) * 25
		endIf
		if(PlayerRef.GetBaseAV("Speechcraft") > 15)
			Interest += (PlayerRef.GetBaseAV("Speechcraft") - 15) * 25
		endIf
		if(PlayerRef.GetBaseAV("Alchemy") > 15)
			Interest += (PlayerRef.GetBaseAV("Alchemy") - 15) * 25
		endIf
	elseif(Daedra == DaedraMeridia)
		;The day is the 13th of Morning Star (1st)
		if(GameDay.GetValue() == 13 && GameMonth.GetValue() == 0)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 50
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 150
		;The player has killed Daedra
		Interest += Game.QueryStat("Daedra Killed") * 50
		;Magicka, Restoration
		if(PlayerRef.GetBaseAV("Restoration") > 15)
			Interest += (PlayerRef.GetBaseAV("Restoration") - 15) * 25
		endIf
		if(PlayerRef.GetBaseAV("Magicka") > 100)
			Interest += (PlayerRef.GetBaseAV("Magicka") - 100) * 25
		endIf
	elseif(Daedra == DaedraMolagBal)
		;The day is the 20th of Evening Star (12th)
		if(GameDay.GetValue() == 20 && GameMonth.GetValue() == 11)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 50
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 150
		;Kill all the things, again!
		Interest += Game.QueryStat("People Killed")
		Interest += Game.QueryStat("Animals Killed")
		Interest += Game.QueryStat("Creatures Killed") * 7
		Interest += Game.QueryStat("Undead Killed") * 7
		Interest += Game.QueryStat("Daedra Killed") * 30
		Interest += Game.QueryStat("Automatons Killed") * 7
		Interest += Game.QueryStat("Dragon Souls Collected") * 25
		Interest += Game.QueryStat("Bunnies Slaughtered") * 15
	elseif(Daedra == DaedraNamira)
		;The day is the 9th of Second Seed (5th)
		if(GameDay.GetValue() == 9 && GameMonth.GetValue() == 4)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 50
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 150
		;The player has sneak attacked and backstabbed most people
		Interest += Game.QueryStat("Sneak Attacks") * 5
		Interest += Game.QueryStat("Backstabs") * 15
		;The player has pickpocketed people
		Interest += Game.QueryStat("Items Pickpocketed") * 3
		;Stealth
		if(PlayerRef.GetBaseAV("Sneak") > 15)
			Interest += (PlayerRef.GetBaseAV("Sneak") - 15) * 40
		endIf
	elseif(Daedra == DaedraNocturnal)
		;The day is the 3rd of Hearthfire (9th)
		if(GameDay.GetValue() == 3 && GameMonth.GetValue() == 8)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 50
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 150
	elseif(Daedra == DaedraPeryite)
		;The day is the 9th of Rain's Hand (4th)
		if(GameDay.GetValue() == 9 && GameMonth.GetValue() == 3)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 50
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 150
		;All quests completed
		Interest += Game.QueryStat("Quests Completed") * 20
	elseif(Daedra == DaedraSanguine)
		;The day is the 16th of Sun's Dawn (2nd)
		if(GameDay.GetValue() == 16 && GameMonth.GetValue() == 1)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 50
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 150
	elseif(Daedra == DaedraSheogorath)
		;The day is the 2nd of Sun's Dawn (2nd)
		if(GameDay.GetValue() == 2 && GameMonth.GetValue() == 1)
			Interest += 10000
		endIf
		;If it's stormy, then Sheogorath is about
		if(Weather.GetCurrentWeather().GetClassification() == 2)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 50
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 200
		;The player has worshipped Sheogorath
		Interest += DurDaedraSheogorath * 24
	elseif(Daedra == DaedraVaermina)
		;The day is the 10th of Sun's Height (7th)
		if(GameDay.GetValue() == 10 && GameMonth.GetValue() == 6)
			Interest += 10000
		endIf
		;Player Level
		Interest += PlayerRef.GetLevel() * 50
		;Daedric Artifacts Collected
		Interest += Game.QueryStat("Daedric Quests Completed") * 150
		;Alchemy, Illusion
		if(PlayerRef.GetBaseAV("Alchemy") > 15)
			Interest += (PlayerRef.GetBaseAV("Alchemy") - 15) * 40
		endIf
		if(PlayerRef.GetBaseAV("Illusion") > 15)
			Interest += (PlayerRef.GetBaseAV("Illusion") - 15) * 40
		endIf
	endIf
	return Interest
endFunction

;Returns the value of the amusing actions the player has made
float Function GetDaedraAmusement(int Daedra, float[] AmusementArray)
	Log("[Religion]Function Call GetDaedraAmusement: Daedra-" + GetDeityName(PantheonDaedra, Daedra))
	float Amusement = SumArray(AmusementArray)
	Log("[Religion]Function Result GetDaedraAmusement: Daedra-" + GetDeityName(PantheonDaedra, Daedra) + ", Amusement-" + Amusement)
	return Amusement
endFunction

;Returns an array of the amusing actions the player has made
float[] Function GetDaedraAmusementArray(int Daedra)
	Log("[Religion]Function Call GetDaedraAmusementArray: Daedra-" + GetDeityName(PantheonDaedra, Daedra))
	if(Daedra == DaedraAzura)
		float[] Amusement = new float[5]
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
		
			;The player has worshipped Azura
			AmusementPiety += PietyDaedraAzura * 72
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Azura Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Vanity;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementVanity = 0.0
		
			;The player is vain and carries a lot of valuables
			AmusementVanity += (PlayerRef.GetItemCount(ArmorJewelry) - PlayerRef.GetItemCount(JewelryExpensive)) * 10
			AmusementVanity += PlayerRef.GetItemCount(JewelryExpensive) * 25
			AmusementVanity += PlayerRef.GetGoldAmount()
		
			Amusement[1] = AmusementVanity
			Log("[Religion] Azura Amusement: " + AmusementVanity + " for being vain")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Dunmer;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementDunmer = 0.0
		
			_R_QuestDunmer.Start()
			while(_R_QuestDunmer.IsStarting())
				Utility.WaitMenuMode(0.1)
			endWhile
			int DunmerIndex = 0
			DunmerRelation = 0.0
			while(DunmerIndex < DunmerAliases.Length)
				Actor Dunmer = DunmerAliases[DunmerIndex].GetActorRef()
				if(Dunmer)
					DunmerRelation += Dunmer.GetRelationShipRank(PlayerRef)
				endIf
				DunmerIndex += 1
			endWhile
			_R_QuestDunmer.Stop()
			
			;The player has helped Dark Elves
			if(DunmerRelation > 0)
				AmusementDunmer += DunmerRelation * 50
			endIf
			
			Amusement[2] = AmusementDunmer
			Log("[Religion] Azura Amusement: " + AmusementDunmer + " for helping dark elves")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0	
			
			;The player has cleansed Azura's Star
			if(DA01.GetStageDone(100))
				AmusementQuest += 1500
			endIf
		
			Amusement[3] = AmusementQuest
			Log("[Religion] Azura Amusement: " + AmusementQuest + " for being completing her quest")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Allies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementAllies = 0.0
			
			;The player has worshipped Azura's Allies
			AmusementAllies += DurDaedraMolagBal * 10
			
			Amusement[4] = AmusementAllies
			Log("[Religion] Azura Amusement: " + AmusementAllies + " for worshipping her allies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraBoethiah)
		float[] Amusement = new float[5]
	
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
		
			;The player has worshipped Boethiah
			AmusementPiety += PietyDaedraBoethiah * 20
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Boethiah Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Assassination;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementAssassination = 0.0
		
			;The player partakes in stealthy murder
			AmusementAssassination += Game.QueryStat("Murders") * 15
			AmusementAssassination += Game.QueryStat("Sneak Attacks") * 5
			AmusementAssassination += Game.QueryStat("Backstabs") * 25
			
			;The player has assassinated the Emperor
			if(DB11.GetStageDone(20))
				AmusementAssassination += 750
			endIf
			
			Amusement[1] = AmusementAssassination
			Log("[Religion] Boethiah Amusement: " + AmusementAssassination + " for assassinating and attacking stealthily")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Treason;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementTreason = 0.0
				
			;The player has betrayed their oath and brought the Crown to the opposing ruler
			if(CW02A.GetStageDone(220) || CW02B.GetStageDone(220))
				AmusementTreason += 500
			endIf
			
			;The player assassinated the emperor after giving their oath
			if(DB11.GetStageDone(20) && (CW02A.GetStageDone(190) || CW02B.GetStageDone(220)))
				AmusementTreason += 1000
			endIf
			
			;The player has joined the Volkihar Vampires and betrayed the Dawnguard
			if(DLC1VQ02.GetStageDone(190))
				AmusementTreason += 250
			endIf
			
			;The player has killed Paarthurnax
			if(MQPaarthurnax.GetStageDone(20))
				AmusementTreason += 500
			endIf
			
			Amusement[2] = AmusementTreason
			Log("[Religion] Boethiah Amusement: " + AmusementTreason + " for performing treason")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Rebellion;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementRebellion = 0.0
		
			;The player has joined the Stormcloak rebellion
			if(CW02B.GetStageDone(190) || CW02A.GetStageDone(220))
				AmusementRebellion += Game.QueryStat("Civil War Quests Completed") * 25
			endIf
			
			;The player is a known criminal
			AmusementRebellion += Game.QueryStat("Eastmarch Bounty") * 0.5
			AmusementRebellion += Game.QueryStat("Falkreath Bounty") * 0.5
			AmusementRebellion += Game.QueryStat("Haafingar Bounty") * 0.5
			AmusementRebellion += Game.QueryStat("Hjaalmarch Bounty") * 0.5
			AmusementRebellion += Game.QueryStat("The Pale Bounty") * 0.5
			AmusementRebellion += Game.QueryStat("The Reach Bounty") * 0.5
			AmusementRebellion += Game.QueryStat("The Rift Bounty") * 0.5
			AmusementRebellion += Game.QueryStat("Tribal Orcs Bounty") * 0.5
			AmusementRebellion += Game.QueryStat("Whiterun Bounty") * 0.5
			AmusementRebellion += Game.QueryStat("Winterhold Bounty") * 0.5
			
			Amusement[3] = AmusementRebellion
			Log("[Religion] Boethiah Amusement: " + AmusementRebellion + " for rebelling against authority")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0
			
			;The player has retrieved the Ebony Mail
			if(DA02.GetStageDone(40))
				AmusementQuest += 1000
			;The player has killed a friend and the cultists
			elseif(DA02.GetStageDone(10) && DA02.GetStageDone(15))
				AmusementQuest += 500
			endIf
			
			Amusement[4] = AmusementQuest
			Log("[Religion] Boethiah Amusement: " + AmusementQuest + " for completing her quests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraClavicus)
		float[] Amusement = new float[3]
		
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
			
			;The player has worshipped Clavicus Vile
			AmusementPiety += PietyDaedraClavicus * 30
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Clavicus Vile Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Greed;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementGreed = 0.0
		
			;The player has asked Clavicus for wishes
			AmusementGreed += GiftAskCountDaedraClavicus * 50
			
			;The player has Daedric Gifts
			AmusementGreed += HasSpellFromList(_R_ListBoonSpellDaedra) * 150
			
			;The player has Daedric Artifacts
			AmusementGreed += PlayerRef.GetItemCount(DaedricArtifact) * 50
			
			Amusement[1] = AmusementGreed
			Log("[Religion] Clavicus Vile Amusement: " + AmusementGreed + " for being power hungry")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0
			
			if(DA03.GetStageDone(200))
				;The player returned the axe
				AmusementQuest += 500
			elseif(DA03.GetStageDone(205))
				;The player killed Barbas
				AmusementQuest += 1500
			endIf
			
			Amusement[2] = AmusementQuest
			Log("[Religion] Clavicus Vile Amusement: " + AmusementQuest + " for completing his quests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraHermaeus)
		float[] Amusement = new float[5]
		
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
		
			;The player has worshipped Hermaeus Mora
			AmusementPiety += PietyDaedraHermaeus * 10
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Hermaeus Mora Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Knowledge;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementKnowledge = 0.0
		
			;The player has gotten knowledge from skill books, spell tomes, and trainers
			AmusementKnowledge += Game.QueryStat("Skill Books Read") * 15
			AmusementKnowledge += Game.QueryStat("Training Sessions") * 10
			AmusementKnowledge += Game.QueryStat("Spells Learned") * 5
			
			Amusement[1] = AmusementKnowledge
			Log("[Religion] Hermaeus Mora Amusement: " + AmusementKnowledge + " for being knowledgeable")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Forbidden Knowledge;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementForbidden = 0.0
		
			;The player has obtained the rare power of the Thu'um
			AmusementForbidden += Game.QueryStat("Words of Power Unlocked") * 25
		
			;The player has learned powerful and ancient spells
			if(MGRitual01.GetStageDone(200)) ;Destruction
				AmusementForbidden += 200
			endIf
			if(MGRitual02.GetStageDone(200)) ;Illusion
				AmusementForbidden += 200
			endIf
			if(MGRitual03.GetStageDone(200)) ;Conjuration
				AmusementForbidden += 200
			endIf
			if(MGRitual04.GetStageDone(200)) ;Restoration
				AmusementForbidden += 200
			endIf
			if(MGRitual05.GetStageDone(200)) ;Alteration
				AmusementForbidden += 200
			endIf
			
			;The player has learned ancient Dwemer stuff
			if(MS04.GetStageDone(900))
				AmusementForbidden += 150
			endIf
			
			;The player has obtained the Dragon Elder Scroll
			if(PlayerRef.GetItemCount(DA04ElderScroll) > 0 || PlayerRef.GetItemCount(DA04ElderScrollFurled) > 0 || PlayerRef.GetItemCount(DLC1ElderScrollDragon) > 0)
				AmusementForbidden += 250
			endIf
			;The player has obtained the Blood Elder Scroll
			if(PlayerRef.GetItemCount(DLC1ElderScrollBlood) > 0)
				AmusementForbidden += 250
			endIf
			;The Player has obtained the Sun Elder Scroll
			if(PlayerRef.GetItemCount(DLC1ElderScrollSun) > 0)
				AmusementForbidden += 250
			endIf
			
			Amusement[2] = AmusementForbidden
			Log("[Religion] Hermaeus Mora Amusement: " + AmusementForbidden + " for learning forbidden or hidden knowledge")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0
			
			;The player has obtained the Ogma Infinium
			if(DA04.GetStageDone(100))
				AmusementQuest += 750
			endIf
			
			;The player has helped Mora obtain the Skaal's Secrets
			if(DLC2MQ05.GetStageDone(1000))
				AmusementQuest += 750
			endIf
			
			Amusement[3] = AmusementQuest
			Log("[Religion] Hermaeus Mora Amusement: " + AmusementQuest + " for completing his quests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Allies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementAllies = 0.0
			
			;The player has worshipped mephala
			AmusementAllies += DurDaedraMephala * 10
			
			Amusement[4] = AmusementAllies
			Log("[Religion] Hermaeus Mora Amusement: " + AmusementAllies + " for worshipping his allies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraHircine)
		float[] Amusement = new float[5]
		
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
		
			;Worship
			AmusementPiety += PietyDaedraHircine * 25
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Hircine Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Hunt;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementHunt = 0.0
		
			;Killing Easy Stuff, Bandits, Animals subtracted by Player Level
			AmusementHunt += (Game.QueryStat("People Killed") + Game.QueryStat("Animals Killed"))/Math.Pow(PlayerRef.GetLevel(), 0.5)
			
			;Dungeons Cleared
			AmusementHunt += Game.QueryStat("Dungeons Cleared") * 50
			
			Amusement[1] = AmusementHunt
			Log("[Religion] Hircine Amusement: " + AmusementHunt + " for partaking in normal hunts")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Survive;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementSurvive = 0.0
		
			;Having a bounty, and surviving the pursuit
			AmusementSurvive += Game.QueryStat("Eastmarch Bounty") * 0.1
			AmusementSurvive += Game.QueryStat("Falkreath Bounty") * 0.1
			AmusementSurvive += Game.QueryStat("Haafingar Bounty") * 0.1
			AmusementSurvive += Game.QueryStat("Hjaalmarch Bounty") * 0.1
			AmusementSurvive += Game.QueryStat("The Pale Bounty") * 0.1
			AmusementSurvive += Game.QueryStat("The Reach Bounty") * 0.1
			AmusementSurvive += Game.QueryStat("The Rift Bounty") * 0.1
			AmusementSurvive += Game.QueryStat("Tribal Orcs Bounty") * 0.1
			AmusementSurvive += Game.QueryStat("Whiterun Bounty") * 0.1
			AmusementSurvive += Game.QueryStat("Winterhold Bounty") * 0.1
			
			AmusementSurvive += Game.QueryStat("Total Lifetime Bounty") * 0.01
			
			Amusement[2] = AmusementSurvive
			Log("[Religion] Hircine Amusement: " + AmusementSurvive + " for surviving the hunt")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Pursuit;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPursue = 0.0
		
			;Pursuing enemies above the player's level, Dragons, Automatons, Draugr, Daedra, Divided by Player Level
			AmusementPursue += 10 * (Game.QueryStat("Creatures Killed") + (Game.QueryStat("Undead Killed") * 3) + (Game.QueryStat("Daedra Killed") * 7) + (Game.QueryStat("Automatons Killed") * 5) + (Game.QueryStat("Dragon Souls Collected") * 10))/Math.Pow(PlayerRef.GetLevel(), 0.5)
			
			Amusement[3] = AmusementPursue
			Log("[Religion] Hircine Amusement: " + AmusementPursue + " for recklessly pursuing a great hunt")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementLycanthropy = 0.0
			
			;Daedric Quest
			if(DA05.GetStageDone(100))
				AmusementLycanthropy += 750
			elseif(DA05.GetStageDone(105))
				AmusementLycanthropy += 250
			endIf
		
			;Being a Werewolf
			AmusementLycanthropy += Game.QueryStat("Days as a Werewolf") * 10
		
			Amusement[4] = AmusementLycanthropy
			Log("[Religion] Hircine Amusement: " + AmusementLycanthropy + " for being a lycanthrop")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraMalacath)
		float[] Amusement = new float[6]
		
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
		
			;The player has worshipped Malacath
			AmusementPiety += PietyDaedraMalacath * 30
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Malacath Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Strength;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementStrength = 0.0
		
			;The player has increased health and stamina often when leveling
			float StrengthPool = (PlayerRef.GetBaseAV("Health") + PlayerRef.GetBaseAV("Stamina") - 200) - 5 * PlayerRef.GetLevel()
			if(StrengthPool > 0)
				AmusementStrength += StrengthPool * 10
			endIf
			
			;RABBITS! Evil creatures!
			AmusementStrength += Game.QueryStat("Bunnies Slaughtered") * 50
		
			Amusement[1] = AmusementStrength
			Log("[Religion] Malacath Amusement: " + AmusementStrength + " for showing strength")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Scorned;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementScorned = 0.0
		
			;The player has been jailed
			AmusementScorned += Game.QueryStat("Days Jailed") * 50
			
			;The player is notorious
			AmusementScorned += Game.QueryStat("Total Lifetime Bounty")
			
			Amusement[2] = AmusementScorned
			Log("[Religion] Malacath Amusement: " + AmusementScorned + " for being scorned by people")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Orcs;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementOrcs = 0.0
		
			;The player has helped orcs
			_R_QuestOrcs.Start()
			while(_R_QuestOrcs.IsStarting())
				Utility.WaitMenuMode(0.1)
			endWhile
			int OrcIndex = 0
			OrsimerRelation = 0.0
			while(OrcIndex < OrcAliases.Length)
				Actor Orc = OrcAliases[OrcIndex].GetActorRef()
				if(Orc)
					OrsimerRelation += Orc.GetRelationShipRank(PlayerRef)
				endIf
				OrcIndex += 1
			endWhile
			_R_QuestOrcs.Stop()
			
			if(OrsimerRelation > 0)
				AmusementOrcs += OrsimerRelation * 20
			endIf
			
			Amusement[3] = AmusementOrcs
			Log("[Religion] Malacath Amusement: " + AmusementOrcs + " for helping Orcs and fighting their enemies")	
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0
			
			;The player has retrieved Volendrung
			if(DA06.GetStageDone(200))
				AmusementQuest += 1000
			endIf
			
			Amusement[4] = AmusementQuest
			Log("[Religion] Malacath Amusement: " + AmusementQuest + " for completing his quest")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Allies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementAllies = 0.0
			
			;The player has worshipped Malacath's Allies
			AmusementAllies += DurDaedraMephala * 10
			
			Amusement[5] = AmusementAllies
			Log("[Religion] Malacath Amusement: " + AmusementAllies + " for worshipping his allies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraMehrunes)
		float[] Amusement = new float[5]
		
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
			
			;The player has worshipped Dagon
			AmusementPiety += PietyDaedraMehrunes * 35
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Mehrunes Dagon Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Destruction;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementDestruction = 0.0
			
			;The player has killed humans
			AmusementDestruction += Game.QueryStat("People Killed")
			AmusementDestruction += Game.QueryStat("Murders") * 3
			AmusementDestruction += Game.QueryStat("Mauls") * 10
			
			;The player has soul-trapped things
			AmusementDestruction += Game.QueryStat("Souls Trapped") * 5
			
			Amusement[1] = AmusementDestruction
			Log("[Religion] Mehrunes Dagon Amusement: " + AmusementDestruction + " for being destructive towards humanity and mortals")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Change;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementChange = 0.0
			
			;The player has joined the Stormcloaks, leading to a bloody revolution
			if(CW02B.GetStageDone(190) || CW02A.GetStageDone(220))
				AmusementChange += Game.QueryStat("Civil War Quests Completed") * 50
			endIf
			
			;The player has joined the Volkihar Vampires, leading to a very bloody revolution
			if(DLC1VQ02.GetStageDone(190))
				AmusementChange += Game.QueryStat("Dawnguard Quests Completed") * 100
			endIf
			
			Amusement[2] = AmusementChange
			Log("[Religion] Mehrunes Dagon Amusement: " + AmusementChange + " for causing bloody change")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Ambition;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementAmbition = 0.0
			
			;The player has become the thane in some holds
			if(FreeformRiftenThane.GetStage() > 20) ;Thane of the Rift
				AmusementAmbition += 200
			endIf
			if(Favor250.GetStageDone(25)) ;Thane of the Reach
				AmusementAmbition += 200
			endIf
			if(Favor252.GetStageDone(25)) ;Thane of Haafingar
				AmusementAmbition += 200
			endIf
			if(Favor253.GetStageDone(25)) ;Thane of Whiterun
				AmusementAmbition += 200
			endIf
			if(Favor254.GetStageDone(25)) ;Thane of Eastmarch
				AmusementAmbition += 200
			endIf
			
			if(Favor255.GetStageDone(25)) ;Thane of Hjaalmarch
				AmusementAmbition += 100
			endIf
			if(Favor256.GetStageDone(25)) ;Thane of the Pale
				AmusementAmbition += 100
			endIf
			if(Favor257.GetStageDone(25)) ;Thane of Winterhold
				AmusementAmbition += 100
			endIf
			if(Favor258.GetStageDone(25)) ;Thane of Falkreath
				AmusementAmbition += 100
			endIf
			
			;The player has become the leader of some guilds
			if(MG08.GetStage() > 50) ;Archmage
				AmusementAmbition += 500
			endIf
			if(C06.GetStage() > 70) ;Companions
				AmusementAmbition += 500
			endIf
			if(DB11.GetStage() >= 200) ;Dark Brotherhood
				AmusementAmbition += 500
			endIf
			if(TGLeadership.GetStageDone(40)) ;Thieves Guild
				AmusementAmbition += 500
			endIf
			
			Amusement[3] = AmusementAmbition
			Log("[Religion] Mehrunes Dagon Amusement: " + AmusementAmbition + " for being ambition")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0
			
			;The player has retrieved Dagon's Razor
			if(DA07.GetStageDone(100))
				AmusementQuest += 1000
			endIf
			
			Amusement[4] = AmusementQuest
			Log("[Religion] Mehrunes Dagon Amusement: " + AmusementQuest + " for completing his quests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraMephala)
		float[] Amusement = new float[6]
		
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
			
			;The player has worshipped Mephala
			AmusementPiety += PietyDaedraMephala * 30
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Mephala Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Assassination;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementAssassination = 0.0
			
			;The player partakes in stealthy murder
			AmusementAssassination += Game.QueryStat("Murders") * 15
			AmusementAssassination += Game.QueryStat("Sneak Attacks") * 5
			AmusementAssassination += Game.QueryStat("Backstabs") * 25
			
			;The player has assassinated the Emperor
			if(DB11.GetStageDone(20))
				AmusementAssassination += 1000
			endIf
			
			;The player uses poison
			AmusementAssassination += Game.QueryStat("Poisons Used") * 5
			
			Amusement[1] = AmusementAssassination
			Log("[Religion] Mephala Amusement: " + AmusementAssassination + " for assassinating and attacking stealthily")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Deceit;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementDeceit = 0.0
			
			;The player persuades, bribes, and intimidates
			AmusementDeceit += Game.QueryStat("Persuasions") * 5
			AmusementDeceit += Game.QueryStat("Bribes") * 15
			AmusementDeceit += Game.QueryStat("Intimidations") * 10
			
			;Thieves Guild City Quests, and Caravan Quest
			if(TGFenceCaravan.GetStage() > 30) ;Caravan Quest
				AmusementDeceit += 100
			endIf
			if(TGTQ01.GetStage() > 40) ;Markarth
				AmusementDeceit += 150
			endIf
			if(TGTQ02.GetStage() > 30) ;Solitude
				AmusementDeceit += 150
			endIf
			if(TGTQ03.GetStage() > 50) ;Whiterun
				AmusementDeceit += 150
			endIf
			if(TGTQ04.GetStage() > 70) ;Windhelm
				AmusementDeceit += 150
			endIf
			
			Amusement[2] = AmusementDeceit
			Log("[Religion] Mephala Amusement: " + AmusementDeceit + " for being deceitful")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Betrayal;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementBetrayal = 0.0
			
			;Decietful Quests:
			;Namira's Quest - Killed the priest of Arkay
			if(DA11.GetStageDone(100) || DA11.GetStageDone(500))
				AmusementBetrayal += 150
			endIf
			;Boethiah's Quest - Killed an ally
			if(DA02.GetStageDone(10) && DA02.GetStageDone(15))
				AmusementBetrayal += 500
			endIf
			;Killed Astrid in the beginning
			if(DB02.GetStageDone(220))
				AmusementBetrayal += 500
			endIf
			;Betrayed Silus in Mehrunes Quest
			if(DA07.GetStageDone(80))
				AmusementBetrayal += 150
			endIf
			;Betrayed Erandur in Vaermina's Quest
			if(!DA16.GetStageDone(198) && DA16.GetStageDone(200))
				AmusementBetrayal += 150
			endIf
			;Killed Barbas in Vile's Quest
			if(DA03.GetStageDone(205))
				;The player killed Barbas
				AmusementBetrayal += 150
			endIf
			;Killing Paarthurnax
			if(MQPaarthurnax.GetStageDone(20))
				AmusementBetrayal += 500
			endIf
			;If the player retrieved the Ebony Blade and killed 10 people to restore it's power
			if(DA08.GetStageDone(80))
				AmusementBetrayal += 2000
			endIf
			
			Amusement[3] = AmusementBetrayal
			Log("[Religion] Mephala Amusement: " + AmusementDeceit + " for betraying allies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0
			
			;If the player has just retrieved the Ebony Blade
			if(DA08.GetStageDone(60))
				AmusementQuest += 500
			endIf
		
			Amusement[4] = AmusementQuest
			Log("[Religion] Mephala Amusement: " + AmusementQuest + " for completing her quests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Allies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementAllies = 0.0
			
			;The player has worshipped Hermaeus Mora
			AmusementAllies += DurDaedraHermaeus * 10
			;The player has worshipped Malacath
			AmusementAllies += DurDaedraMalacath * 10
			
			Amusement[5] = AmusementAllies
			Log("[Religion] Mephala Amusement: " + AmusementAllies + " for worshipping her allies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraMeridia)
		float[] Amusement = new float[3]
		
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
			
			;The player has worshipped Meridia
			AmusementPiety += PietyDaedraMeridia * 50
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Meridia Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Undead;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementUndead = 0.0
			
			;The player has slayed undead
			AmusementUndead += Game.QueryStat("Undead Killed") * 5
			
			;The player has joined the Dawnguard
			if(DLC1VQ02.GetStageDone(180))
				AmusementUndead += Game.QueryStat("Dawnguard Quests Completed") * 200
			endIf
			
			Amusement[1] = AmusementUndead
			Log("[Religion] Meridia Amusement: " + AmusementUndead + " for fighting undead")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0
			
			;The player has retrieved Dawnbreaker
			if(DA09.GetStageDone(410))
				AmusementQuest += 1500
			endIf
			
			Amusement[2] = AmusementQuest
			Log("[Religion] Meridia Amusement: " + AmusementQuest + " for completing her quest")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraMolagBal)
		float[] Amusement = new float[6]
		
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
			
			;The player has worshipped Molag Bal
			AmusementPiety += PietyDaedraMephala * 35
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Molag Bal Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Domination;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementDomination = 0.0
			
			;The player has killed humans, especially civilians, and has soul trapped creatures
			AmusementDomination += Game.QueryStat("People Killed") * 2
			AmusementDomination += Game.QueryStat("Murders") * 5
			AmusementDomination += Game.QueryStat("Mauls") * 10
			AmusementDomination += Game.QueryStat("Souls Trapped") * 3
			
			;The player intimidates people
			AmusementDomination += Game.QueryStat("Intimidations") * 3
			
			;The player has killed dragons
			AmusementDomination += Game.QueryStat("Dragon Souls Collected") * 25
			
			;The player has killed Alduin and Paarthurnax, showing domination over dragons
			if(MQPaarthurnax.GetStageDone(20) && MQ305.GetStage() > 120)
				AmusementDomination += 2000
			elseif(MQ305.GetStage() > 120)
				AmusementDomination += 750
			elseif(MQPaarthurnax.GetStageDone(20))
				AmusementDomination += 500
			endIf
			
			Amusement[1] = AmusementDomination
			Log("[Religion] Molag Bal Amusement: " + AmusementDomination + " for being dominant over mortals and dragons")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Power;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPower = 0.0
			
			;The player has shown power in clearing dungeons
			AmusementPower += Game.QueryStat("Dungeons Cleared") * 15
			
			;The player has unlocked Words of Power
			AmusementPower += Game.QueryStat("Words of Power Unlocked") * 10
			
			;The player has obtained Master Spells
			if(MGRitual01.GetStageDone(200)) ;Destruction
				AmusementPower += 150
			endIf
			if(MGRitual02.GetStageDone(200)) ;Illusion
				AmusementPower += 150
			endIf
			if(MGRitual03.GetStageDone(200)) ;Conjuration
				AmusementPower += 150
			endIf
			if(MGRitual05.GetStageDone(200)) ;Alteration
				AmusementPower += 150
			endIf
			
			;The player has collected multiple Daedric Artifacts
			AmusementPower += Game.QueryStat("Daedric Quests Completed") * 200
			
			;The player has killed Miraak, and gained his power
			if(DLC2MQ06.GetStageDone(550))
				AmusementPower += 750
			endIf
			
			Amusement[2] = AmusementPower
			Log("[Religion] Molag Bal Amusement: " + AmusementPower + " for achieving great power")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Vampirism;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementVampirism = 0.0
			
			;The player has spent time as a Vampire
			AmusementVampirism += Game.QueryStat("Days as a Vampire") * 10
			
			;The player has joined the Volkihar Clan
			if(DLC1VQ02.GetStageDone(190))
				AmusementVampirism += Game.QueryStat("Dawnguard Quests Completed") * 150
			endIf
			
			Amusement[3] = AmusementVampirism
			Log("[Religion] Molag Bal Amusement: " + AmusementVampirism + " for being a Vampire")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0
		
			;The player has retrieved Molag's Mace
			if(DA10.GetStageDone(200))
				AmusementQuest += 1000
			endIf
			
			Amusement[4] = AmusementQuest
			Log("[Religion] Molag Bal Amusement: " + AmusementQuest + " for completing his quest")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Allies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementAllies = 0.0
			
			;The player has worshipped Azura
			AmusementAllies += DurDaedraAzura * 10
			
			Amusement[5] = AmusementAllies
			Log("[Religion] Molag Bal Amusement: " + AmusementAllies + " for worshipping his allies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraNamira)
		float[] Amusement = new float[4]
		
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
			
			;The player has worshipped Namira
			AmusementPiety += PietyDaedraNamira * 30
			
			;The player has eaten people
			;The player has eaten hearts as a werewolf
			AmusementPiety += Game.QueryStat("Mauls") * 5
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Namira Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Disgust;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementDisgust = 0.0
			
			;The player has contracted diseases
			AmusementDisgust += Game.QueryStat("Diseases Contracted") * 75
			;The player has spent time as a Werewolf or a Vampire
			AmusementDisgust += (Game.QueryStat("Days as a Vampire") + Game.QueryStat("Days as a Werewolf")) * 5
			;The player has bribed, but hasn't persuaded or intimidated
			float Bribing = Game.QueryStat("Bribes") - Game.QueryStat("Persuasions") - Game.QueryStat("Intimidations")
			if(Bribing > 0)
				AmusementDisgust += Bribing * 10
			endIf
			;Theivery is disgusting
			AmusementDisgust += Game.QueryStat("Items Stolen") * 3
			AmusementDisgust += Game.QueryStat("Items Pickpocketed") * 3
			
			Amusement[1] = AmusementDisgust
			Log("[Religion] Namira Amusement: " + AmusementDisgust + " for being disgusting")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Unlucky;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementUnlucky = 0.0
			
			;The player has spent time in jail
			AmusementUnlucky += Game.QueryStat("Days Jailed") * 50
			;The player hasn't collected much gold per dungeons cleared
			float GoldLuck = (Game.QueryStat("Dungeons Cleared") * 250) - Game.QueryStat("Gold Found")
			if(GoldLuck > 0)
				AmusementUnlucky += GoldLuck
			endIf
		
			Amusement[2] = AmusementUnlucky
			Log("[Religion] Namira Amusement: " + AmusementUnlucky + " for being unlucky")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0
			
			;The player has retrieved Namira's ring
			if(DA11.GetStageDone(70))
				AmusementQuest += 1000
			endIf
			
			Amusement[3] = AmusementQuest
			Log("[Religion] Namira Amusement: " + AmusementQuest + " for completing her quests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraNocturnal)
		float[] Amusement = new float[2]
		
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
			
			;The player has worshipped Nocturnal
			AmusementPiety += PietyDaedraNocturnal * 25
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Nocturnal Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0
			
			AmusementQuest += Game.QueryStat("Thieves' Guild Quests Completed") * 15
			
			if(TG09.GetStageDone(50))
				;The player has returned the Skeleton Key
				AmusementQuest += 3000
			elseif(TG08A.GetStageDone(57))
				;The player has become a Nightingale
				AmusementQuest += 1000
			endIf
			
			Amusement[1] = AmusementQuest
			Log("[Religion] Nocturnal Amusement: " + AmusementQuest + " for being completing her quests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraPeryite)
		float[] Amusement = new float[5]
		
		;Amusement Peryite;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
			
			;The player has worshipped Peryite
			AmusementPiety += PietyDaedraPeryite * 30
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Peryite Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	
		;Amusement Tasks;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementTasks = 0.0
			
			;The player has Cleared Dungeons
			AmusementTasks += Game.QueryStat("Dungeons Cleared") * 15
			;The player has completed misc quests
			AmusementTasks += Game.QueryStat("Misc Objectives Completed") * 10
			
			Amusement[1] = AmusementTasks
			Log("[Religion] Peryite Amusement: " + AmusementTasks + " for being completing menial tasks")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Order;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementOrder = 0.0
			
			;The player has ended the Civil War
			AmusementOrder += Game.QueryStat("Civil War Quests Completed") * 100
			;The player has completed questlines, and brought order to the guilds
			AmusementOrder += Game.QueryStat("Questlines Completed") * 500
			
			Amusement[2] = AmusementOrder
			Log("[Religion] Peryite Amusement: " + AmusementOrder + " for being bringing natural order")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Disease;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementDisease = 0.0
			
			;The player has contracted diseases, and spent time as a werewolf or vampire
			AmusementDisease += Game.QueryStat("Diseases Contracted") * 150
			AmusementDisease += (Game.QueryStat("Days as a Vampire") + Game.QueryStat("Days as a Werewolf")) * 5
			
			Amusement[3] = AmusementDisease
			Log("[Religion] Peryite Amusement: " + AmusementDisease + " for being pestilent")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0
			
			;The player has assisted Peryite
			if(DA13.GetStageDone(81))
				AmusementQuest += 1000
			endIf
			
			Amusement[4] = AmusementQuest
			Log("[Religion] Peryite Amusement: " + AmusementQuest + " for completing his quests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraSanguine)
		float[] Amusement = new float[6]
		
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
			
			;The player has worshipped Sanguine
			AmusementPiety += PietyDaedraSanguine * 40
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Sanguine Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	
		;Amusement Gluttony;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementGluttony = 0.0
			
			;Large amount of food eaten per days passed
			float Meals = Game.QueryStat("Food Eaten") - (GameDaysPassed.GetValue() * 15)
			if(Meals > 0)
				AmusementGluttony += Meals
			endIf
			;Sleeping per days passed
			float Coma = Game.QueryStat("Hours Slept") - (GameDaysPassed.GetValue() * 15)
			if(Coma > 0)
				AmusementGluttony += Coma
			endIf
			
			Amusement[1] = AmusementGluttony
			Log("[Religion] Sanguine Amusement: " + AmusementGluttony + " for being a glutton")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Greed;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementGreed = 0.0
			
			;Max gold carried
			AmusementGreed += Game.QueryStat("Most Gold Carried") * 0.01
			;Gold found
			AmusementGreed += Math.Pow(Game.QueryStat("Gold Found"), 0.001)
			;Theft
			AmusementGreed += Game.QueryStat("Items Stolen") * 3
			AmusementGreed += Game.QueryStat("Items Pickpocketed") * 3
			
			Amusement[2] = AmusementGreed
			Log("[Religion] Sanguine Amusement: " + AmusementGreed + " for being greedy")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Wrath;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementWrath = 0.0
			
			;Intimidating versus persuading/bribes
			float Intimidating = Game.QueryStat("Intimidations") - Game.QueryStat("Bribes") - Game.QueryStat("Persuasions")
			if(Intimidating > 0)
				AmusementWrath += Intimidating * 10
			endIf
			;People assaulted
			AmusementWrath += Game.QueryStat("Assaults") * 25
			;Brawls Won
			AmusementWrath += Game.QueryStat("Brawls Won") * 100
			
			Amusement[3] = AmusementWrath
			Log("[Religion] Sanguine Amusement: " + AmusementWrath + " for being angry")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0
			
			;The player has assisted Sanguine
			if(DA14.GetStageDone(185))
				AmusementQuest += 1000
			endIf
			
			Amusement[4] = AmusementQuest
			Log("[Religion] Sanguine Amusement: " + AmusementQuest + " for completing his quests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Allies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementAllies = 0.0
			
			;The player has worshipped Vaermina
			AmusementAllies += PietyDaedraVaermina * 20
			
			Amusement[5] = AmusementAllies
			Log("[Religion] Sanguine Amusement: " + AmusementAllies + " for worshipping his allies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraSheogorath)
		float[] Amusement = new float[3]
		
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
			
			;The player has worshipped Sheogorath, it's not very effective
			AmusementPiety += PietyDaedraSheogorath
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Sheogorath Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0
			
			;The player has done Sheogorath's quest, it's not very effective
			if(DA15.GetStage() > 190)
				AmusementQuest += 500
			endIf
			
			Amusement[1] = AmusementQuest
			Log("[Religion] Sheogorath Amusement: " + AmusementQuest + " for completing his quests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Random;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementRandom = 0.0
			
			;Not completely random, dependant on gamedayspassed and actual date
			float DaysPassed = GameDaysPassed.GetValue()
			float Month = GameMonth.GetValue()
			float Day = GameDay.GetValue()
			float Date = (Month * 30.42) + Day
			float SummoningDay = 33
			float SummoningDistance = Math.Abs(Date - SummoningDay)
			if(SummoningDistance > 6 * 30.42)
				SummoningDistance = (12 * 30.42) - SummoningDistance
			endIf
			
			AmusementRandom += Math.Cos(SummoningDistance/(6 * 30.42)) * Math.Sin((DaysPassed as int % 6)/6.0) * 10000
			
			Amusement[2] = AmusementRandom
			Log("[Religion] Sheogorath Amusement: " + AmusementRandom + " randomly because he's a madman, or rather, madgod")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	elseif(Daedra == DaedraVaermina)
		float[] Amusement = new float[5]
		
		;Amusement Piety;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementPiety = 0.0
			
			;The player has worshipped Vaermina
			AmusementPiety += PietyDaedraVaermina * 45
			
			Amusement[0] = AmusementPiety
			Log("[Religion] Vaermina Amusement: " + AmusementPiety + " for being pious")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	
		;Amusement Sleep;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementSleep = 0.0
			
			;The player has spent much time sleeping
			;Sleeping as a vampire is more rewarding
			float Coma = Game.QueryStat("Hours Slept") - ((GameDaysPassed.GetValue() - (0.5 * Game.QueryStat("Days as a Vampire"))) * 11)
			if(Coma > 0)
				AmusementSleep += Coma * 3
			endIf
			
			Amusement[1] = AmusementSleep
			Log("[Religion] Vaermina Amusement: " + AmusementSleep + " for sleeping")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Torture;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementTorture = 0.0
			
			;The player has tortured those captured in the Dark Brotherhood
			if(DBTortureTreasureMiscObjective1.GetStage() > 0)
				AmusementTorture += 150
			endIf
			if(DBTortureTreasureMiscObjective2.GetStage() > 0)
				AmusementTorture += 150
			endIf
			if(DBTortureTreasureMiscObjective3.GetStage() > 0)
				AmusementTorture += 150
			endIf
			if(DBTortureTreasureMiscObjective4.GetStage() > 0)
				AmusementTorture += 150
			endIf
			
			;The player has attacked people, frightening them, but leaving them alive
			float FrighteningAttacks = 3 * Game.QueryStat("Assaults") + 2 * Game.QueryStat("Sneak Attacks") + Game.QueryStat("Critical Strikes") - 3 * Game.QueryStat("People Killed")
			if(FrighteningAttacks > 0)
				AmusementTorture += FrighteningAttacks * 5
			endIf
			
			Amusement[2] = AmusementTorture
			Log("[Religion] Vaermina Amusement: " + AmusementTorture + " for torturing mortals")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Quest;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementQuest = 0.0
			
			;The player has done Vaermina's quest
			if(DA16.GetStageDone(199))
				AmusementQuest += 1000
			endIf
			
			Amusement[3] = AmusementQuest
			Log("[Religion] Vaermina Amusement: " + AmusementQuest + " for completing her quests")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Amusement Allies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float AmusementAllies = 0.0
			
			;The player has worshipped Sanguine
			AmusementAllies += PietyDaedraSanguine * 20
			
			Amusement[4] = AmusementAllies
			Log("[Religion] Vaermina Amusement: " + AmusementAllies + " for worshipping her allies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Amusement
	endIf
	return new float[1]
endFunction

;Returns the value of the amusing actions the player has made
float Function GetDaedraDisapproval(int Daedra, float[] DisapprovalArray)
	Log("[Religion]Function Call GetDaedraDisapproval: Daedra-" + GetDeityName(PantheonDaedra, Daedra))
	float Disapproval = SumArray(DisapprovalArray)
	Log("[Religion]Function Result GetDaedraDisapproval: Daedra-" + GetDeityName(PantheonDaedra, Daedra) + ", Disapproval-" + Disapproval)
	return Disapproval
endFunction

float DunmerRelation = 0.0
float OrsimerRelation = 0.0

;Returns an array of the daedra's disapproval of the player's actions
float[] Function GetDaedraDisapprovalArray(int Daedra, bool UseAll = true, int Index = 0)
	Log("[Religion]Function Call GetDaedraDisapprovalArray: Daedra-" + GetDeityName(PantheonDaedra, Daedra))
	if(Daedra == DaedraAzura)
		float[] Disapproval = new float[6]
		
		;Disapproval Dunmer;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalDunmer = 0.0
			
			;The player have assaulted Dunmer
			if(DunmerRelation < 0)
				DisapprovalDunmer += DunmerRelation * -50
			endIf
			
			Disapproval[0] = DisapprovalDunmer
			Log("[Religion] Azura Disapproval: " + DisapprovalDunmer + " for assaulting Dunmer")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Disease;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalDisease = 0.0
			
			;The player is diseased or has been diseased, and is unpure
			DisapprovalDisease += Game.QueryStat("Diseases Contracted") * 75
			;The player has been a Werewolf or a Vampire
			DisapprovalDisease += (Game.QueryStat("Days as a Vampire") + Game.QueryStat("Days as a Werewolf")) * 5
			
			Disapproval[1] = DisapprovalDisease
			Log("[Religion] Azura Disapproval: " + DisapprovalDisease + " for being impure")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Defiance;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalDefiance = 0.0
			
			;The player has betrayed Azura during her quest
			if(DA01.GetStageDone(75))
				DisapprovalDefiance += 5000
			endIf
			
			Disapproval[2] = DisapprovalDefiance
			Log("[Religion] Azura Disapproval: " + DisapprovalDefiance + " for going against her will")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has worshipped Nocturnal, and/or recieved her gifts
			DisapprovalEnemies += DurDaedraNocturnal * 50
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[3] = DisapprovalEnemies
			Log("[Religion] Azura Disapproval: " + DisapprovalEnemies + " for worshipping her enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Azura entertained
			if(WorshipStartDaedraAzura > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraAzura) * 2.0
			endIf
			
			Disapproval[4] = DisapprovalBoredom
			Log("[Religion] Azura Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraAzura * 10
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraAzura * 5
			
			Disapproval[5] = DisapprovalAnnoying
			Log("[Religion] Azura Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	elseif(Daedra == DaedraBoethiah)
		float[] Disapproval = new float[4]
		
		;Disapproval Weakness;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalWeakness = 0.0
			
			;The player has surrendured and served jail
			DisapprovalWeakness += Game.QueryStat("Days Jailed") * 25
			;The player has sparred lives
			
			Disapproval[0] = DisapprovalWeakness
			Log("[Religion] Boethiah Disapproval: " + DisapprovalWeakness + " for being weak willed")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has worshipped Molag Bal, and/or recieved his gifts
			DisapprovalEnemies += DurDaedraMolagBal * 50
			;The player has worshipped Peryite, and/or recieved his gifts
			DisapprovalEnemies += DurDaedraPeryite * 50
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[1] = DisapprovalEnemies
			Log("[Religion] Boethiah Disapproval: " + DisapprovalEnemies + " for worshipping her enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Boethiah entertained
			if(WorshipStartDaedraBoethiah > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraBoethiah) * 10.0
			endIf
			
			Disapproval[2] = DisapprovalBoredom
			Log("[Religion] Boethiah Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraBoethiah * 40
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraBoethiah * 20
			
			Disapproval[3] = DisapprovalAnnoying
			Log("[Religion] Boethiah Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	elseif(Daedra == DaedraClavicus)
		float[] Disapproval = new float[4]
		
		;Disapproval Defiance;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalDefiance = 0.0
			
			;The player didn't kill Barbas
			if(DA03.GetStageDone(200))
				DisapprovalDefiance += 350
			endIf
			
			Disapproval[0] = DisapprovalDefiance
			Log("[Religion] Clavicus Vile Disapproval: " + DisapprovalDefiance + " for going against his will")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has become a werewolf, a servant of Hircine
			DisapprovalEnemies += Game.QueryStat("Days as a Werewolf") * 10
			;The player has worshipped Hircine, and/or recieved his gifts
			DisapprovalEnemies += DurDaedraHircine * 50
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[1] = DisapprovalEnemies
			Log("[Religion] Clavicus Vile Disapproval: " + DisapprovalEnemies + " for worshipping his enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Clavicus Vile entertained
			if(WorshipStartDaedraClavicus > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraClavicus) * 5.0
			endIf
			
			Disapproval[2] = DisapprovalBoredom
			Log("[Religion] Clavicus Vile Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraAzura * 15
			
			Disapproval[3] = DisapprovalAnnoying
			Log("[Religion] Clavicus Vile Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	elseif(Daedra == DaedraHermaeus)
		float[] Disapproval = new float[4]
		
		;Disapproval Defiance;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalDefiance = 0.0
			
			;The player killed septimus before retrieving the Oghma Infinium
			if(DA04.GetStageDone(105))
				DisapprovalDefiance += 2500
			endIf
			
			Disapproval[0] = DisapprovalDefiance
			Log("[Religion] Hermaeus Mora Disapproval: " + DisapprovalDefiance + " for going against his will")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has worshipped Vaermina, and/or recieved his gifts
			DisapprovalEnemies += DurDaedraVaermina * 50
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[1] = DisapprovalEnemies
			Log("[Religion] Hermaeus Mora Disapproval: " + DisapprovalEnemies + " for worshipping his enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Herma Mora entertained
			if(WorshipStartDaedraHermaeus > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraHermaeus) * 3.0
			endIf
			
			Disapproval[2] = DisapprovalBoredom
			Log("[Religion] Hermaeus Mora Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraHermaeus * 20
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraHermaeus * 10
			
			Disapproval[3] = DisapprovalAnnoying
			Log("[Religion] Hermaeus Mora Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	elseif(Daedra == DaedraHircine)
		float[] Disapproval = new float[5]
		
		;Disapproval Weakness;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalWeakness = 0.0
			
			;The player has surrendured and served jail, ends the hunt prematurely
			DisapprovalWeakness += Game.QueryStat("Days Jailed") * 25
			
			Disapproval[0] = DisapprovalWeakness
			Log("[Religion] Hircine Disapproval: " + DisapprovalWeakness + " for being weak willed")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Defiance;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalDefiance = 0.0
			
			;The player has cured themselves of lycanthropy
			if(!PlayerRef.HasSpell(WerewolfChange) && Game.QueryStat("Days as a Werewolf") > 0)
				DisapprovalDefiance += 500
			endIf
			;The player has allowed others to cure themselves
			;Kodlak
			if(C06.GetStageDone(70))
				DisapprovalDefiance += 250
			endIf
			;Vilkas/Farkas
			if(CR13.GetStageDone(100))
				DisapprovalDefiance += 250
			endIf
			
			Disapproval[1] = DisapprovalDefiance
			Log("[Religion] Hircine Disapproval: " + DisapprovalDefiance + " for going against his will")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has become a vampire, a natural enemy to werebeasts
			DisapprovalEnemies += Game.QueryStat("Days as a Vampire") * 10
			;The player has worshipped Clavicus Vile, and/or recieved his gifts
			DisapprovalEnemies += DurDaedraClavicus * 50
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[2] = DisapprovalEnemies
			Log("[Religion] Hircine Disapproval: " + DisapprovalEnemies + " for worshipping his enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Hircine entertained
			if(WorshipStartDaedraHircine > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraHircine) * 7.0
			endIf
			
			Disapproval[3] = DisapprovalBoredom
			Log("[Religion] Hircine Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraHircine * 25
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraHircine * 10
			
			
			Disapproval[4] = DisapprovalAnnoying
			Log("[Religion] Hircine Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	elseif(Daedra == DaedraMalacath)
		float[] Disapproval = new float[5]
		
		;Disapproval Weakness;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalWeakness = 0.0
			
			;The player is physically weak
			float StrengthPool = (PlayerRef.GetBaseAV("Health") + PlayerRef.GetBaseAV("Stamina") - 200) - 5 * PlayerRef.GetLevel()
			if(StrengthPool < 0)
				DisapprovalWeakness += StrengthPool * -10
			endIf
			
			Disapproval[0] = DisapprovalWeakness
			Log("[Religion] Malacath Disapproval: " + DisapprovalWeakness + " for being weak")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Defiance;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalDefiance = 0.0
			
			;The player has committed crimes against orcs
			DisapprovalDefiance += Game.QueryStat("Tribal Orcs Bounty") * 5
			
			if(OrsimerRelation < 0)
				DisapprovalDefiance += OrsimerRelation * -50
			endIf
			
			Disapproval[1] = DisapprovalDefiance
			Log("[Religion] Malacath Disapproval: " + DisapprovalDefiance + " for going against his will")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[2] = DisapprovalEnemies
			Log("[Religion] Malacath Disapproval: " + DisapprovalEnemies + " for worshipping his enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Malacath entertained
			if(WorshipStartDaedraMalacath > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraMalacath) * 6.0
			endIf
			
			Disapproval[3] = DisapprovalBoredom
			Log("[Religion] Malacath Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraMalacath * 30
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraMalacath * 15
			
			Disapproval[4] = DisapprovalAnnoying
			Log("[Religion] Malacath Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	elseif(Daedra == DaedraMehrunes)
		float[] Disapproval = new float[4]
		
		;Disapproval Defiance;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalDefiance = 0.0
			
			;The player has defied Dagon during his quest
			if(DA07.GetStageDone(150))
				DisapprovalDefiance += 5000
			endIf
			;The player has stolen a sigil stone from Dagon's realms
			if(MGRitual03.GetStageDone(70))
				DisapprovalDefiance += 500
			endIf
			
			Disapproval[0] = DisapprovalDefiance
			Log("[Religion] Mehrunes Dagon Disapproval: " + DisapprovalDefiance + " for going against his will")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has worshipped the Divines, especially Akatosh, and/or recieved their gifts
			DisapprovalEnemies += DurDivineAkatosh * 30
			DisapprovalEnemies += DurDivineArkay * 10
			DisapprovalEnemies += DurDivineDibella * 10
			DisapprovalEnemies += DurDivineJulianos * 10
			DisapprovalEnemies += DurDivineKynareth * 10
			DisapprovalEnemies += DurDivineMara * 10
			DisapprovalEnemies += DurDivineStendarr * 10
			DisapprovalEnemies += DurDivineTalos * 10
			DisapprovalEnemies += DurDivineZenithar * 10
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[1] = DisapprovalEnemies
			Log("[Religion] Mehrunes Dagon Disapproval: " + DisapprovalEnemies + " for worshipping his enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Dagon entertained
			if(WorshipStartDaedraMehrunes > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraMehrunes) * 10.0
			endIf
			
			Disapproval[2] = DisapprovalBoredom
			Log("[Religion] Mehrunes Dagon Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraMehrunes * 40
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraMehrunes * 20
			
			Disapproval[3] = DisapprovalAnnoying
			Log("[Religion] Mehrunes Dagon Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	elseif(Daedra == DaedraMephala)
		float[] Disapproval = new float[4]
		
		;Disapproval Weakness;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalWeakness = 0.0
			
			;The player is honorable
			DisapprovalWeakness += Game.QueryStat("The Companions Quests Completed") * 50
			
			Disapproval[0] = DisapprovalWeakness
			Log("[Religion] Mephala Disapproval: " + DisapprovalWeakness + " for being weak willed")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[1] = DisapprovalEnemies
			Log("[Religion] Mephala Disapproval: " + DisapprovalEnemies + " for worshipping her enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Mephala entertained
			if(WorshipStartDaedraMephala > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraMephala) * 6.0
			endIf
			
			Disapproval[2] = DisapprovalBoredom
			Log("[Religion] Mephala Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraMephala * 20
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraMephala * 10
			
			Disapproval[3] = DisapprovalAnnoying
			Log("[Religion] Mephala Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	elseif(Daedra == DaedraMeridia)
		float[] Disapproval = new float[6]
		
		;Disapproval Corruption;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalCorruption = 0.0
			
			;The player is a thief
			DisapprovalCorruption += Game.QueryStat("Items Stolen") * 5
			DisapprovalCorruption += Game.QueryStat("Items Pickpocketed") * 5
			
			;The player has done the thieves guild city quests
			if(TGFenceCaravan.GetStage() > 30) ;Caravan Quest
				DisapprovalCorruption += 100
			endIf
			if(TGTQ01.GetStage() > 40) ;Markarth
				DisapprovalCorruption += 100
			endIf
			if(TGTQ02.GetStage() > 30) ;Solitude
				DisapprovalCorruption += 100
			endIf
			if(TGTQ03.GetStage() > 50) ;Whiterun
				DisapprovalCorruption += 100
			endIf
			if(TGTQ04.GetStage() > 70) ;Windhelm
				DisapprovalCorruption += 100
			endIf
			
			;The player has bribed people
			DisapprovalCorruption += Game.QueryStat("Bribes") * 25
			
			Disapproval[0] = DisapprovalCorruption
			Log("[Religion] Meridia Disapproval: " + DisapprovalCorruption + " for being corrupted by material gains")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Greed;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalGreed = 0.0
			
			;The player has worshipped other Daedra and Divines
			DisapprovalGreed += DurDivineAkatosh * 5
			DisapprovalGreed += DurDivineArkay * 5
			DisapprovalGreed += DurDivineDibella * 5
			DisapprovalGreed += DurDivineJulianos * 5
			DisapprovalGreed += DurDivineKynareth * 5
			DisapprovalGreed += DurDivineMara * 5
			DisapprovalGreed += DurDivineStendarr * 5
			DisapprovalGreed += DurDivineTalos * 5
			DisapprovalGreed += DurDivineZenithar * 5
			
			DisapprovalGreed += DurDaedraAzura * 5
			DisapprovalGreed += DurDaedraBoethiah * 5
			DisapprovalGreed += DurDaedraClavicus * 5
			DisapprovalGreed += DurDaedraHermaeus * 5
			DisapprovalGreed += DurDaedraHircine * 5
			DisapprovalGreed += DurDaedraMalacath * 5
			DisapprovalGreed += DurDaedraMehrunes * 5
			DisapprovalGreed += DurDaedraMephala * 5
			DisapprovalGreed += DurDaedraMolagBal * 5
			DisapprovalGreed += DurDaedraNamira * 5
			DisapprovalGreed += DurDaedraNocturnal * 5
			DisapprovalGreed += DurDaedraPeryite * 5
			DisapprovalGreed += DurDaedraSanguine * 5
			DisapprovalGreed += DurDaedraSheogorath * 5
			DisapprovalGreed += DurDaedraVaermina * 5
			
			DisapprovalGreed += DurSpiritAllMaker * 5
			DisapprovalGreed += DurSpiritAncestors * 5
			DisapprovalGreed += DurSpiritEbonarm * 5
			DisapprovalGreed += DurSpiritMagnus * 5
			DisapprovalGreed += DurSpiritSithis * 5
			DisapprovalGreed += DurSpiritYffre * 5
			
			;The player has joined some guilds
			DisapprovalGreed += Game.QueryStat("The Companions Quests Completed") * 50
			DisapprovalGreed += Game.QueryStat("College of Winterhold Quests Completed") * 50
			DisapprovalGreed += Game.QueryStat("Thieves' Guild Quests Completed") * 50
			DisapprovalGreed += Game.QueryStat("The Dark Brotherhood Quests Completed") * 50
			DisapprovalGreed += Game.QueryStat("Civil War Quests Completed") * 50
			
			Disapproval[1] = DisapprovalGreed
			Log("[Religion] Meridia Disapproval: " + DisapprovalGreed + " for pledging themselves to something besides Meridia")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Undead;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalUndead = 0.0
			
			;The player has been a Vampire
			if(PlayerRef.HasKeyword(Vampire))
				DisapprovalUndead += 500
			endIf
			
			;Arkay really doesn't like vampires
			DisapprovalUndead += Game.QueryStat("Days as a Vampire") * 5
			
			;The player has joined the Volkihar Clan
			if(DLC1VQ02.GetStageDone(190))
				DisapprovalUndead += Game.QueryStat("Dawnguard Quests Completed") * 150
			endIf
			
			Disapproval[2] = DisapprovalUndead
			Log("[Religion] Meridia Disapproval: " + DisapprovalUndead + " for being undead.")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has worshipped Molag Bal, and/or recieved his gifts
			DisapprovalEnemies += DurDaedraMolagBal * 50
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[3] = DisapprovalEnemies
			Log("[Religion] Meridia Disapproval: " + DisapprovalEnemies + " for worshipping her enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Meridia entertained
			if(WorshipStartDaedraMeridia > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraMeridia) * 10.0
			endIf
			
			Disapproval[4] = DisapprovalBoredom
			Log("[Religion] Meridia Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraMeridia * 40
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraMeridia * 20
			
			Disapproval[5] = DisapprovalAnnoying
			Log("[Religion] Meridia Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	elseif(Daedra == DaedraMolagBal)
		float[] Disapproval = new float[5]
		
		;Disapproval Weakness;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalWeakness = 0.0
			
			;The player has surrendured and served jail
			DisapprovalWeakness += Game.QueryStat("Days Jailed") * 25
			
			Disapproval[0] = DisapprovalWeakness
			Log("[Religion] Molag Bal Disapproval: " + DisapprovalWeakness + " for being weak willed")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Defiance;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalDefiance = 0.0
			
			;The player has defied Molag Bal during his quest, and killed the worshipper prematurely
			if(DA10.GetStage() > 500)
				DisapprovalDefiance += 1500
			endIf
			
			;The player has cured themselves of vampirism
			if(!PlayerRef.HasKeyword(Vampire) && Game.QueryStat("Days as a Vampire") > 0)
				DisapprovalDefiance += 750
			endIf
			
			Disapproval[1] = DisapprovalDefiance
			Log("[Religion] Molag Bal Disapproval: " + DisapprovalDefiance + " for going against his will")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has worshipped Boethiah, and/or recieved her gifts
			DisapprovalEnemies += DurDaedraBoethiah * 50
			;The player has worshipped Meridia, and/or recieved her gifts
			DisapprovalEnemies += DurDaedraMeridia * 50
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[2] = DisapprovalEnemies
			Log("[Religion] Molag Bal Disapproval: " + DisapprovalEnemies + " for worshipping his enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Molag Bal entertained
			if(WorshipStartDaedraMolagBal > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraMolagBal) * 10.0
			endIf
			
			Disapproval[3] = DisapprovalBoredom
			Log("[Religion] Molag Bal Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraMolagBal * 40
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraMolagBal * 20
			
			Disapproval[4] = DisapprovalAnnoying
			Log("[Religion] Molag Bal Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	elseif(Daedra == DaedraNamira)
		float[] Disapproval = new float[6]
		
		;Disapproval Infamy;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalInfamy = 0.0
			
			;The player has become infamous, through questlines, mainly the Main Questline
			DisapprovalInfamy += Game.QueryStat("The Companions Quests Completed") * 50
			DisapprovalInfamy += Game.QueryStat("College of Winterhold Quests Completed") * 50
			DisapprovalInfamy += Game.QueryStat("Civil War Quests Completed") * 75
			DisapprovalInfamy += Game.QueryStat("Main Quests Completed") * 100
			
			Disapproval[0] = DisapprovalInfamy
			Log("[Religion] Namira Disapproval: " + DisapprovalInfamy + " for becoming infamous")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Wealth;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalWealth = 0.0
			
			;The player has carried a large amount of gold
			DisapprovalWealth += Game.QueryStat("Most Gold Carried") * 0.001
			;The player owns several properties
			DisapprovalWealth += Game.QueryStat("Houses Owned") * 150
			
			Disapproval[1] = DisapprovalWealth
			Log("[Religion] Namira Disapproval: " + DisapprovalWealth + " for being wealthy")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Defiance;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalDefiance = 0.0
			
			;The player has defied Namira during her quest, and killed Eola
			if(DA11.GetStageDone(250))
				DisapprovalDefiance += 1000
			endIf
			
			Disapproval[2] = DisapprovalDefiance
			Log("[Religion] Namira Disapproval: " + DisapprovalDefiance + " for going against her will")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[3] = DisapprovalEnemies
			Log("[Religion] Namira Disapproval: " + DisapprovalEnemies + " for worshipping her enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Namira entertained
			if(WorshipStartDaedraNamira > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraNamira) * 5.0
			endIf
			
			Disapproval[4] = DisapprovalBoredom
			Log("[Religion] Namira Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraNamira * 25
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraNamira * 15
			
			Disapproval[5] = DisapprovalAnnoying
			Log("[Religion] Namira Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	elseif(Daedra == DaedraNocturnal)
		float[] Disapproval = new float[3]
		
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has worshipped Azura, and/or recieved her gifts
			DisapprovalEnemies += DurDaedraAzura * 50
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[0] = DisapprovalEnemies
			Log("[Religion] Nocturnal Disapproval: " + DisapprovalEnemies + " for worshipping her enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Nocturnal entertained
			if(WorshipStartDaedraPeryite > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraPeryite) * 2.0
			endIf
			
			Disapproval[1] = DisapprovalBoredom
			Log("[Religion] Nocturnal Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraNocturnal * 20
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraNocturnal * 10
			
			Disapproval[2] = DisapprovalAnnoying
			Log("[Religion] Nocturnal Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	elseif(Daedra == DaedraPeryite)
		float[] Disapproval = new float[4]
		
		;Disapproval Chaos;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalChaos = 0.0
			
			;The player has caused chaos
			;Murder, some dark brotherhood quests, vampire questline
			DisapprovalChaos += Game.QueryStat("Murders") * 25
			DisapprovalChaos += Game.QueryStat("Jail Escapes") * 50
			DisapprovalChaos += Game.QueryStat("The Dark Brotherhood Quests Completed") * 50
			if(DLC1VQ02.GetStageDone(190))
				DisapprovalChaos += Game.QueryStat("Dawnguard Quests Completed") * 75
			endIf
			
			Disapproval[0] = DisapprovalChaos
			Log("[Religion] Peryite Disapproval: " + DisapprovalChaos + " for being chaotic")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has worshipped Boethiah, and/or recieved her gifts
			DisapprovalEnemies += DurDaedraBoethiah * 50
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[1] = DisapprovalEnemies
			Log("[Religion] Peryite Disapproval: " + DisapprovalEnemies + " for worshipping his enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
	
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Peryite entertained
			if(WorshipStartDaedraPeryite > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraPeryite) * 3.0
			endIf
			
			Disapproval[2] = DisapprovalBoredom
			Log("[Religion] Peryite Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraAzura * 30
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraAzura * 15
			
			Disapproval[3] = DisapprovalAnnoying
			Log("[Religion] Peryite Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	elseif(Daedra == DaedraSanguine)
		float[] Disapproval = new float[3]
		
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has worshipped Mara, Dibella, Kynareth, and/or recieved their gifts
			DisapprovalEnemies += DurDivineDibella * 20
			DisapprovalEnemies += DurDivineKynareth * 20
			DisapprovalEnemies += DurDivineMara * 20
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[0] = DisapprovalEnemies
			Log("[Religion] Sanguine Disapproval: " + DisapprovalEnemies + " for worshipping his enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Sanguine entertained
			if(WorshipStartDaedraSanguine > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraSanguine) * 15.0
			endIf
			
			Disapproval[1] = DisapprovalBoredom
			Log("[Religion] Sanguine Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraSanguine * 25
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraSanguine * 15
						
			Disapproval[2] = DisapprovalAnnoying
			Log("[Religion] Sanguine Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Sober
		;The player has helped those that are drunk or addicted
		
		return Disapproval
	elseif(Daedra == DaedraSheogorath)
		float[] Disapproval = new float[2]
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraSheogorath * 10
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraSheogorath * 5
			
			Disapproval[0] = DisapprovalAnnoying
			Log("[Religion] Sheogorath Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Random;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalRandom = 0.0
			
			;Not completely random, dependant on gamedayspassed
			float DaysPassed = GameDaysPassed.GetValue()
			
			DisapprovalRandom += Math.Sin((DaysPassed as int % 8)/8.0) * 5000
			
			Disapproval[1] = DisapprovalRandom
			Log("[Religion] Sheogorath Disapproval: " + DisapprovalRandom + " because he's a madman, sorry, madgod")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	elseif(Daedra == DaedraVaermina)
		float[] Disapproval = new float[5]
		
		;Disapproval Awake;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAwake = 0.0
			
			;The player has stayed awake for too long
			float Coma = Game.QueryStat("Hours Slept") - ((GameDaysPassed.GetValue() - (0.5 * Game.QueryStat("Days as a Vampire"))) * 4)
			if(Coma < 0)
				DisapprovalAwake += Coma * 5
			endIf
			
			Disapproval[0] = DisapprovalAwake
			Log("[Religion] Vaermina Disapproval: " + DisapprovalAwake + " for being awake")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Defiance;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalDefiance = 0.0
			
			;The player has refused Vaermina during her quest
			if(DA16.GetStageDone(198))
				DisapprovalDefiance += 5000
			endIf
			
			Disapproval[1] = DisapprovalDefiance
			Log("[Religion] Vaermina Disapproval: " + DisapprovalDefiance + " for defying her")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Enemies;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalEnemies = 0.0
			
			;The player has worshipped Hermaeus Mora, and/or recieved his gifts
			DisapprovalEnemies += DurDaedraHermaeus * 50
			;The player has worshipped Ebonarm, and/or recieved his gifts
			DisapprovalEnemies += DurSpiritEbonarm * 25
			
			Disapproval[2] = DisapprovalEnemies
			Log("[Religion] Vaermina Disapproval: " + DisapprovalEnemies + " for worshipping her enemies")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Boredom;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalBoredom = 0.0
			
			;The player hasn't done enough things to keep Vaermina entertained
			if(WorshipStartDaedraVaermina > 0)
				DisapprovalBoredom += (GameDaysPassed.GetValue() - WorshipStartDaedraVaermina) * 5.0
			endIf
			
			Disapproval[3] = DisapprovalBoredom
			Log("[Religion] Vaermina Disapproval: " + DisapprovalBoredom + " for being boring")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		;Disapproval Annoying;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
			float DisapprovalAnnoying = 0.0
			
			;The player has asked for gifts too often
			DisapprovalAnnoying += GiftAskCountDaedraVaermina * 30
			;The player has asked for Guidance too often
			DisapprovalAnnoying += GuidanceAskCountDaedraVaermina * 15
			
			Disapproval[4] = DisapprovalAnnoying
			Log("[Religion] Vaermina Disapproval: " + DisapprovalAnnoying + " for being annoying")
		;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
		
		return Disapproval
	endIf
	return new float[1]
endFunction

GlobalVariable Property _R_GlobalSpiritShroudDegrade Auto
GlobalVariable Property _R_GlobalSpiritShroudDegradeWait Auto

;Returns the value of the spirit's acceptance of the player's actions
float Function GetSpiritAcceptance(int Spirit)
	Log("[Religion]Function Call GetSpiritAcceptance: Spirit-" + GetDeityName(PantheonSpirit, Spirit))
	float Acceptance = 0.0
	if(Spirit == SpiritAllMaker)
		Acceptance += PietySpiritAllMaker * 50
	
		;The wind stone has been cleansed
		if(DLC2MQ03.GetStageDone(60))
			Acceptance += 100
		endIf
		;The water stone has been cleansed
		if(DLC2MQ03B.GetStageDone(10))
			Acceptance += 100
		endIf
		;The earth stone has been cleansed
		if(DLC2MQ03B.GetStageDone(20))
			Acceptance += 100
		endIf
		;The beast stone has been cleansed
		if(DLC2MQ03B.GetStageDone(30))
			Acceptance += 100
		endIf
		;The sun stone has been cleansed
		if(DLC2MQ03B.GetStageDone(40))
			Acceptance += 100
		endIf
		;The tree stone has been cleansed
		if(DLC2MQ06.GetStageDone(550))
			Acceptance += 500
		endIf
		
		Acceptance -= Game.QueryStat("Souls Trapped") * 3
		Acceptance += Game.QueryStat("Undead Killed")
		Acceptance += PlayerRef.GetLevel() * 10
		
		if(LastShroudGrantedAllMaker > 0)
			Acceptance -= Math.Pow(_R_GlobalSpiritShroudDegrade.GetValue(), _R_GlobalSpiritShroudDegradeWait.GetValue() + LastShroudGrantedAllMaker - GameDaysPassed.GetValue())
		endIf
		
	elseif(Spirit == SpiritAncestors)
		Acceptance += PietySpiritAncestors * 50
		
		if(AncestorsRace < 0)
			if(GetListFromList(_R_ListRaces, RaceBreton).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceBreton
			elseif(GetListFromList(_R_ListRaces, RaceNord).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceNord
			elseif(GetListFromList(_R_ListRaces, RaceNord).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceNord
			elseif(GetListFromList(_R_ListRaces, RaceRedguard).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceRedguard
			elseif(GetListFromList(_R_ListRaces, RaceDarkElf).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceDarkElf
			elseif(GetListFromList(_R_ListRaces, RaceHighElf).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceHighElf
			elseif(GetListFromList(_R_ListRaces, RaceWoodElf).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceWoodElf
			elseif(GetListFromList(_R_ListRaces, RaceArgonian).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceArgonian
			elseif(GetListFromList(_R_ListRaces, RaceKhajiit).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceKhajiit
			elseif(GetListFromList(_R_ListRaces, RaceOrc).HasForm(PlayerRef.GetRace()))
				AncestorsRace = RaceOrc
			else
				AncestorsRace = _R_MessageSpiritPietyStartAncestors.Show()
			endIf
		endIf
		
		if(AncestorsRace == 0);Bretons
			if(PlayerRef.GetBaseAV("Conjuration") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Conjuration") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Illusion") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Illusion") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Restoration") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Restoration") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Speechcraft") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Speechcraft") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Alchemy") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Alchemy") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Alteration") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Alteration") - 15) * 5
			endIf
		elseif(AncestorsRace == 1);Nord
			if(PlayerRef.GetBaseAV("Restoration") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Restoration") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Destruction") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Destruction") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Enchanting") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Enchanting") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("OneHanded") > 15)
				Acceptance += (PlayerRef.GetBaseAV("OneHanded") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Block") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Block") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("HeavyArmor") > 15)
				Acceptance += (PlayerRef.GetBaseAV("HeavyArmor") - 15) * 5
			endIf
		elseif(AncestorsRace == 2);Nord
			if(PlayerRef.GetBaseAV("TwoHanded") > 15)
				Acceptance += (PlayerRef.GetBaseAV("TwoHanded") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("OneHanded") > 15)
				Acceptance += (PlayerRef.GetBaseAV("OneHanded") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Block") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Block") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Smithing") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Smithing") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Speechcraft") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Speechcraft") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("LightArmor") > 15)
				Acceptance += (PlayerRef.GetBaseAV("LightArmor") - 15) * 5
			endIf
		elseif(AncestorsRace == 3);Redguard
			if(PlayerRef.GetBaseAV("OneHanded") > 15)
				Acceptance += (PlayerRef.GetBaseAV("OneHanded") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Marksman") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Marksman") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Block") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Block") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Smithing") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Smithing") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Destruction") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Destruction") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Alteration") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Alteration") - 15) * 5
			endIf
		elseif(AncestorsRace == 4);Dark Elf
			if(PlayerRef.GetBaseAV("Destruction") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Destruction") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Alteration") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Alteration") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Illusion") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Illusion") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Sneak") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Sneak") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("LightArmor") > 15)
				Acceptance += (PlayerRef.GetBaseAV("LightArmor") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Alchemy") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Alchemy") - 15) * 5
			endIf
		elseif(AncestorsRace == 5);High Elf
			if(PlayerRef.GetBaseAV("Illusion") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Illusion") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Alteration") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Alteration") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Conjuration") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Conjuration") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Destruction") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Destruction") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Restoration") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Restoration") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Enchanting") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Enchanting") - 15) * 5
			endIf
		elseif(AncestorsRace == 6);Wood Elf
			if(PlayerRef.GetBaseAV("Marksman") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Marksman") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Sneak") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Sneak") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Lockpicking") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Lockpicking") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Pickpocket") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Pickpocket") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("LightArmor") > 15)
				Acceptance += (PlayerRef.GetBaseAV("LightArmor") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Alchemy") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Alchemy") - 15) * 5
			endIf
		elseif(AncestorsRace == 7);Argonian
			if(PlayerRef.GetBaseAV("Lockpicking") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Lockpicking") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Pickpocket") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Pickpocket") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Sneak") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Sneak") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("LightArmor") > 15)
				Acceptance += (PlayerRef.GetBaseAV("LightArmor") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Alteration") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Alteration") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Restoration") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Restoration") - 15) * 5
			endIf
		elseif(AncestorsRace == 8);Khajiit
			if(PlayerRef.GetBaseAV("Sneak") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Sneak") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Lockpicking") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Lockpicking") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Pickpocket") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Pickpocket") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Alchemy") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Alchemy") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("OneHanded") > 15)
				Acceptance += (PlayerRef.GetBaseAV("OneHanded") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Marksman") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Marksman") - 15) * 5
			endIf
		elseif(AncestorsRace == 9);Orc
			if(PlayerRef.GetBaseAV("HeavyArmor") > 15)
				Acceptance += (PlayerRef.GetBaseAV("HeavyArmor") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Smithing") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Smithing") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("OneHanded") > 15)
				Acceptance += (PlayerRef.GetBaseAV("OneHanded") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("TwoHanded") > 15)
				Acceptance += (PlayerRef.GetBaseAV("TwoHanded") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Block") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Block") - 15) * 5
			endIf
			if(PlayerRef.GetBaseAV("Enchanting") > 15)
				Acceptance += (PlayerRef.GetBaseAV("Enchanting") - 15) * 5
			endIf
		endIf
		
		if(LastShroudGrantedAncestors > 0)
			Acceptance -= Math.Pow(_R_GlobalSpiritShroudDegrade.GetValue(), _R_GlobalSpiritShroudDegradeWait.GetValue() + LastShroudGrantedAncestors - GameDaysPassed.GetValue())
		endIf
		
	elseif(Spirit == SpiritEbonarm)
		Acceptance += PietySpiritEbonarm * 10
		
		Acceptance += Game.QueryStat("Daedra Killed") * 25
		
		if(DLC2EbonyWarriorQuest.GetStageDone(200))
			Acceptance += 1000
		endIf
		
		if(DA01.GetStageDone(75))
			;The player returned the star to Nelecar
			Acceptance += 100
		elseif(DA01.GetStageDone(70))
			;The player returned the star to Azura
			Acceptance -= 100
		endIf
		
		if(DA02.GetStageDone(9) || !DA02.GetStageDone(11))
			;The player killed the cultists, but haven't sacrificed a follower
			Acceptance += 500
		elseif(DA02.GetStageDone(11))
			;The player sacrificed a follower
			Acceptance -= 500
		endIf
		
		if(DA03.GetStageDone(200))
			;The player didn't kill Barbas
			Acceptance += 50
		elseif(DA03.GetStageDone(155))
			;The player killed Barbas
			Acceptance -= 50
		endIf
		
		if(DA04.GetStageDone(105))
			;The player killed septimus before retrieving the Oghma Infinium
			Acceptance += 50
		elseif(DA04.GetStageDone(100))
			;The player retrieved the Oghma Infinium
			Acceptance -= 50
		endIf
		
		if(DA05.GetStageDone(105))
			;The player defied Hircine and spared Sinding
			Acceptance += 100
		elseif(DA05.GetStageDone(100))
			;The player killed Sinding on Hircine's orders
			Acceptance -= 100
		endIf
		
		if(DA07.GetStageDone(150))
			;The player refused to kill Silus
			Acceptance += 500
		elseif(DA07.GetStageDone(80))
			;The player killed Silus
			Acceptance -= 500
		endIf
		
		if(DA08.GetStageDone(80))
			;If the player retrieved the Ebony Blade and killed 10 people to restore it's power
			Acceptance -= 1000
		elseif(DA08.GetStageDone(60))
			;If the player has just retrieved the Ebony Blade
			Acceptance -= 100
		endIf
			
		if(DA10.GetStage() > 500)
			;The player has defied Molag Bal during his quest, and killed the worshipper prematurely
			Acceptance += 500
		elseif(DA10.GetStageDone(200))
			;The player has retrieved Molag's Mace
			Acceptance -= 500
		endIf
			
		if(DA11.GetStageDone(250))
			;The player has defied Namira during her quest, and killed Eola
			Acceptance += 500
		elseif(DA11.GetStageDone(70))
			;The player has retrieved Namira's ring
			Acceptance -= 500
		endIf
			
		if(DA16.GetStageDone(198))
			;The player helped Erandur destroy the skull
			Acceptance += 500
		elseif(DA16.GetStageDone(199))
			;The player has retrieved the skull
			Acceptance -= 500
		endIf
		
		if(LastShroudGrantedEbonarm > 0)
			Acceptance -= Math.Pow(_R_GlobalSpiritShroudDegrade.GetValue(), _R_GlobalSpiritShroudDegradeWait.GetValue() + LastShroudGrantedEbonarm - GameDaysPassed.GetValue())
		endIf
		
	elseif(Spirit == SpiritMagnus)
		Acceptance += PietySpiritMagnus * 50
		
		Acceptance += Game.QueryStat("Spells Learned") * 15
		Acceptance += Game.QueryStat("Magic Items Made") * 3
		
		Acceptance += Game.QueryStat("College of Winterhold Quests Completed") * 100
		
		if(LastShroudGrantedMagnus > 0)
			Acceptance -= Math.Pow(_R_GlobalSpiritShroudDegrade.GetValue(), _R_GlobalSpiritShroudDegradeWait.GetValue() + LastShroudGrantedMagnus - GameDaysPassed.GetValue())
		endIf
		
	elseif(Spirit == SpiritSithis)
		Acceptance += PietySpiritSithis * 50
		
		Acceptance += Game.QueryStat("People Killed") * 3
		Acceptance += Game.QueryStat("Animals Killed")
		Acceptance += Game.QueryStat("Creatures Killed")
		Acceptance += Game.QueryStat("Murders") * 25
		
		Acceptance += Game.QueryStat("The Dark Brotherhood Quests Completed") * 100
		
		if(LastShroudGrantedSithis > 0)
			Acceptance -= Math.Pow(_R_GlobalSpiritShroudDegrade.GetValue(), _R_GlobalSpiritShroudDegradeWait.GetValue() + LastShroudGrantedSithis - GameDaysPassed.GetValue())
		endIf
		
	elseif(Spirit == SpiritYffre)
		Acceptance += PietySpiritYffre * 50
		
		;Race - Wood Elf
		if(GetListFromList(_R_ListRaces, RaceWoodElf).HasForm(PlayerRef.GetRace()))
			Acceptance += 100
		endIf
		
		;Cannabilism
		Acceptance += Game.QueryStat("Mauls") * 5
		
		;Bards College Quests
		if(MS05.GetStageDone(300))
			Acceptance += 100
		endIf
		if(BardsCollegeDrum.GetStageDone(40))
			Acceptance += 100
		endIf
		if(BardsCollegeFlute.GetStageDone(40))
			Acceptance += 100
		endIf
		if(BardsCollegeLute.GetStageDone(40))
			Acceptance += 100
		endIf
			
		if(LastShroudGrantedYffre > 0)
			Acceptance -= Math.Pow(_R_GlobalSpiritShroudDegrade.GetValue(), _R_GlobalSpiritShroudDegradeWait.GetValue() + LastShroudGrantedYffre - GameDaysPassed.GetValue())
		endIf
		
	endIf
	Log("[Religion]Function Result GetSpiritAcceptance: Spirit-" + GetDeityName(PantheonSpirit, Spirit) + ", Acceptance-" + Acceptance)
	return Acceptance
endFunction

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;Blessing/Gifts/Curses
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

Keyword Property _R_KeywordEffectMeditation Auto
FormList Property _R_ListBoonSpellMeditation Auto
FormList Property _R_ListBoonSpellMeditationAll Auto

Keyword Property _R_KeywordEffectDivineBlessing Auto
FormList Property _R_ListBoonSpellDivine Auto
FormList Property _R_ListBoonSpellDivineAll Auto

Keyword Property _R_KeywordEffectDaedra Auto
FormList Property _R_ListBoonSpellDaedra Auto
FormList Property _R_ListBoonSpellDaedraAll Auto

Keyword Property _R_KeywordEffectSpirit Auto
FormList Property _R_ListBoonSpellSpirit Auto
FormList Property _R_ListBoonSpellSpiritAll Auto

;Gets the FormList of the blessings/gifts constant ability spells
FormList Function GetBoonList(int Pantheon, int Deity, int Index)
	Log("[Religion]Function Call GetBoonList: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity) + ", Index-" + Index)
	if(Pantheon == PantheonMeditation)
		return GetListFromList(GetListFromList(_R_ListBoonSpellMeditationAll, Deity), Index)
	elseif(Pantheon == PantheonDivines)
		return GetListFromList(GetListFromList(_R_ListBoonSpellDivineAll, Deity), Index)
	elseif(Pantheon == PantheonDaedra)
		return GetListFromList(_R_ListBoonSpellDaedraAll, Deity)
	endIf
	return None
endFunction

;Gets the current rank of a Boon the player has
int Function GetBoonRank(FormList BoonList, MagicEffect BoonEffect, bool RemoveBoon = false)
	Log("[Religion]Function Call GetBoonRank: BoonList-" + BoonList + ", BoonEffect-" + BoonEffect + ", RemoveBoon-" + RemoveBoon)
	int BoonRank = -1
	while(BoonRank < BoonList.GetSize() - 1 && PlayerRef.HasMagicEffect(BoonEffect))
		BoonRank += 1
		Spell BoonSpell = BoonList.GetAt(BoonRank) as Spell
		Log("[Religion]Function Call GetBoonRank: BoonSpell-" + BoonSpell + ", BoonRank-" + BoonRank)
		if(PlayerRef.HasSpell(BoonSpell))
			if(RemoveBoon)
				LatentRemoveSpell(BoonSpell, BoonEffect)
			endIf
			if(!RemoveBoon || !PlayerRef.HasMagicEffect(BoonEffect))
				return BoonRank
			endIf
		endIf
	endWhile
	return BoonRank
endFunction

;Gets the sum of the ranks of the Boons the player has
int Function GetBoonRankTotal(int Pantheon, int Deity)
	Log("[Religion]Function Call GetBoonRankTotal: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity))
	int RankTotal = 0
	int Index = 0
	int IndexMax = GetBoonIndexMax(Pantheon, Deity)
	while(Index <= IndexMax)
		RankTotal += GetBoonRank(GetBoonList(Pantheon, Deity, Index), GetBoonEffect(Pantheon, Deity, Index))
		Index += 1
	endWhile
	return RankTotal
endFunction

;Returns the max Boon Index, as in 1 minus the total number of boons that this deity can give
int Function GetBoonIndexMax(int Pantheon, int Deity)
	Log("[Religion]Function Call GetBoonIndexMax: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity))
	if(Pantheon == PantheonMeditation)
		if(Deity == SignSerpent)
			return 4
		else
			return 2
		endIf
	elseif(Pantheon == PantheonDivines)
		return 3
	endIf
	return 0
endFunction

FormList Property _R_ListBoonEffectMeditationAll Auto

FormList Property _R_ListBoonEffectDivineAll Auto

MagicEffect Function GetBoonEffect(int Pantheon, int Deity, int Index)
	Log("[Religion]Function Call GetBoonEffect: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity) + ", Index-" + Index)
	if(Pantheon == PantheonMeditation)
		if(Index < 0)
			if(Deity == SignSerpent)
				Index = Utility.RandomInt(0, 4)
			else
				Index = Utility.RandomInt(0, 2)
			endIf
		endIf
		return GetEffectFromList(GetListFromList(_R_ListBoonEffectMeditationAll, Deity), Index)
	elseif(Pantheon == PantheonDivines)
		return GetEffectFromList(GetListFromList(_R_ListBoonEffectDivineAll, Deity), Index)
	endIf
	return None
endFunction

int Function GetBoonIndex(int Pantheon, int Deity, MagicEffect BoonEffect)
	Log("[Religion]Function Call GetBoonIndex: Pantheon-" + GetPantheonName(Pantheon) + ", Deity-" + GetDeityName(Pantheon, Deity) + ", BoonEffect-" + BoonEffect)
	if(Pantheon == PantheonMeditation)
		return GetListFromList(_R_ListBoonEffectMeditationAll, Deity).Find(BoonEffect)
	elseif(Pantheon == PantheonDivines)
		return GetListFromList(_R_ListBoonEffectDivineAll, Deity).Find(BoonEffect)
	endIf
	return 0
endFunction

bool Function UpdateBoon(FormList BoonList, MagicEffect BoonEffect, int BoonRank, int BoonChange, bool ShowMessage = false)
	Log("[Religion]Function Call UpdateBoon: BoonList-" + BoonList + ", BoonEffect-" + BoonEffect + ", BoonRank-" + BoonRank + ", BoonChange-" + BoonChange + ", ShowMessage-" + ShowMessage)
	if(BoonRank < BoonList.GetSize() || BoonRank + BoonChange < BoonList.GetSize() || !PlayerRef.HasMagicEffect(BoonEffect))
		Spell BoonSpell = BoonList.GetAt(BoonRank) as Spell
		if(PlayerRef.HasSpell(BoonSpell))
			LatentRemoveSpell(BoonSpell, BoonEffect)
		endIf
		GetBoonRank(BoonList, BoonEffect, true)
		if(BoonRank + BoonChange >= 0)
			if(BoonRank + BoonChange < BoonList.GetSize())
				PlayerRef.AddSpell(BoonList.GetAt(BoonRank + BoonChange) as Spell, ShowMessage)
				return true
			else
				PlayerRef.AddSpell(BoonList.GetAt(BoonList.GetSize() - 1) as Spell, ShowMessage)
				return (BoonRank < BoonList.GetSize() - 1)
			endIf
		endIf
	endIf
	return false
endFunction

GlobalVariable Property _R_GlobalMeditationBoonBase Auto
GlobalVariable Property _R_GlobalMeditationBoonRateMin Auto
GlobalVariable Property _R_GlobalMeditationBoonRateMax Auto

;Tries to add a new meditation boost
Function BoonMeditation(int Sign)
	Log("[Religion]Function Call BoonMeditation: Sign-" + GetDeityName(PantheonMeditation, Sign))
	int BoonRankTotal = GetBoonRankTotal(PantheonMeditation, Sign) + GetBoonIndexMax(PantheonMeditation, Sign)
	;Increases the total worth required to obtain a new boon by how many boons the player already has
	float BoonChanceMin = _R_GlobalMeditationBoonBase.GetValue() * Math.Pow(BoonRankTotal + 2, _R_GlobalMeditationBoonRateMin.GetValue())
	float BoonChanceMax = _R_GlobalMeditationBoonBase.GetValue() * Math.Pow(BoonRankTotal + 2, _R_GlobalMeditationBoonRateMax.GetValue())
	float BoonChance = Utility.RandomFloat(BoonChanceMin, BoonChanceMax)
	float SignWorth = GetWorthTotal(PantheonMeditation, Sign)
	Log("[Religion]Function Result BoonMeditation: Boon Chance- " + BoonChance + ", Worth- " + SignWorth + ", BoonRankTotal- " + BoonRankTotal)
	if(SignWorth > BoonChance)
		MagicEffect BoonEffect = GetBoonEffect(PantheonMeditation, Sign, -1)
		FormList BoonList = GetBoonList(PantheonMeditation, Sign, GetBoonIndex(0, Sign, BoonEffect))
		if(UpdateBoon(BoonList, BoonEffect, GetBoonRank(BoonList, BoonEffect), 1))
			_R_MessageMeditationSuccess.Show()
		endIf
	endIf
endFunction

GlobalVariable Property _R_GlobalDivineCurseRate Auto
FormList Property _R_ListCurseEndDivine Auto
FormList Property _R_ListCurseEffectDivine Auto
FormList Property _R_ListCurseSpellDivine Auto

;Adds a Divine's curse
Function CurseDivine(int Divine, float Sins)
	Log("[Religion]Function Call CurseDivine: Divine-" + GetDeityName(PantheonDivines, Divine))
	MagicEffect CurseEffect = GetEffectFromList(_R_ListCurseEffectDivine, Divine)
	Spell CurseSpell = GetSpellFromList(_R_ListCurseSpellDivine, Divine)
	GetGlobalFromList(_R_ListCurseEndDivine, Divine).SetValue(GameDaysPassed.GetValue() + Sins/_R_GlobalDivineCurseRate.GetValue())
	if(PlayerRef.HasSpell(CurseSpell)) ;Remove spell to reset time
		LatentRemoveSpell(CurseSpell, CurseEffect)
	endIf
	PlayerRef.AddSpell(CurseSpell)
endFunction

GlobalVariable Property _R_GlobalDivineBlessingBase Auto
GlobalVariable Property _R_GlobalDivineBlessingCure Auto
GlobalVariable Property _R_GlobalDivineBlessingMin Auto
GlobalVariable Property _R_GlobalDivineBlessingRate Auto

Spell Property _R_SpellDivineCureDisease Auto

;The player attempts to get a blessing from a Divine
Function BlessingDivine(int Divine, bool UsingShrine, float TotalWorth)
	Log("[Religion]Function Call BlessingDivine: Divine-" + GetDeityName(PantheonDivines, Divine) + ", UsingShrine-" + UsingShrine + ", TotalWorth-" + TotalWorth)
	if(TotalWorth > _R_GlobalDivineBlessingMin.GetValue())
		;The Piety Mult potentially decreases or increases the total worth required to get a blessing, and potentially increases or decreases the rank of added blessings
		float PietyMult = GetPietyMult(PantheonDivines, Divine, UsingShrine)
		
		int Index = 0
		int IndexMax = GetBoonIndexMax(PantheonDivines, Divine)
		bool Blessed = false
		
		while(Index <= IndexMax)
			;Increase the total worth required to get a blessing of this rank
			float BlessingBase = _R_GlobalDivineBlessingBase.GetValue() * Math.Pow(2, Index)
			;Increase the total worth required to increase the strength of a blessing at this rank
			float BlessingRate = _R_GlobalDivineBlessingRate.GetValue() * Math.Pow(2, Index)
			float BlessingChance = 0.0
			
			if(PietyMult >= 1.0)
				BlessingChance = Utility.RandomFloat(BlessingBase/PietyMult, BlessingBase)
			else
				BlessingChance = Utility.RandomFloat(BlessingBase, BlessingBase/PietyMult)
			endIf
			
			Log("[Religion]Function Result BlessingDivine: Index-" + Index + ", BlessingChance-" + BlessingChance + ", PietyMult-" + PietyMult)
			
			if(TotalWorth > BlessingChance)
				FormList BlessingList = GetBoonList(PantheonDivines, Divine, Index)
				MagicEffect BlessingEffect = GetBoonEffect(PantheonDivines, Divine, Index)
				;Subtract the minimum amount of worth required to get this blessing, the surplus determines the rank of the blessing
				float WorthRequired = BlessingBase
				if(BlessingChance < BlessingBase)
					WorthRequired = Utility.RandomFloat(BlessingChance, BlessingBase)
				else
					WorthRequired = Utility.RandomFloat(BlessingBase, BlessingChance)
				endIf
				;The current rank of the blessing
				int Rank = GetBoonRank(BlessingList, BlessingEffect)
				;The increase/decreast of the blessing
				int RankChange = (((TotalWorth - WorthRequired)/BlessingRate) as int) - Rank
				if(RankChange > 0)
					if(UpdateBoon(BlessingList, BlessingEffect, Rank, RankChange))
						Blessed = true
					endIf
				endIf
			endIf
			Index += 1
		endWhile
		
		;If the player has been blessed, they are guarenteed to be cured of Diseases
		float CureBase = _R_GlobalDivineBlessingCure.GetValue()
		float CureChance = 0.0
		if(PietyMult >= 1.0)
			CureChance = Utility.RandomFloat(CureBase/PietyMult, CureBase)
		else
			CureChance = Utility.RandomFloat(CureBase, CureBase/PietyMult)
		endIf
		Log("[Religion]Function Result BlessingDivine: CureChance-" + CureChance)
		if(Blessed || TotalWorth > CureChance)
			_R_SpellDivineCureDisease.Cast(PlayerRef, PlayerRef)
		endIf
		
		if(Blessed)
			_R_SoundDivineStrong.Play(PlayerRef)
		else
			_R_SoundDivineWeak.Play(PlayerRef)
		endIf
	endIf
endFunction

GlobalVariable Property _R_GlobalDaedraGiftAmusementCost Auto
GlobalVariable Property _R_GlobalDaedraGiftInterestBase Auto

;The player attempts to get a gift from a daedra
Function GiftDaedra(int Daedra, float Amusement, float Disapproval, float Interest)
	Log("[Religion]Function Call GiftDaedra: Daedra-" + GetDeityName(PantheonDaedra, Daedra) + ", Amusement-" + Amusement + ", Disapproval-" + Disapproval + ", Interest-" + Interest)
	FormList GiftList = GetBoonList(2, Daedra, 0)
	int GiftCount = HasSpellFromList(GiftList)
	;If the player doesn't have three gifts, try to add another
	if(GiftCount < GiftList.GetSize() - 1)
		float RequiredInterestMin = _R_GlobalDaedraGiftInterestBase.GetValue() * Math.Pow(1.5, GiftCount)
		float RequiredInterestMax = _R_GlobalDaedraGiftInterestBase.GetValue() * Math.Pow(2.0, GiftCount)
		float RequiredInterest = Utility.RandomFloat(RequiredInterestMin, RequiredInterestMax)
		;The player has interested the daedric prince enough to grant their wish
		if(Interest > RequiredInterest)
			;The daedra is amused enough to grant a 'positive' gift, else grants a different gift
			if(Amusement - Disapproval - (_R_GlobalDaedraGiftAmusementCost.GetValue() * Utility.RandomFloat(0, GiftCount)) > 0)
				Spell Gift = GiftList.GetAt(Utility.RandomInt(1, GiftList.GetSize() - 1)) as Spell
				if(!PlayerRef.HasSpell(Gift))
					PlayerRef.AddSpell(Gift)
					_R_SoundDaedraStrong.Play(PlayerRef)
				else
					_R_SoundDaedraWeak.Play(PlayerRef)
				endIf
			else
				Spell Gift = GiftList.GetAt(0) as Spell
				if(!PlayerRef.HasSpell(Gift))
					PlayerRef.AddSpell(Gift)
					_R_SoundDaedraStrong.Play(PlayerRef)
				else
					_R_SoundDaedraWeak.Play(PlayerRef)
				endIf
			endIf
		else
			_R_SoundDaedraWeak.Play(PlayerRef)
		endIf
	else
		_R_SoundDaedraWeak.Play(PlayerRef)
	endIf
endFunction

;The player attempts to remove a gift from a daedra
Function GiftRemoveDaedra(int Daedra, float Amusement, float Disapproval, float Interest)
	Log("[Religion]Function Call GiftRemoveDaedra: Daedra-" + GetDeityName(PantheonDaedra, Daedra) + ", Amusement-" + Amusement + ", Disapproval-" + Disapproval + ", Interest-" + Interest)
	FormList GiftList = GetBoonList(2, Daedra, 0)
	int GiftCount = HasSpellFromList(GiftList)
	;If the player has a gift, attempt to remove one
	if(GiftCount > 0)
		float RequiredInterestMin = _R_GlobalDaedraGiftInterestBase.GetValue() * Math.Pow(1.2, GiftCount)
		float RequiredInterestMax = _R_GlobalDaedraGiftInterestBase.GetValue() * Math.Pow(1.7, GiftCount)
		float RequiredInterest = Utility.RandomFloat(RequiredInterestMin, RequiredInterestMax)
		;The player has interested the daedric prince enough to grant their wish
		if(Interest > RequiredInterest)
			;The daedra is amused enough to grant their wish
			if(Amusement - Disapproval > 0)
				Spell Gift = GiftList.GetAt(Utility.RandomInt(0, 3)) as Spell
				if(PlayerRef.HasSpell(Gift))
					PlayerRef.RemoveSpell(Gift)
					_R_SoundDaedraStrong.Play(PlayerRef)
				else
					_R_SoundDaedraWeak.Play(PlayerRef)
				endIf
			else
				_R_SoundDaedraWeak.Play(PlayerRef)
			endIf
		else
			_R_SoundDaedraWeak.Play(PlayerRef)
		endIf
	else
		_R_SoundDaedraWeak.Play(PlayerRef)
	endIf
endFunction

GlobalVariable Property _R_GlobalDaedraGiftAzuraChance Auto

;Updates effect chances for Azura's Gifts
float Function GetAzuraWorship()
	if(WorshipStartDaedraAzura < 0)
		_R_GlobalDaedraGiftAzuraChance.SetValue(0)
		return 0
	else
		float WorshipChance = (GameDaysPassed.GetValue() - WorshipLastDaedraAzura) * 10
		if((GameHour.GetValue() > 5 && GameHour.GetValue() < 7) || (GameHour.GetValue() > 17 && GameHour.GetValue() < 19))
			WorshipChance += 25
		endIf
		WorshipChance -= 100 * (PietyDaedraAzura - (GameDaysPassed.GetValue() * 0.5))/GameDaysPassed.GetValue()
		_R_GlobalDaedraGiftAzuraChance.SetValue(WorshipChance)
		return WorshipChance
	endIf
endFunction

Function SetLastShroudGranted(int Spirit)
	if(Spirit == SpiritAllMaker)
		LastShroudGrantedAllMaker = GameDaysPassed.GetValue()
	elseif(Spirit == SpiritAncestors)
		LastShroudGrantedAncestors = GameDaysPassed.GetValue()
	elseif(Spirit == SpiritEbonarm)
		LastShroudGrantedEbonarm = GameDaysPassed.GetValue()
	elseif(Spirit == SpiritMagnus)
		LastShroudGrantedMagnus = GameDaysPassed.GetValue()
	elseif(Spirit == SpiritSithis)
		LastShroudGrantedSithis = GameDaysPassed.GetValue()
	elseif(Spirit == SpiritYffre)
		LastShroudGrantedYffre = GameDaysPassed.GetValue()
	endIf
endFunction

;The player attempts to get a shroud from a spirit
Function ShroudSpirit(int Spirit)
	if(GameDaysPassed.GetValue() - GetAskTimeLast(PantheonSpirit, Spirit) > 0.5 && GetSpiritAcceptance(Spirit) > Utility.RandomInt(50, 500))
		Spell Boon = none
		FormList BoonList = GetListFromList(_R_ListBoonSpellSpiritAll, Spirit)
		if(Spirit != SpiritAncestors)
			if(BoonList.GetSize() > 0)
				Boon = GetSpellFromList(BoonList, Utility.RandomInt(0, BoonList.GetSize() - 1))
			endIf
		elseif(AncestorsRace >= 0)
			FormList BoonList2 = GetListFromList(BoonList, AncestorsRace)
			if(BoonList2.GetSize() > 0)
				Boon = GetSpellFromList(BoonList2, Utility.RandomInt(0, BoonList2.GetSize() - 1))
			endIf
		endIf
		if(Boon && !PlayerRef.HasSpell(Boon))
			PlayerRef.AddSpell(Boon)
			SetLastShroudGranted(Spirit)
			_R_SoundSpiritStrong.Play(PlayerRef)
		else
			_R_SoundSpiritWeak.Play(PlayerRef)
		endIf
		SetAskTimeLast(PantheonSpirit, Spirit)
	else
		_R_SoundSpiritWeak.Play(PlayerRef)
	endIf
endFunction

Message Property _R_MessageMeditationBoonsRemoved Auto
Message Property _R_MessageDivineBlessingsRemoved Auto
Message Property _R_MessageDivineCursesRemoved Auto
Message Property _R_MessageDaedraGiftsRemoved Auto
Message Property _R_MessageSpiritShroudsRemoved Auto

;Removes all boons from the given pantheon, from all pantheons if -1 is passed
Function RemoveAllBoons(int Pantheon)
	if(Pantheon == PantheonMeditation || Pantheon < 0)
		int BoonIndex = 0
		int BoonMax = _R_ListBoonSpellMeditation.GetSize()
		while(BoonIndex < BoonMax && PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectMeditation))
			Spell Boon = GetSpellFromList(_R_ListBoonSpellMeditation, BoonIndex)
			if(PlayerRef.HasSpell(Boon))
				PlayerRef.RemoveSpell(Boon)
			endIf
			BoonIndex += 1
		endWhile
		
		if(!PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectMeditation))
			_R_MessageMeditationBoonsRemoved.Show()
		endIf
	endIf
	if(Pantheon == PantheonDivines || Pantheon < 0)
		int BlessingIndex = 0
		int BlessingMax = _R_ListBoonSpellDivine.GetSize()
		while(BlessingIndex < BlessingMax && PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectDivineBlessing))
			Spell Blessing = GetSpellFromList(_R_ListBoonSpellDivine, BlessingIndex)
			if(PlayerRef.HasSpell(Blessing))
				PlayerRef.RemoveSpell(Blessing)
			endIf
			BlessingIndex += 1
		endWhile
		
		if(!PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectDivineBlessing))
			_R_MessageDivineBlessingsRemoved.Show()
		endIf
		
		int CurseIndex = 0
		int CurseMax = _R_ListBoonSpellDivine.GetSize()
		while(CurseIndex < CurseMax && PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectDivineCurse))
			Spell Curse = GetSpellFromList(_R_ListBoonSpellDivine, CurseIndex)
			if(PlayerRef.HasSpell(Curse))
				PlayerRef.RemoveSpell(Curse)
			endIf
			CurseIndex += 1
		endWhile
		
		if(!PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectDivineCurse))
			_R_MessageDivineCursesRemoved.Show()
		endIf
	endIf
	if(Pantheon == PantheonDaedra || Pantheon < 0)
		int GiftIndex = 0
		int GiftMax = _R_ListBoonSpellDaedra.GetSize()
		while(GiftIndex < GiftMax && PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectDaedra))
			Spell Gift = GetSpellFromList(_R_ListBoonSpellDaedra, GiftIndex)
			if(PlayerRef.HasSpell(Gift))
				PlayerRef.RemoveSpell(Gift)
			endIf
			GiftIndex += 1
		endWhile
		
		if(!PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectDaedra))
			_R_MessageDaedraGiftsRemoved.Show()
		endIf
	endIf
	if(Pantheon == PantheonSpirit || Pantheon < 0)
		int ShroudIndex = 0
		int ShroudMax = _R_ListBoonSpellSpirit.GetSize()
		while(ShroudIndex < ShroudMax && PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectSpirit))
			Spell Shroud = GetSpellFromList(_R_ListBoonSpellSpirit, ShroudIndex)
			if(PlayerRef.HasSpell(Shroud))
				PlayerRef.RemoveSpell(Shroud)
			endIf
			ShroudIndex += 1
		endWhile
		
		if(!PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectSpirit))
			_R_MessageSpiritShroudsRemoved.Show()
		endIf
	endIf
endFunction

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;Utility Functions
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

bool IsAnimating = false

;Returns if the player can animate
bool Function CanAnimate()
	if(IsAnimating || PlayerRef.IsWeaponDrawn() || PlayerRef.GetSitState() > 0 || PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectPietyDaedra) || PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectPietyDivine) || PlayerRef.HasMagicEffectWithKeyword(_R_KeywordEffectPietySpirit) || PlayerRef.HasSpell(_R_SpellPietyMeditation))
		return false
	else
		return true
	endIf
endFunction

;Sets if the player is animating due to a gift
Function SetIsAnimating(bool Animating)
	IsAnimating = Animating
endFunction

float Function SumArray(float[] Array)
	if(Array)
		float Sum = 0.0
		int Index = 0
		while(Index < Array.Length)
			Sum += Array[Index]
			Index += 1
		endWhile
		return Sum
	else
		return 0.0
	endIf
endFunction

;Removes a spell, and waits until the effects are removed before returning
Function LatentRemoveSpell(Spell ToRemove, MagicEffect SpellEffect)
	PlayerRef.RemoveSpell(ToRemove)
	int TryCount = 100
	while(TryCount > 0 && PlayerRef.HasMagicEffect(SpellEffect))
		TryCount -= 1
		Utility.WaitMenuMode(0.01)
	endWhile
endFunction

;Returns the number of spells the player has in the passed in list
int Function HasSpellFromList(FormList List)
	int SpellCount = 0
	int Index = 0
	while(Index < List.GetSize())
		if(PlayerRef.HasSpell(List.GetAt(Index) as Spell))
			SpellCount += 1
		endIf
		Index += 1
	endWhile
	return SpellCount
endFunction

;Returns the number of keywords that are applied to the player's gear from the given list
int Function GetWornKeywordFromList(FormList List)
	int Index = 0
	int Count = 0
	while(Index < List.GetSize())
		if(PlayerRef.WornHasKeyword(List.GetAt(Index) as Keyword))
			Count += 1
		endIf
		Index += 1
	endWhile
	return Count
endFunction

;Returns the number of items from the given list that the player has equipped
int Function GetWornEquipmentFromList(FormList List)
	int Index = 0
	int Count = 0
	while(Index < List.GetSize())
		if(PlayerRef.IsEquipped(List.GetAt(Index)))
			Count += 1
		endIf
		Index += 1
	endWhile
	return Count
endFunction

;Returns a random message from the given list
Message Function GetRandomMessage(FormList MessageList)
	Log("[Religion]Function Call GetRandomMessage")
	Return MessageList.GetAt(Utility.RandomInt(0, MessageList.GetSize() - 1)) as Message
endFunction

;Displays a random vision note from the given list
Function ReadRandomVision(FormList VisionList)
	ReadVision(VisionList.GetAt(Utility.RandomInt(0, VisionList.GetSize() - 1)))
endFunction

;Displays a vision
Function ReadVision(Form VisionNote, bool AllowTake = true)
	ObjectReference PlacedNote = PlayerRef.PlaceAtMe(VisionNote)
	PlacedNote.Disable()
	PlacedNote.Activate(PlayerRef, true)
	Utility.Wait(0.1)
	if(!AllowTake)
		if(PlayerRef.GetItemCount(VisionNote) > 0)
			PlayerRef.RemoveItem(VisionNote, 1, true)
		endIf
	endIf
	if(PlacedNote)
		PlacedNote.Delete()
	endIf
endFunction

FormList Function GetListFromList(FormList List, int Index)
	return List.GetAt(Index) as FormList
endFunction

MagicEffect Function GetEffectFromList(FormList List, int Index)
	return List.GetAt(Index) as MagicEffect
endFunction

Spell Function GetSpellFromList(FormList List, int Index)
	return List.GetAt(Index) as Spell
endFunction

GlobalVariable Function GetGlobalFromList(FormList List, int Index)
	return List.GetAt(Index) as GlobalVariable
endFunction

Keyword Function GetKeywordFromList(FormList List, int Index)
	return List.GetAt(Index) as Keyword
endFunction

Message Function GetMessageFromList(FormList List, int Index)
	return List.GetAt(Index) as Message
endFunction

String Function GetPantheonName(int Pantheon)
	if(Pantheon == PantheonMeditation)
		return "Signs"
	elseif(Pantheon == PantheonDivines)
		return "Divines"
	elseif(Pantheon == PantheonDaedra)
		return "Daedra"
	elseif(Pantheon == PantheonSpirit)
		return "Spirits"
	else
		return "Unknown Pantheon"
	endIf
endFunction

String Function GetDeityName(int Pantheon, int Deity)
	if(Pantheon == PantheonMeditation)
		if(Deity == SignWarrior)
			return "The Warrior"
		elseif(Deity == SignLady)
			return "The Lady"
		elseif(Deity == SignSteed)
			return "The Steed"
		elseif(Deity == SignLord)
			return "The Lord"
		elseif(Deity == SignThief)
			return "The Thief"
		elseif(Deity == SignLover)
			return "The Lover"
		elseif(Deity == SignShadow)
			return "The Shadow"
		elseif(Deity == SignTower)
			return "The Tower"
		elseif(Deity == SignMage)
			return "The Mage"
		elseif(Deity == SignApprentice)
			return "The Apprentice"
		elseif(Deity == SignAtronach)
			return "The Atronach"
		elseif(Deity == SignRitual)
			return "The Ritual"
		elseif(Deity == SignSerpent)
			return "The Serpent"
		else
			return "Unknown Sign"
		endIf
	elseif(Pantheon == PantheonDivines)
		if(Deity == DivineAkatosh)
			return "Akatosh"
		elseif(Deity == DivineArkay)
			return "Arkay"
		elseif(Deity == DivineDibella)
			return "Dibella"
		elseif(Deity == DivineJulianos)
			return "Julianos"
		elseif(Deity == DivineKynareth)
			return "Kynareth"
		elseif(Deity == DivineMara)
			return "Mara"
		elseif(Deity == DivineStendarr)
			return "Stendarr"
		elseif(Deity == DivineTalos)
			return "Talos"
		elseif(Deity == DivineZenithar)
			return "Zenithar"
		else
			return "Unknown Divine"
		endIf
	elseif(Pantheon == PantheonDaedra)
		if(Deity == DaedraAzura)
			return "Azura"
		elseif(Deity == DaedraBoethiah)
			return "Boethiah"
		elseif(Deity == DaedraClavicus)
			return "Clavicus"
		elseif(Deity == DaedraHermaeus)
			return "Hermaeus"
		elseif(Deity == DaedraHircine)
			return "Hircine"
		elseif(Deity == DaedraMalacath)
			return "Malacath"
		elseif(Deity == DaedraMehrunes)
			return "Mehrunes"
		elseif(Deity == DaedraMephala)
			return "Mephala"
		elseif(Deity == DaedraMeridia)
			return "Meridia"
		elseif(Deity == DaedraMolagBal)
			return "Molag Bal"
		elseif(Deity == DaedraNamira)
			return "Namira"
		elseif(Deity == DaedraNocturnal)
			return "Nocturnal"
		elseif(Deity == DaedraPeryite)
			return "Peryite"
		elseif(Deity == DaedraSanguine)
			return "Sanguine"
		elseif(Deity == DaedraSheogorath)
			return "Sheogorath"
		elseif(Deity == DaedraVaermina)
			return "Vaermina"
		else
			return "Unknown Daedra"
		endIf
	elseif(Pantheon == PantheonSpirit)
		if(Deity == SpiritAllMaker)
			return "The All-Maker"
		elseif(Deity == SpiritAncestors)
			return "Your Ancestors"
		elseif(Deity == SpiritEbonarm)
			return "Ebonarm"
		elseif(Deity == SpiritMagnus)
			return "Magnus"
		elseif(Deity == SpiritSithis)
			return "Sithis"
		elseif(Deity == SpiritYffre)
			return "Y'ffre"
		else
			return "Unknown Spirit"
		endIf
	else
		return "Unknown Deity"
	endIf
endFunction

bool LogEnabled = true

Function Log(String Msg)
	if(LogEnabled)
		Debug.Trace(Msg)
	endIf
endFunction
